freecad-daily (0.20.1+git31829-95a6d1e208-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/FreeCAD/FreeCAD.git
  * Branch: master
  * Commit: 95a6d1e2083907afbe086b4d9ed9960b8b021a25
  * Date: 1676054911
  * git changelog:
  *  95a6d1e208 - [FEM] Elmer: add support for 3D magnetodynamics
  *  f26481ca20 - [FEM] change hiding logic on calling task panels
  *  67d73f31a8 - [FEM] ViewProviderFemPostObject: fix a typo
  *  c0bbff3f28 - Spreadsheet: fix some warnings and issues reported by
    GH actions
  *  108e30d8ba - smesh: std::iterator<> is deprecated in C++17
  *  3f29b469a4 - [FEM] Elmer: fixes for Magneto2D writer
  *  30e464d82a - cMake: Clean up old Mac Python search
  *  b3e8add2e4 - [FEM] use extended current density constraint for 2D
  *  aca9e15f66 - [FEM]  extend current density to 3D
  *  16cacfb3fb - Merge pull request #8307 from LarryWoestman/staging
  *  04f0b66ef7 - [FEM] use magnetization constraint for 2D
  *  04915b694b - [FEM] add new constraint for magnetization
  *  c59a10be77 - [FEM] add support to show absolute value result fields
  *  aa4700f12b - [FEM] Elmer: magneto 2D use magnetization
  *  cbe634719d - [Material] allow to use vectorial properties
  *  436703e8ce - [Material] new card for Iron
  *  c074fe1c95 - [App] fixes for Magnetization property
  *  e5587cd935 - Addon Manager: Fix GUI tests on macOS
  *  fe1c09f841 - [FEM] [skic ci] fix arrows in CurrentDensity icon
  *  201b95a5b2 - [Core] add quantity Magnetization
  *  b41776d077 - [Core] disable the the unit Oersted
  *  ac694dea1e - [FEM] [skip ci] Elmer write: move a check function
  *  30e3abde15 - Fix trailing newlines
  *  ddfdce612e - [FEM] Elmer: extent potential constraint
  *  0a4b860d66 - [App] [skip ci] add info for expression lexer
    generation
  *  78a988ba27 - [FEM] [skip ci] constraint_currentdensity.py: fix a
    typo
  *  7352512f6c - [Draft] fix Draft_Clone DiffuseColor delay issue
    during unit test (#8386)
  *  961bef36c0 - Gui: fix regression that NaviCube cannot be switched
    off any more
  *  39502e8c57 - Gui: recreate NaviCubes of all 3D views
  *  e50dd7d2d2 - Gui: remove Q_SLOTS decorator and use connect() to
    bind the signal
  *  0ba20f3f1d - Gui: fix and harmonize tool tips
  *  2ffa1d546f - Gui: use QString::fromStdString for std::string
  *  d24bb7195a - Gui: move calls of OnChange to separate method and
    explicitly call the class' method to fix warning about bypassing
    virtual dispatch during construction
  *  9906c63b32 - Gui: move calls of OnChange to separate method and
    explicitly call the class' method to fix warning about bypassing
    virtual dispatch during construction
  *  3f3a548b22 - Disabled Accessibility on SheetTableView
  *  c71e551556 - Merged crowdin translations
  *  f51a6f2cf9 - updated ts files
  *  06100d97dd - [FEM] Elmer: better sorting of equations
  *  23e240e017 - [FEM] Elmer writer: correct copyrights
  *  d5ac0758cf - [FEM] Elmer: add support for 2D magnetodynamics
  *  c8e25bf4d4 - [FEM] Elmer writer: sort out elasticity equation
  *  bc275eb772 - [FEM] Elmer writer: sort out electricforce equation
  *  8d0d38911f - [FEM] Elmer writer: sort out flow equation
  *  53452cfec3 - [FEM] Elmer writer: sort out flux equation
  *  5b2f99c5ea - [FEM] Elmer writer: sort out heat equation
  *  e90102ba4f - [FEM] Elmer electrostatic improvements
  *  3d3313546a - [FEM] Elmer: refactor writer for electrostatics
  *  41bafb2bc0 - [FEM] Elmer: add permeability of vacuum
  *  c8630fec0a - [FEM] shorten too long lines
  *  e7d757de3d - [Draft] fix ang dim arrows alignment issue related to
    asin (#8368)
  *  69e5359bfa - Gui: [skip ci] fix typo
  *  2c931a88b0 - [TD] Add Command Axo Length Dimension
  *  f09d038ff5 - Draft: add delay in the Draft_Clone unit test (#8363)
  *  82b6e03625 - [FEM] add current density constraint
  *  b4780be1d1 - Fix whitespace issues
  *  2a4e87b64d - Fixes startpage css - fixes #8330
  *  87c5b89135 - [Material] fix conductivity of Copper
  *  68d478aa6e - [FEM] [skip ci] Elmer write: some cleanup
  *  3be4744647 - [Start] set sensible size for DlgStartPreferences.ui
  *  6a6442b0a3 - Start: Added option to hide start page scrollbars
  *  d2ec8a85cc - [FEM] Elmer output material name
  *  a38b2ffbf7 - Fix various trailing newlines, typos and grammar
  *  2880a5ca2a - [Core] add current density
  *  d33005d14e - [Material] add support for magnetic permeability
  *  49a7a60311 - [Part] [skip ci] update a tooltip
  *  181c7991e2 - Increase mesh generation output quality
  *  20933f9c07 - Tools: tweak mesh generation
  *  1a51e03b2f - [FEM] Elmer: revert wrong change from #8336
  *  28c8addf5a - [FEM] Elmer: don't hardcode the coordinate system
  *  51185e1c06 - [FEM] Elmer: fix error on wrong material settings
  *  a891d5c766 - Draft: fix normal calculation for angular dims
  *  0e17989707 - [Material] add new card for carbon dioxide
  *  7f8b136dae - Sketcher: replace slots with member function pointers
  *  4b3fb1c079 - TD: replace slots with member function pointers
  *  0363ebdf8f - Surface: replace slots with member function pointers
  *  9aede79ef8 - Mesh: replace slots with member function pointers
  *  9a5d9880d5 - PD: replace slots with member function pointers
  *  84aa8155ce - Part: replace slots with member function pointers
  *  9b29c3a683 - Gui: replace slots with member function pointers
  *  ec0182b915 - Draft: housekeeping: remove obsolete code (uiMode and
    DraftGui.py) (#8327)
  *  932abebca9 - [Gui] register NaviCube parameters to view
  *  f14dea3226 - [FEM] solver_taskpanel: fix bug with Edit button
  *  62a2c33a05 - CI: re-enable 20.04 build and test
  *  681b8091ad - CMake: make sure to add RPATH to area-native library
  *  951520a5c1 - [TD]use correct shape for section of section
  *  bd25c86973 - [TD]fix handling of perforated section faces
  *  d9afb06676 - [TD]allow section line when base is section
  *  693ec401f7 - Draft: subelement mode ignored nesting (#8319)
  *  802a220d2d - [FEM] equationbase: sort equations alphabetically
  *  37dc6e8a29 - [FEM] sort equations alphabetically
  *  89e7e29a08 - Path:  Refactored add_parameters into individual
    functions.
  *  2da2ee5044 - Gui: fix regression of 8801836321: Commands are not
    shown any more when selecting a category
  *  2e5cb03261 - Gui: move to new style connect()
  *  25a63f8750 - TD: move to new style connect()
  *  900ad81b49 - [Gui] modernize some UI connections
  *  25c4792690 - Draft: fix issue with undo (#8267)
  *  049056a99a - Part: put instantiation of BRepAdaptor_Surface into
    try/catch block as for some broken faces it may fail
  *  b75142850d - Build graph fix (#8311) - Fixed Constraints' value not
    being updated
  *  c5c3077f8f - Merge pull request #8282 from Roy-043/Arch-update-
    Arch.pruneIncluded-to-include-cloned-PD-Bodies
  *  fefa7cc40c - Merge pull request #8287 from Roy-043/Arch-Fix-
    ArchPrecast.py-issues
  *  0bfa983a89 - [Gui] FreeCADGuiInit.py: address some GH action
    reports
  *  8801836321 - [Gui] modernize some UI connections
  *  d5e1b3f441 - Further efficiencies to Summary Report
  *  0754201b8d - Delete .circleci directory
  *  a810fa68b4 - [Sketcher]fix cursor display of angles
  *  27012bb23c - Delete vagrant directory
  *  53aedb17f4 - cMake: Correct PySideTools paths on Windows
  *  f80edaa9ed - Merge pull request #8205 from LarryWoestman/staging
  *  9a05a04dad - Improve unit testing directory structure
  *  4eca103469 - Merged crowdin translations
  *  31b89be95f - update ts files
  *  b0ae66b94c - Remove obsolete cmake code (<3.16.3)
  *  0a5c64239a - CI: allow Build2004 to fail because of PathAdaptative
    bug with GCC
  *  eef8054383 - CI: remove current CI workflow
  *  87f60104ee - CI: global refactoring of build/test CI
  *  2ca167f8c3 - SpreadSheet: Display alias
  *  18fdd3f708 - [Gui] View3DInventorViewer: fix a GH action report
  *  e188802ca6 - Addon Manager: Update license headers
  *  cd2a35061d - Part: add integration test for SectionCut command
  *  73e2bad373 - Merge pull request #8193 from
    haraldhartmann/origin/PathAddEstlcamPP
  *  243ad94fb2 - Simplify usage in Final Report and move Libpack copy
    stuff out
  *  c318bc08cb - [Part][Draft]fix #8271 temporary files on windows
  *  c0910a7e5b - Arch: Fix ArchPrecast.py issues

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 10 Feb 2023 19:03:17 +0000

freecad-daily (0.20.1+git31702-633a6e825c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/FreeCAD/FreeCAD.git
  * Branch: master
  * Commit: 633a6e825ca37cc7111fbfa8d7a53ec23e1c29bd
  * Date: 1674850415
  * git changelog:
  *  633a6e825c - Fem: move from string based connect() to overloaded
    variant based on meta methods
  *  b39e1f2fc8 - [Gui] NaviCube: improve default font
  *  0a8ea55509 - Draft: Update test_modification.py (#8273)
  *  588f2d50e4 - [Gui] allow to specify font for NaviCube
  *  e07af014e6 - [Gui] ExpressionCompleter: fix some GitHub Action
    reports (#8264)
  *  db6d44b1da - Part: fix crash in SectionCutting dialog
  *  20695da6f7 - Arch: Small fix in IFC exporter to adapt to post-0.20
    changes
  *  64caea2073 - modernize a for loop
  *  5f91493d49 - [Part] SectionCutting: avoid to recompute all cuts on
    color change
  *  1f6c1fcd0f - [Part] fixes for the section cutting feature
  *  f727945f1e - Fix8228 warnings (#8262)
  *  0f694c3ae7 - Gui: fix several compiler warnings
  *  9374155cfe - Gui: improve formatation and use of curly braces
  *  8d861e6abd - Gui: fix trailing whitespace
  *  144cdc9cb9 - Delete src/Tools/encode directory
  *  3ff301cd10 - [CMake] improve comment about CMake limit
  *  8c36e83ff2 - Update minimum python version
  *  b853278296 - Expressions: path auto-completion fixes (#8228)
  *  15dad4542f - remove deleted files in CMakeList
  *  61f9257034 - remove unused dircoll.* files
  *  bdc9c03597 - Revert Update CMakeLists.txt
  *  7419a16690 - Update CMakeLists.txt
  *  21644f82aa - Delete directory.h
  *  07bbeb28c2 - Delete directory.cpp
  *  570250011b - Delete basicentry.h
  *  48dccfd004 - Delete basicentry.cpp
  *  b2e7d20795 - Draft: fix gui_offset.py issue caused by PR8207
  *  324dcc758e - README: fix bugtracker link
  *  fef3e11326 - bump cmake min version to 3.16.3
  *  25acfeec62 - Delete src/Tools/embedded/wxWidgets directory
  *  d47193f2a7 - Delete zlib.CMakeLists.txt
  *  ca4adfa67d - Stylesheets: convert indentations to spaces
  *  862bc58809 - [Sketcher] Substitute knot tangent related constraints
  *  23af228b87 - Fix various indentation issues (tabs->spaces)
  *  836835074e - Navicube: convert indentations to spaces
  *  50a0fd6777 - Gui: convert indentations to spaces
  *  62974cd4d5 - PartDesign: convert indentations to spaces
  *  2c3e6bd70a - Sketcher: convert indentations to spaces
  *  600ce01ad3 - [Draft] fix compilation after #8234
  *  4c4972339f - Draft: V0.18 VisGroups were not handled (#8234)
  *  166183e788 - Merged crowdin translations
  *  d3149de589 - Updated ts files
  *  a42c526eec - Arch: fix whitespace in ArchStructure.py
  *  edfc993b7f - Fix various typos
  *  729685316e - Fix trailing whitespace, typos, headers
  *  d6cccf2f96 - [Sketch] Constraints.h: fix 2 compiler warnings
  *  d8146c1db8 - Spreadsheet: fix header uniformity
  *  2226d3a01b - PD: Cleanup InvoluteGear's Task Panel Code
  *  4094e34ff2 - PD: Add new props to InvoluteGear's task panel
  *  464c512e83 - PD: Make involute gear's root fillet radius
    configurable
  *  37595da316 - PD: Make the involute gear's toogh length configurable
  *  d8118a4b11 - PD: Refactor InvoluteGear's property creation
  *  647a2356b7 - PD: Refactor InvoluteGear's Bezier Approximation
  *  3933825840 - PD: Add tests loading InvoluteGears created with v0.20
  *  d08e97a377 - [Draft] attempt to fix CI error after 6173d48da7
  *  937d226f4f - ShowWB: fix header uniformity
  *  0e67943ea3 - Surface: fix header uniformity
  *  5fa4482504 - Draft: fix trailing whitespace
  *  6173d48da7 - Draft: housekeeping: remove temporary DraftFillet
    module (#8233)
  *  d81f1f015e - Draft: rotate.py: remove Placement.rotate() workaround
    (#8230)
  *  6cf6299254 - Draft: improve color handling in gui_setstyle.py
    (#8219)
  *  d28d63b87b - TechDraw: header uniformity + trailing whitespace
  *  40627b3ab2 - [Sketcher] Do not filter out point-on-B-spline when
    trimming
  *  dcd869bb5d - [Sketcher][planegcs] Dynamically change piece in point-
    on-BSpline
  *  55334bbbc7 - [Sketcher][planegcs] Refactor
  *  038ce9ddba - [Sketcher] [planegcs] Support point on NURBS
  *  41d240c515 - [Sketcher] Auto-constrain point on B-spline
  *  05295be7cd - [Sketcher] Enable point-on-B-spline in Sketcher and
    GUI
  *  a034c40c38 - [Sketcher] [planegcs] Add point-on-bspline constraint
    in planegcs
  *  e6eb208639 - Draft: Fix and improve Draft_AnnotationStyleEditor
    (#8207)
  *  c4fa2e4a32 - Fix trailing whitespace
  *  d765405bce - README: remove lgtm badges
  *  fb65b58007 - Draft: Improvements related to #8081 (#8211)
  *  7e76bb4ab7 - Arch: import ifc, workaround for merge materials if
    material colors have not been found on import
  *  57dae362e1 - Arch: add missing import, fixes regression added with
    commit c7d0cf044c7d
  *  2b7de83150 - .clang-format: revert two recent changes
  *  7fc59a68a0 - [TD]fix crash on dim create on Mac
  *  72df799770 - [TD]apply tester feedback on DimRepair
  *  79c5f417ab - [TD]Ungroup dimension commands
  *  982152c332 - [Sketcher] Add line tangent at knot through endpoint
  *  199ef42f62 - Merged crowdin translations
  *  499bcd8f25 - Merge pull request #8199 from Roy-043/Arch-
    ArchWindow.py-improve-invertHinge
  *  6662684e81 - Merge pull request #8187 from
    paullee0/ArchStructure_1_Select-ArchSketch-Edges
  *  4641218403 - Updated ts files
  *  a51026413d - Merge pull request #8182 from vespakoen/opencamlib-
    support
  *  49e1f8a531 - Merge pull request #8151 from LarryWoestman/staging
  *  f3bbd8ddce - Merge pull request #8186 from mlampert/bugfix/issue-
    8185-deburr-offset-calculation
  *  22d03e7cea - Merge pull request #8189 from 0penBrain/PathAdapTest
  *  6f6315ac4c - [TD]adjust font to prevent clipping of tall glyphs
  *  a4d824a9dd - [TD]ANSI A&B templates
  *  5800d9155b - [TD]add ANSI Y14.5 compatible font
  *  bbce4cb4c4 - [Sketcher] Do not allow B-spline degree to be too high
  *  acb42e4109 - [Part] Limit periodic B-spline degree to number of
    poles
  *  96faf9fb5c - Remove translation for h=/W= labels
  *  39646e39e0 - Fixed offset and depth calculation for Deburr op
  *  dfb08cda3f - Renamed Deburr test suite
  *  32bbdb0ab2 - FEM: move to new style connect()
  *  ed8705088b - Arch: ArchWindow.py improve invertHinge
  *  a9b9899846 - FEM: move to new style connect()
  *  12ed13ddbe - PD: move to new style connect()
  *  f7db685a28 - Draft: gui_setstyle.py onApplyAnnot should check for
    doc (#8196)
  *  0c1994e749 - Draft: Update gui_setstyle.py and gui_utils.py (#8195)
  *  ff80575244 - Draft: Update Draft_SetStyle (#8190)
  *  b9542289c5 - Draft: Update gui_utils.py (#8191)
  *  81543911d4 - Path: fix bug in Path Gui tests
  *  895ef542b7 - [ArchStructure] ArchSketch Feature : Select Edges to
    build shape
  *  a9ed294765 - [TD] remove unused Console include
  *  dc14285a4f - CI: Don't encourage docstring on trivial functions
  *  9dd7fbe835 - Update opencamlib imports to support latest version
  *  7ccee344c7 - Sketcher: move to new style connect()
  *  3818dec66a - Spreadsheet: move to new style connect()
  *  d6b3efc7a8 - Addon Manager: Fix GUI unit tests
  *  b933d46dcd - Addon Manager: Set parent for most modals
  *  e1dc7bd94b - [TD]reset sceneRect on Template change
  *  271e3c6b8a - [TD]Allow balloons to be attached to non-part views
  *  12db3618df - [TD]remove obsolete log messages
  *  b57e5646f6 - Part: move to new style connect()
  *  880d05cf3c - Mesh: move to new style connect()
  *  7d65afdf59 - Image: move to new style connect()
  *  2ff9ff02d7 - Import: move to new style connect()
  *  70061abf77 - Inspection: move to new style connect()
  *  a621ad81f4 - Robot: move to new style connect()
  *  9b5505fb34 - Surface: move to new style connect()
  *  507a1f82bc - Web: move to new style connect()
  *  e47147ea37 - [Sketcher] Prevent dereferencing  in
  *  8466b68400 - Arch: [skip ci] fix typos
  *  ca4d093f4c - Merge pull request #8122 from Roy-043/Arch-improve-
    context-menus
  *  e49d30a327 - Merge pull request #8081 from Roy-043/Draft-Fix-
    inconsistent-properties-of-Draft-annotations
  *  a653108bba - [Draft] Add Units Selector to Status Bar
  *  117b53d6ea - Arch: improve context menus (rebase 2)
  *  42a74daa19 - Arch: improve context menus (rebase)
  *  49249b8ed4 - Path:  Added more tests and fixed some parameter
    handling.        Refactored axis and feed number formatting.
    Used with for file writes, removed pythonopen.
  *  3388854cbc - Arch: ArchSectionPlane should update SVG in execute
    (#8175)
  *  ac81fad372 - Gui: refactor TreeWidget::dropEvent
  *  5b1c781b8d - Gui: [skip ci] fix some warnings reported by GH
    actions
  *  ac94fb4a33 - Gui: move to new style connect()
  *  ee00271d83 - AddonMgr: switch pref entry/path to const string
  *  103de43a4e - Gui: fix possible problems with new style connect
  *  19d624396f - Draft: housekeeping: indentation gui_snapper.py
  *  dec88420bf - Draft: Properly remove Snap toolbar when switching
    workbenches (#8172)
  *  d9144213c2 - Arch: fix ArchSectionPlane getSceneGraph problem
    (#8171)
  *  ed995b5a15 - [Gui] modernize some connect() settings
  *  92398f94e3 - Spreadsheet: [skip ci] convert tabs to spaces
  *  69efdc016f - Draft: improve wires.isReallyClosed (#8167)
  *  fb1ed8f5e4 - Draft: improve offsets.offsetWire (#8166)
  *  4091db4739 - [skip ci] [Gui] ExpressionCompleter: fix a typo
  *  079bdc64b1 - Gui: change custom message handler to show Qt warnings
    and errors also in Release mode
  *  28c757bc12 - Gui: [skip ci] print warning in getViewProviderByPath,
    getViewProviderByPathFromTail, getViewProvidersOfType if for
    View3DInventorViewer no document is set This gives the client
    programmer a clue if one of the mentioned methods fails
  *  406034f3ca - Gui: add method setDocumentOfViewers and set documents
    of viewers in constructor of SplitView3DInventor
  *  5284d9c886 - Merge pull request #8146 from
    sliptonic/bug/threadmilling
  *  a334206ca7 - Updated ts files
  *  09c00c5155 - Gui: Removed unused method.
  *  d3300d1fc0 - GUI: Removed Std_ArrangeIcons command.
  *  2d6a768a6b - README: update bugtracker related links and info
  *  8e38c47d7a - Addon Manager: Fix bug in ZIP isntallation
  *  eb4bf66425 - Remove check for internal as well
  *  297389acae - Merge pull request #8145 from sliptonic/bug/7600
  *  7fcee31c07 - Part/Sketcher: Geometry/Geometry facade pass by const-
    reference instead of by value
  *  b7945b6a15 - Sketcher: Do not mark as fully constrained sketches
    that do not converge
  *  1ddd8b8a92 - [skip ci] [TD] fix a typo as reported by the CI
  *  ae1911e038 - improved clang-format
  *  1476fdcece - Increment year in copyright notice (2023) (#8156)
  *  f8db7e9187 - [TD] remove unused headers (#8155)
  *  3a8fcb53ec - Merged crowdin translations
  *  0439b4dca9 - Updated ts files
  *  3c610a6c61 - [TD] final fix of compilation after #8141
  *  ce4a916875 - [TD] minor fixes
  *  a963ca5f8c - TD: fixes #8144: TD crash
  *  d159b97cae - CMake: fix linking error in test function when linking
    Python statically
  *  e42f46a47b - [TD] attempt to fix compilation with PCH after #8141
  *  a1e295e92d - [TD]fix loss of precision in view direction
  *  e82cf08991 - [TD]fix dimension retains light on dark colour
  *  777ebad2d0 - fix bug with collision
  *  65006d1f47 - use correct widgets in task panel
  *  664b2560ad - [TD]fix wrong calculation of 3d two edge angle
  *  63be8da664 - [TD]fix exception on empty list during restore
  *  17554e29f1 - [TD]fix issues reported by 3d dimension testers
  *  1b547dff72 - [TD]Refactor Dimensions for 3d upgrade
  *  aeeb62d204 - [Measure]fix angle returns supplementary value
  *  e5b258610b - Crowdin: [skip ci] fix string in
  *  077f5bdd40 - Crowdin: fix string in
  *  aa67808f24 - GCS: Improvements to popularity contest and
    conflicting identification
  *  5995556b08 - [skip ci] fix typos
  *  7164674cb4 - Base/App/Gui: force using Base::Handle for
    ParameterManager
  *  8133e9157e - Merge pull request #8133 from
    sliptonic/feature/partialedgedrilling
  *  c18adc2cee - Gui: fix activating of MDI views via menu commands
  *  2428520b9a - Fix for Partial edge drilling Fixes 8131
  *  620aaac90d - TD: [skip ci] fix -Winconsistent-missing-override
  *  b2ab8edba4 - [TD] fix compilation with PCH after d63ac0f7
  *  c6b4e5cfe8 - [Sketcher] Delete check for OCC >= 6.9.0
  *  8715297c1b - Part: move to new-style connect of DlgPrimitives
    dialog
  *  5de57b4cc5 - Addon Manager: Fix macro installer bug
  *  d63ac0f7f6 - [TD]add light text on dark page mode
  *  ed8e45ac9b - Part: move to new-style connect of DlgPrimitives
    dialog to make it also working with Qt6
  *  3cb3c04fc1 - Merge pull request #7826 from LarryWoestman/staging
  *  589bcd16f1 - Part: refactor DlgPrimitives dialog
  *  bb566c7777 - Base: add overloaded method isIdentity() to Rotation
    and Placement that accepts a tolerance
  *  2f3baa0336 - Addon Manager: Modify dialog closing during tests
  *  d1cf5f9c88 - [TD]fix Win link error in ViewProvider extensions
  *  9498691ea8 - App: fix failure to detect cyclic dependencies on
    expressions
  *  0566ba0a9e - Core: fixes #8119: Make axis values in Property view
    persistent
  *  0c841d8074 - Gui: [skip ci] move to new-style connect in Placement
    dialog
  *  f8827198ee - PD: fix crash in
    TaskRevolutionParameters::fillAxisCombo
  *  fe499642ca - Web: switch to new-style connect in order to find
    failures with Qt6
  *  fd7c7f35cf - Gui: Use shiboken6 & PySide6 API
  *  f565fa2f7a - Gui: refactor PythonWrapper
  *  780d8416e2 - Adding info to hand over the copyright to the FPA
  *  6358ad1717 - Gui: refactor PythonWrapper
  *  102e89988a - Gui: switch to new-style connect in order to find
    build failures with Qt6
  *  f53d635f20 - Addon-Manager: [skip ci] get rid of some explicit
    PySide2 imports
  *  ad1663245b - PySide: [skip ci] fix typo
  *  f26bf54876 - PySide: in PySide6 QWebEnginePage has been moved to
    QtWebEngineCore
  *  3e58513c24 - Mod: fix some compiler warnings:
  *  fec35dfdc5 - Gui: QVariant::Type is deprecated, use QMetaType::Type
  *  315ddaf75d - Image: fix deprecation warnings
  *  4bd0d20812 - Raytracing: QString::indexOf is now marked as
    [[nodiscard]]
  *  81d2361d9f - Gui: Qt6 port
  *  b5a41d9a68 - Path:  Reformatted to a line length of 88 using black.
  *  588620fd9f - Merge pull request #7962 from luvtofish/master
  *  529ac7bb33 - Merge pull request #8088 from mlampert/bugfix/8087-
    dont-load-project-files-unless-tests-are-run
  *  5e408445be - Gui: expose Document::save()/saveAs() to Python
  *  178eb1dd84 - Base: fix and refactor Tools::getUniqueName
  *  2e022d8e0b - Test: [skip ci] simplify and add more tests
  *  9ab8685508 - Base: [skip ci] if array of reserved names is empty
    then return the suggested name in Base::Tools::getUniqueName
  *  a89d7b7355 - Test: [skip ci] add tests for
    Base::Tools::getUniqueName
  *  fe02d63c8c - Draft: update inspect.getargspec to
    inspect.getfullargspec (#8101)
  *  092be23d89 - OpenSCAD: Minor translation issue [skip ci]
  *  f7783ea409 - Addon Manager: Minor translation issue [skip ci]
  *  e69e7ef08a - TD: [skip ci] fix possible crash in
    ViewProviderViewPart::onChanged
  *  af3c057f99 - [TD]make detail highlight interactive
  *  8b0df1dc93 - FEM: femmesh: fix AttributeError: module 'numpy' has
    no attribute 'int'
  *  8997802ce9 - GUI: Minor translation issues
  *  dfb5cf006d - Image: Minor translation issue [skip ci]
  *  cc086782b5 - OpenSCAD: Minor translation fixes
  *  6bad9eda59 - Addon Manager: Minor translation fixes
  *  da06fc45a2 - [TD]add extensions for drag and drop
  *  7ce5c2dcf4 - Merge pull request #8090 from jimzim111/master
  *  c26a4c7978 - PD: fixes #7791: Linear Pattern With Single Occurrence
    Fails
  *  e88b2cbead - Make upgrades of type draftify return the new object
    (like the other upgrade types do)
  *  14994bd9f7 - [TD]remove debug statements
  *  d7a9f44f20 - [TD]fix startup exception on empty compound
  *  6074bbdf86 - Moved test file opening into instance methods so they
    don't get loaded unless used.
  *  8b85903dff - Adjust Startpage version info to new format
  *  c9b5cc20ec - Test: [skip ci] write results to stdout
  *  63a2855751 - [Sketcher] Disallow tangent-at-knot for non-line in
    solver
  *  e8838b8ef5 - [Sketcher] Disallow tangent at knot with non-line in
    GUI
  *  8d33584eee - Sketcher: Avoid trying to lock tangency for tangency
    at knot point constraint
  *  442851f308 - Sketcher: Add convenience method to check for internal
    alignment type
  *  3bccd6686a - [Sketcher] Do not use  for tangent-at-knot
  *  389aaeb138 - [Sketcher] Separate line-tangent-at-knot from angle-at-
    point
  *  a199afad5f - Sketcher: Solver - add map for Internal Alignment
    geometry
  *  dd64ab8ea0 - [Sketcher][planegcs] Make changes as per review on
    #7484
  *  58b26788be - [Sketcher][planegcs] Use only line direction in
    tangent-at-knot
  *  83a9ea78a7 - [Sketcher][planegcs] Fix tangent at knot for C1 knots
  *  dd02c7a6f3 - [Sketcher][planegcs] Handle type issues with  and
  *  a609bce527 - [Sketcher] Use tangent at B-spline knot constraint
  *  56b19515b6 - [Sketcher] [planegcs] Add tangent at b-spline knot
    constraint
  *  076232a67a - [Sketcher] [planegcs] Calculate value at general b-
    spline
  *  d68ac06b01 - [Sketcher] [planegcs] Evaluate lower degree B-spline
    factors
  *  3c709f31df - Gui: make unit tests working from command line if Gui
    is up
  *  1e7edb46e4 - [Sketcher] Fix typo
  *  0289e3ae52 - Fixed some misspelling in comments.
  *  6995af39bf - MeshPart: Fix translation issues
  *  1e49c84f6c - App: [skip ci] reduce code duplication
  *  aff217b214 - App: remove dead code and simplify code
  *  34f43a245c - Draft: Fix inconsistent properties of Draft
    annotations
  *  f9718ded22 - Gui: [skip ci] fix incorrect tool tip
  *  af33cdabe5 - Surface: fix crash when canceling filling dialog
  *  5915e75204 - Merge pull request #7970 from Roy-043/Draft-improve-
    context-menus
  *  46927fa897 - [Part] ViewProvider.cpp: add include needed for Qt 6
  *  b8d2a88102 - Gui: fix several warnings reported by GH actions
  *  a58ede8b9a - Points: support of surface normals and fix handling
    with intensity
  *  3e576c3bca - Points: refactor E57Reader
  *  660f63557b - Added multiple comments
  *  eb31752998 - Gui: [skip ci] move widget() handling to
    MDIViewPyWrapImp
  *  53e93c4363 - Gui: include header for QPrinter
  *  c1d77ee7c6 - Gui: support of MDI views written in Python that
    implements onMsg() or onHasMsg(): fixes #8071
  *  caa7eb36f9 - Gui: support of QPrintSupport module in PythonWrapper
  *  1e02e70d38 - Gui: default implementation of MDIView::print(),
    MDIView::printPdf() and MDIView::printPreview()
  *  8890f229ba - Regenerated ts files using lupdate6.6
  *  ec12763278 - Fixed ts files
  *  0aee65e465 - Tools: Fixed updatets script not picking py files
  *  7d221f10c1 - Gui: [skip ci] fix build failure due to missing
    include
  *  7081615c29 - Tools: Fixed minor bug in updatets
  *  2ed5291a48 - Merge pull request #8073 from chennes/startMacroIcon
  *  90f1f4732e - Solver: Pass map by const reference to avoid
    performance penalty
  *  9a0e50fbad - Start: Add icon for FCMacro files
  *  0ab2608a42 - [Tux] fix orbit style display
  *  a01d336ac3 - Sketcher: Split - remove unnecessary return after
    exception
  *  13a64d60ea - [Sketcher] Handle exception in Python while splitting
  *  82633fb5df - [Sketcher] Handle split curve corner case
  *  7d8e31041c - Sketcher: Split functionality fixes
  *  863d53ab88 - Sketcher: SketchObject new addGeometry method for
    smart pointers
  *  c6a1644c1c - Part: Geometry
  *  cbf40d528b - [Sketcher] Support splitting B-splines at knots
  *  87f5cc327a - [Sketcher] Support splitting ellipses
  *  9034a37aa7 - [Sketcher] Support splitting arcs of conics
  *  5d32faedae - [Sketcher] Support splitting arcs of ellipses
  *  062450be1b - [Sketcher] Support splitting b-splines
  *  b937ca35d4 - [Part] Fix periodic b-spline trim
  *  ff598a058a - Sketcher: Use new critical message mechanism to notify
    parabola migration
  *  bcc65d2fbb - Gui: Handle user notifications
  *  8b36a2780b - App: New signal to notify user messages
  *  793a70b0e2 - Gui: Set status bit when restoring is initiated by the
    user from the UI
  *  6cb616aeb8 - Gui:: Application - user initiated restore status bit
  *  b2d42ba5f2 - Sketcher: Automatic migration of parabola axis to
    internal geometry
  *  01013bc411 - Sketcher: Make parabola axis to be internal alignment
  *  f0a4ec8240 - Points: fixes #7924: Pointcloud import anomalies
  *  d91edafa62 - [TD]fix expression in Scale fails to propagate
  *  6d535f834d - Surface: use a single button group for all task boxes
  *  e8cba4dda9 - Surface: add external enumerators
  *  4db688771a - Addon Manager: Fix test language dependency
  *  fd35950ec8 - Merge pull request #8063 from sliptonic/py27cleanup
  *  c8dd58fc20 - Surface: remove unneeded includes
  *  f0f72d9ce3 - [Surface] Allow modal adding/removal of geometric
    entities
  *  b5c5d0af95 - Merged crowdin translations
  *  a95b7dc4b5 - Updated ts files
  *  8b6797e1d6 - [Gui] fix bug from #8048
  *  83a7c57b68 - [skip ci] [Gui] change default navigation orbit style
    back to trackball
  *  9cda82cf20 - Gui: Added FreeTurntable orbit style (#8048)
  *  6b5e015f94 - [skip ci] [Mesh] add comment for boost
  *  12a05747c4 - MeshPart: [skip ci] fix some issues reported by GH
    actions
  *  9a6bb7aaa6 - Fixes #7834 remove deprecated python 2.7 code
  *  70a85872a9 - MeshPart: include boost python headers only where
    required
  *  5df04f51ce - Win: [skip ci] define NOMINMAX before including
    Windows.h to avoid name collision with std::min/std::max
  *  8897cb2f79 - App: [skip ci] improve error message
  *  ae39b31813 - App: when using Yaw, Pitch or Roll angle in
    expressions make sure that they are in range
  *  e171a1f6e1 - Gui: enable range check in QuantitySpinBox when
    opening expression editor
  *  d7957531f2 - Gui: enable range check in QuantitySpinBox when
    opening expression editor
  *  9cc78c4d9e - Gui: support of range checks in DlgExpressionInput
  *  5f45b00078 - AddonManager: Refactor uninstaller GUI
  *  02b4a762b0 - Addon Manager: Create new uninstaller
  *  de20241452 - Draft: Draft_SetStyle wrongly handled LineSpacing as
    an int (#8052)
  *  47ef35047b - [TD]detail of rotated ComplexSection
  *  23dc64365b - [TD]move makeAlignedPieces to separate thread
  *  e059e32d40 - [TD]dialog fixes from user testing
  *  5f3c61762c - [TD]fix parent page counting
  *  856af2a122 - Addon Manager: Simplify API
  *  95f474a86a - Addon Manager: Update to Python 3.8
  *  89c191e160 - Addon Manager: Refactor installation code
  *  403e0dc477 - Addon Manager: Correct func names on disconnect
  *  0dc48ff85c - Merge pull request #8012 from LarryWoestman/bugfix
  *  50cdc60b08 - [TD]remove problematic boost check for planarity
  *  9c8b255660 - Gui: simplify logic of Placement dialog
  *  d6d3369856 - Gui: refactor Placement dialog
  *  36aae6f24e - Gui: refactor Placement dialog
  *  3998f3af8d - Draft: fix move AngularDimension bug (#8047)
  *  8da2f363b8 - Draft: fix make_sketch bugs (#7969)
  *  9e702c016b - App: handle sub-components in PropertyRotation
  *  7948181a4d - App: handle sub-components in PropertyPlacement
  *  82afba7459 - [GUI] Add missing include
  *  c1ed520bb4 - [Path] App: remove unused files from PreCompiled.h
  *  05cd301edf - [Path] Gui: remove unused files from PreCompiled.h
  *  c1d3468f67 - [Start] remove unused Windows include
  *  5dee971689 - [Web] Gui: enable precompiled headers
  *  29a8f742af - [Web] App: enable precompiled headers
  *  ff247f84bf - [Test] enable precompiled headers
  *  6ef4e8155f - [Start] Gui: enable precompiled headers
  *  561bb7f747 - [Measure] : remove unused headers
  *  4d06111699 - [Draft] : remove unused headers
  *  a912e8aa95 - [Sketch] Gui:Task*: remove unused headers
  *  d8b6474e6d - Merge branch 'FreeCAD:master' into master
  *  f68fc67e99 - Tests: add more tests
  *  2fa8fb45d8 - Base: refactor InventorBuilder
  *  12091cceab - Mesh: Refactor MeshOutput::SaveInventor
  *  309718bde8 - Fixed donation link
  *  6e71964d4e - Base: set values in constructor of NormalItem
  *  0533550f95 - remove some unnecessary Boolean checks
  *  0e062212b5 - [Sketch] Gui: U - End: remove unused headers
  *  44d464251b - [Sketch] Gui: Sketch - So: remove unused headers
  *  2e1ec82930 - Base: remove deprecated methods of InventorBuilder
  *  cfc97b80b1 - Mod: use new API of InventorBuilder
  *  787a37be82 - Gui: fix View3DInventorViewer's getViewProviderByPath,
    getViewProviderByPathFromTail, getViewProvidersOfType
  *  94787e8afa - [PD] enable padding to touching planes
  *  2f575a3c91 - Fix bug #7563 where menus and tooltips are not visible
    in fullscreen mode on windows systems. (#8027)
  *  7637d58df0 - Add missing brackets + change indentation to spaces
  *  80efe8191e - Cleanup: move return statement to new line + trailing
  *  ce8816685b - [Sketch] Gui: E - Short*: remove unused headers
  *  e92034a187 - [skip ci] [TD] only whitespace and sorting
  *  cb06952a79 - [TD]fix wrong error message on load
  *  1f91409aa9 - [Mesh] Gui: fix compilation on Windows
  *  035546b05c - [Sketch] Gui: improve precompiled headers
  *  f4f60d4737 - Base: refactor InventorBuilder
  *  08932bd92d - [Sketch] Gui: A - D: remove unused headers
  *  170cf81fd5 - [Sketch] App P - End: remove unused headers
  *  a139a35d24 - [Sketch] App A - G: remove unused headers
  *  db01062242 - code cleanup
  *  21c4b2dcce - Merge branch 'FreeCAD:master' into master
  *  7b3d759ea1 - RE: [skip ci] fix build failure
  *  8faf86e2b5 - [Reverse Eng] Gui: remove unused headers
  *  bea2f9be2c - [Reverse Eng] App: enable precompiled headers
  *  c684b1a399 - Path:  Fixed regression in input statement.
  *  ec9b2c0966 - [Inspection] enable precompiled headers
  *  20a3d4b7ed - [Drawing] Gui: remove unused headers
  *  b2a3c5e22c - [Drawing] App: remove unused headers
  *  60d43eb0b5 - [Raytracing] remove unused headers from PreCompiled
  *  b4bd8d9f6c - [Mesh] Gui: enable precompiled header
  *  7acc1eca60 - [Mesh] App: remove unused/unnecessary headers
  *  1046bd14a8 - Revert [PD] App: precompiled header fixes
  *  d159af0202 - Merge pull request #8000 from donovaly/PD-PCH-fix
  *  454dddb8ba - [PD] App: precompiled header fixes
  *  13b0b89160 - [Image] App: enable precompiled header
  *  8d6255b0e8 - Base: refactor InventorBuilder
  *  0d92058fb8 - [Robot] App: enable precompiled header
  *  3f7ea7bb27 - [Robot] Gui: enable precompiled header
  *  f709f39ce7 - [Iamge] Gui: enable precompiled header
  *  3c5243035f - [Spread] fix compilation issues with qtcolorpicker.cpp
  *  e63b0cbc04 - [Win installer] update file deletion list
  *  3c4375986e - TD: [skip ci] fix build failure with boost >= 1.78 on
    Windows
  *  c7bbac501e - updated comment
  *  3ac6bc8ea6 - Merge branch 'master' of
    https://github.com/luvtofish/FreeCAD
  *  0d8aacae49 - tool tip changes
  *  f608438339 - Updated tooltip details
  *  b52d5a9038 - removed print post processor print statement.
  *  5553b6ca9c - Removed TLO since not used.
  *  4342251c44 - Add files via upload
  *  7b671210e7 - Add files via upload
  *  5261f00ca1 - Merge branch 'master' of
    https://github.com/luvtofish/FreeCAD
  *  97c1ba7358 - tool tip changes
  *  1189be75d0 - [COPR] fedora: force built-in zipios, disable test
  *  af58f804d4 - [Points] enable precompiled headers
  *  54f748ea29 - Updated tooltip details
  *  5b7670a449 - [MeshPart] enable precompiled headers
  *  91efe220a5 - [skip ci] [Gui] QtAll.h: whitespace
  *  97ee8b847f - [Surface] enable precompiled headers
  *  d6978106ea - [Spread] App: remove unnecessary Windows headers
  *  ee7e19fac0 - [Spread] App: enable precompiled headers
  *  ffe5c754af - [Sketch] App: improve PreCompiled.h handling
  *  58d8b36dfd - [Surface] Gui:: remove unused includes
  *  3b1580136b - [Surface] App:: remove unused includes
  *  df1e0b5be8 - PD: [skip ci] Single-parameter constructors should be
    marked explicit
  *  3e33a91aa9 - PD: fixes #6000: auto-generated Body not placed under
    existing Part
  *  8d6ea90cee - [MeshPart] improve PreCompiled.h handling
  *  b8c83a1c62 - PD: refactor CmdPartDesignNewSketch::activated
  *  6e5be52325 - [Part] improve PreCompiled.h handling
  *  378184f8ea - [Points] re-add a header
  *  e6b3d5aded - [PD] improve PreCompiled.h handling
  *  960ace8034 - [Path] improve PreCompiled.h handling
  *  423c330534 - [Path] improve PreCompiled.h handling
  *  cbd0140dcd - [TD] Task*, part 2/2: remove unused includes
  *  42d2d54508 - Merge branch 'master' into master
  *  987314b9d8 - [Points] improve PreCompiled.h handling
  *  059b441ebc - [Spread] remove unused includes from PreCompiled.h
  *  efce625a8d - removed print post processor print statement.
  *  5e05f753ff - Removed TLO since not used.
  *  f611cc66b4 - Merge branch 'FreeCAD:master' into master
  *  023a37b92c - [TD] Task*, part 1: remove unused includes
  *  19411d6a9b - Part: add method TopoShape::isPlanar()
  *  ae0ee09a09 - Mesh: [skip ci] use new API of InventorBuilder
  *  302d3f5b95 - Core: allow to set file filter from
    PropertyFileIncluded
  *  0fdb4949c3 - Draft: improve context menus
  *  ace6d5a9ce - [Web] remove unused includes
  *  e5cb1b24cd - [Start] remove unused includes
  *  30c5f71413 - [Robot] Gui: remove unused includes
  *  60b5d819b6 - Merge branch 'master' into master
  *  c9f42ebcd7 - [Robot] App: remove unused includes
  *  1844f2e084 - [Raytracing] remove unnecessary include
  *  e0ad54dece - Add files via upload
  *  51f43db5e1 - Merge branch 'master' into master
  *  d08ccbfb77 - (Attempt to) fix compile issue in Raytracing
  *  09830ae195 - Merge branch 'master' into master
  *  c6c273eddf - [Raytracing] attempt to fix compilation on Arch linux
  *  8b9af206ab - Add files via upload
  *  6f0afb4d0b - [Raytracing] Gui: remove unused includes
  *  10d6e4b892 - [Raytracing] App: remove unused includes
  *  ffb97abfbe - Base: refactor NodeItem
  *  7bd0394f13 - Test: [skip ci] fix build failure when linking Python
    statically
  *  60ae885471 - Base: Remove redundant 'else' and return Py::None()
    instead of Py::Object() to make it explicit that Python's 'None' is
    meant
  *  69aba3abe1 - PD: remove parameter 'supportface' from
    ProfileBased::getUpToFace as it's not used any more
  *  633fb4488a - Gui: [skip ci] fix several warnings:
  *  ab41f7d091 - Gui: [skip ci] fix warnings: [-Winconsistent-missing-
    override]
  *  313525a012 - Core: [skip ci] ignore some code spell checks and
    filter all '_rc_.py' files
  *  f948e5db4d - Merge pull request #7956 from adrianinsaval/unifyIcons
  *  faf2360cf9 - Merge pull request #7927 from Roy-043/Arch-add-unit-
    test
  *  1cec428e0e - [Mesh] remove unused file
  *  1cfa8b5366 - [Win installer] some uninstaller improvements
  *  c9455541ee - Unify application icon
  *  9869a2c3d7 - [Build] output point release version
  *  a482e2421e - remove unused files
  *  95fcf171b8 - Unify version patch number management in cmake
  *  75dc8f9410 - [Path] A-F: remove unused includes
  *  87c3b58f44 - Simplify switch statement (modded)
  *  feeb479641 - [Path] Gui: remove unused includes
  *  836c1be75d - [Path] P-End: remove unused includes
  *  113dce72d7 - [Mesh] Gui: ViewProvider*: remove unused includes
  *  10aff43462 - [Mesh] Gui: So*: remove unused includes
  *  e3ee7d549a - [Mesh] Gui: R-Se: remove unused includes
  *  4d2837a6c2 - [Part] Add/change some methods in
  *  36ff50088e - [Sketcher] Convert curves to splines before joining
  *  deea97e654 - [Sketcher] Join curves at common point
  *  c5aceb0182 - [Sketcher] Add methods and tools for joining curves
  *  59c1741559 - [PD] Pad/pocket: fix wrong error message
  *  3ded221646 - [PD] FeatureSketchBased: fix orthogonal check
  *  69d4d284e8 - [Mesh] Gui: A-P: remove unused includes
  *  020ced9859 - [TD] QGIView*: remove unused includes
  *  98a0172700 - [TD] QGIL - QGIVE:remove unused includes
  *  8b5fc633a9 - [TD] QGIA - QGIH:remove unused includes
  *  20ae6041e8 - [TD] QGV*:remove unused includes
  *  8231c77cb3 - [TD] QGC* - QGE:remove unused includes
  *  b18668e615 - [TD] QGIW* - QGT:remove unused includes
  *  d46e2b3569 - Path: remove leftover .zip archive in PathSimulator
    directory
  *  848e6cc2f3 - Gui: Temporarily disable tree icon height call
  *  7dc14634cd - Base: fix Windows build issue
  *  26e38309c8 - Gui: fix transparency saving in PrefColorButton
  *  61a4bf5719 - Gui: support more parameter types in PrefComboBox
  *  41dcee396d - Gui: split out TreeParams into its own source files
  *  ea4405eaaa - Tools: add utility script for code generation using
    cog
  *  d3c063f88c - Base/App: add new signal interface to Parameter
  *  276e6c45b9 - [TD]allow rotation of hatch directions
  *  53804d7e4d - [CrashFix]Sketcher: prevent crash at FC closure when
    edit control panel is disabled, fixes #7931
  *  19437bd7be - Base: refactor testInventorBuilder
  *  2131a4732b - [Spreadsheet] fix header uniformity
  *  0e08b51a58 - App: fix trailing whitespace
  *  c16e88845b - Gui: fix trailing whitespace
  *  28746f4ba6 - Arch: add BuildingPart unit test
  *  ad2de02d0c - [Meas]handle long subElement names in reference
  *  4dc1fc8f01 - Base: refactor InventorBuilder
  *  663a9e665b - Base: refactor InventorBuilder and add more unit tests
  *  f6cf0e7f3d - Test: [skip ci] fix linking errors of Google tests
    with MSVC
  *  3148ea6651 - L10N: Don't translate strings that dont contain any
    alphabetic character
  *  e7490c9ee1 - L10N: Don't translate ... string
  *  c10330f705 - [fixes #5965] CarbonCopy: if existing use constraint
    name in expressions
  *  b3817cc3a6 - OpenSCAD: Remove extra lines imported with DXF
  *  db18325a39 - Gui: Don't translate ...
  *  2e0f3f9e35 - Addon Manager: Don't translate prefPath strings
  *  adfdbf7cd7 - Arch: Fix missing Windows in Arch Reference of
    BuildingPart
  *  a4693a2748 - cast max
  *  654d82d91c - JtReader: Fix header uniformity and trailing
    whitespace (#7919)
  *  e00a5243ec - Test: [skip ci] make sure tests pass in any order
  *  d8e0b73357 - Revert Test: [skip ci] make all example tests pass
  *  97ab7714fe - Base: fix InventorBuilder and add more unit tests
  *  5337812e23 - Sketcher: TaskSketcherConstraints: defensive support
    of nested signal blocking
  *  317eee4eb2 - Sketcher: correctly restore constraints display
    according filters
  *  875385ee9d - Sketcher: cleanup TaskSketcherConstraints
  *  087ff75340 - Sketcher: also save advanced filters + minor fix
  *  f1f9dcfc05 - Sketcher: constraint settings are kept in sync with
    user parameters
  *  7088930dba - Sketcher: 'HideInternalAlignment' also has effect when
    constraint filter is disabled
  *  293edba342 - Sketcher: settings in Task Constraint are translatable
  *  17144272c7 - Sketcher: fix basic issues in Task Constraint
  *  cc8a30929a - Test: [skip ci] make all example tests pass
  *  1d7369e321 - QtTest: [skip ci] enable Qt testing framework
  *  92e77ce1df - fix invalid unicode
  *  63d46325fe - Codespell: [skip ci] ignore Google test framework
  *  b3274122e3 - Introduce GoogleTest C++ unit testing framework
  *  baa485d573 - Arch: Fix Arch_Space text position
  *  34f41572b2 - QString.midRef is removed in Qt6
  *  6f1b29769b - fix typo: 'instead if' -> 'instead of'
  *  dda171f427 - OpenSCAD: remove indentations from test_importCSG.py
  *  3f118b52bc - OpenSCAD: Ensure complex fuse has no extra placement
  *  7310ff4bb8 - FEM: remove trailing whitespace
  *  1803cc0c7e - Addon Manager: tweak markdown
  *  21eddcb15e - Addon Manager: Fix trailing whitespace
  *  fa98553775 - Fix various typos and grammatical issues
  *  5b63289c5b - Part: Fix header uniformity + superfluous whitespace
  *  e18cb45673 - Base: refactoring of InventorBuilder
  *  ebe71e90c0 - Gui: hiding detail dependency information in
    DlgObjectSelection
  *  5847c4e95e - Path: fix header uniformity
  *  674bd3d6ec - PartDesign: fix header uniformity
  *  da7006b889 - Points: [skip ci] fix build failure
  *  c16b94c669 - Base: fix build failure with MSVC, overloaded operator
    << must be in header file
  *  c16e4670fd - Base: refactoring of InventorBuilder
  *  b325ab93dc - Base: refactoring of InventorBuilder
  *  c0846e36b4 - Start: Set minimum height for notes panel
  *  9388cea9c7 - Sketcher: [skip ci] don't mix QCheckBox::setChecked()
    with tristate API
  *  ad1cccdd27 - Gui/Mod: handle several compiler warnings:
  *  95d89622de - Fix header uniformity for various
    workbenches/directories
  *  95f647b9ed - [Points] remove unused includes (#7900)
  *  695d156535 - [github ci] run build in parallel
  *  967cc57350 - [Inspection] remove unused includes
  *  3e58ada046 - [skip ci] [Gui] NaviCube: remove tabs
  *  dfaecfa187 - [fixes #7875] Gui: use hexagon shape in NaviCube
    corners
  *  b17c0cce46 - Gui: fix header uniformity
  *  aecddeedcc - Image: fix header uniformity
  *  78b46891e7 - Arch: fix cutplane color (#7859)
  *  8cd2900dc0 - Merge pull request #7866 from Roy-043/Draft-
    test_creation.py-add-3-tests
  *  5db3bc29fd - Merge pull request #7885 from Roy-043/Draft-fix-clone-
    DiffuseColor
  *  7b635cda5c - [Image] Gui: remove unused includes
  *  1f1abe56b4 - Addon Manager: Add unit tests for _fetch_raw_code
  *  dfef3be2d8 - Addon Manager: Refactor Macro for testing
  *  5419bcb6e4 - Addon Manager: Fix bad formatting in error handler
  *  625d291f50 - [Import] Gui: remove unused includes
  *  6d9b287e7c - Spreadsheet: Add unit test for #7841
  *  cba90dd97c - [Spreadsheet] Fix alias setting for empty cells
  *  567e0434e6 - Base: refactoring of Builder3D/InventorBuilder
  *  16e80093c4 - Base: refactoring of Builder3D/InventorBuilder
  *  9c191c1246 - Base: change return type of Line3::SqrLength() and
    Line3::Length()
  *  88510213d9 - TD: [skip ci] fix warnings reported by GH actions
  *  c988f1d472 - Base: start of refactoring of InventorBuilder
  *  8f136f60c6 - Base: start of refactoring of Builder3D
  *  13acca7504 - [TD]fix ComplexSection null cut shape
  *  cc8d6afee7 - Draft: fix clone DiffuseColor
  *  c23ee7ad88 - Merge pull request #7848 from mlampert/bugfix/thread-
    milling-task-panel
  *  b44d70f646 - Import: [skip ci] fix warning about trailing
    whitespaces, fix parsing errors
  *  88bde4e0f9 - Import: fix build failure
  *  838d99636b - [Import] remove unused includes
  *  a6b9a53bed - Sketcher: [skip ci] refactor SoDatumLabel
  *  599d0d1d7d - Sketcher: [skip ci] refactor SoDatumLabel
  *  a3971bfcfd - Sketcher: [skip ci] refactor SoDatumLabel
  *  3f29b6cfd3 - [skip ci] Add kdevelop project files to .gitignore
  *  10895e18ff - Sketcher: [skip ci] fix compiler warning
  *  8a0816ff40 - Sketch: use the focal distance to determine a correct
    scale factor for SoDatumLabel
  *  ccf0740087 - Sketcher: Element widget - fix toolbuttons height
  *  7d04bf015c - [MeshPart] Gui: remove unused includes
  *  33f81cd0e1 - Sketcher: Element widget: - FilterBox and filter state
    is now registered as preference to be cross-session.
  *  142f6d8843 - Sketcher: Constraint widget: Add 'Auto constraints'
    and 'auto remove redundant' to the setting button.
  *  13e71c0533 - Sketcher: Constraint widget: Improve the filter such
    that the filter state and checkboxe state is cross-cession. Enabling
    user to 'save' filter state.
  *  22271deb2d - Sketcher: Constraint widget: - Fix eye button     -
    move 'Internal alignment' to Geometric.     - Fix another bug.
  *  7788ef185b - Sketcher: filter list strings are updated at language
    change. By @0penBrain
  *  378463de03 - SKETCHER: Constraint widget rework (issue 7518)
    see https://forum.freecadweb.org/viewtopic.php?f=34&t=71595&start=20
  *  d955e0f108 - MeshPart: [skip ci] fix build failure
  *  d1431f405c - [Mesh] remove GTSAlgos
  *  6fe9bafb03 - Draft: test_creation.py add 3 tests
  *  424cd1d319 - [Measure] remove a unused include
  *  d62d41a53b - [MeshPart] remove unused includes
  *  cdda6f2c38 - [TD]fix fail on missing base view (#7856)
  *  52398d8f58 - Sketch: add missing header
  *  924e7fc484 - Gui: move class SelectionObserverPython to its own
    source files
  *  2252696828 - Base: move class ProgressIndicatorPy to its own files
  *  69dd6ea965 - [Mesh] Core P-end: remove unused includes
  *  43463077f1 - [skip ci] [Part] TopoShapePyImp.cpp: clang formatting
    fixes
  *  3c855f475d - [skip ci] .clang-format: shorthand loops
  *  5f9afef268 - [TD]Separate test scripts which require QApplication
  *  c8a0172df8 - [TD]Add tests for geometry creation
  *  205c6e8931 - Base: restore ConsoleSingleton::IsMsgTypeEnabled
  *  8659c5a149 - Merge pull request #7821 from Roy-043/Draft-fix-
    arcFromSpline
  *  2f27bf18bf - Merge pull request #7840 from Roy-043/Draft-add-
    test_draft_to_techdraw
  *  80308c0105 - Sketcher: fix warning about QStringLiteral used
    without argument
  *  6e65e77915 - Gui: ActionGroup also get its tooltip title updated
  *  14f56c4e1c - Gui: Stop Revit rotation and zoom on scroll release
  *  1559683684 - Image: remove trailing whitespace
  *  3b7189f6af - [Mesh] Core E-M: remove unused includes
  *  577ba5ba58 - [Mesh] Core A-D: remove unused includes
  *  3283107f38 - [Mesh] Core/IO: remove unused includes
  *  b940267220 - Merge branch 'master' into bugfix/thread-milling-task-
    panel
  *  36391eab68 - Save and restore ThreadFit attribute
  *  3cdaf8b8bc - Update test_modification.py
  *  7b2a6a3bf7 - Sketcher: filter list strings are updated at language
    change (include fix commits)
  *  15dd77512e - Sketcher: Element widget: Improve filter widget.
  *  ab7644441f - cmake: correct usage of ifdefined (PR #7829)
  *  1f6ec0469a - [TD] DrawViewPart: Fix Dimension attachment for Coarse
    Views and faceless Views
  *  aafdb8134d - remove unused code in find pyside
  *  193d284c42 - Draft: unit tests: replace test_draft_to_drawing with
    test_draft_to_techdraw
  *  e6c53d8642 - [sketch] Geo.cpp: fix compiler warning
  *  0c2fdd64f4 - Base: [skip ci] fix readability-identifier-length
  *  7745a5aca0 - [Units]Allow querying schema for unit of measure
  *  c9829a312f - [Sketcher] fix header uniformity
  *  d2e5a12190 - change ALL_UPPER_CASE constexpr definitions to
    camelCase
  *  09dccb70c7 - Part: [skip ci] fix some warnings reported by GH
    actions
  *  f0deeaed00 - Part: Fix endless-loop in TopoShapePy::proximity
    function
  *  98d29647e6 - [Arch] fix header uniformity
  *  1b41844acb - [skip ci] Add commits to .git-blame-ignore-revs
  *  f0b151dc09 - FEM: gmsh binary location on osx, add comment
  *  c0a45ec61e - FEM: add standard path for gmsh on osx
  *  5adcfd1dd4 - Arch: replace tabs with spaces
  *  862c092c0b - Sketcher: disable auto-constraint in Copy/Clone/Move
    commands
  *  f6884b307c - Sketcher: Clone: do not apply parallel constraint if
    angle constraint is applied on arc
  *  2e19e5f6fb - [TD] DrawViewPart: Fix Dimension attachment on
    Cosmetic CenterLines upon document restore
  *  7a8a453746 - Path: remove trailing whitespace
  *  875f9eaad6 - Sketcher: remove trailing whitespace
  *  dc5b3cb495 - Arch: remove trailing whitespace
  *  c3b38bda08 - App: [skip ci] fix warnings reported by GH actions
  *  2614a1cec6 - App: [skip ci] fix typo
  *  1f83094b44 - App: fix endless-loop in DocumentObject::getParents
  *  e10b23ca70 - App: replace boolean with enum
  *  07711bb8a8 - App: fix endless-loop when recursively determining
    placement of an object
  *  91319b21d9 - Draft: fix arcFromSpline midpoint bug
  *  c8074a972e - Merge pull request #7759 from LarryWoestman/staging
  *  d793a182c4 - App: fix possible stack overflow in
    GroupExtension::hasObject()
  *  955eeb4775 - Gui: [skip ci] use full namespace of AccelLineEdit
  *  4067cc158f - Gui: fix endless-loop in
    View3DInventorSelection::checkGroupOnTop
  *  4b17636c5e - Gui: code-refactoring
  *  249ee72333 - [Sketcher][planegcs] Make changes as per comments on
    #7484
  *  2537ea883f - [Sketcher][planegcs] Set knot constraint as internal
    alignment
  *  19810fac2a - [Sketcher] Do not make knots construction points
  *  430b0baa00 - [Sketcher] Stop treating knots as fixed in GUI
    commands
  *  7cd2cbd29c - [Sketcher] Constrain B-spline knots as linear
    combination of poles
  *  027504ce16 - [Sketcher] Reformat some if-else for readability
  *  4f96b1bf60 - [TD]fix alignment of section line marks on rotated
    base view
  *  e3cd132af7 - [Typo]Sketcher: 'Clone' is the first command of
    CompCopy, match the tooltip
  *  4483c77530 - Gui: MSVC requires a user-defined destructor of
    RecentFilesAction otherwise the class declaration of Private is
    needed in the header file
  *  e1aa6f58e3 - Merge pull request #7526 from
    paullee0/ArchWall_15_UseAndCreate-ArchSketch-If-Present
  *  f6b70cce41 - Merge pull request #7786 from Roy-043/Draft-
    housekeeping-rename-snap-icons
  *  9e9c784041 - TD: fix memory leaks with raw pointers of
    GeometryObject
  *  a9283c9945 - [skip ci] Add commits to .git-blame-ignore-revs
  *  6e542b6fad - Part: remove trailing whitespace
  *  a6133a583a - [skip ci] Add commits to .git-blame-ignore-revs
  *  b389f6e602 - TechDraw: remove trailing whitespace
  *  57d0c2000a - MeshPart: remove trailing whitespace
  *  61dee6b8ad - App: fix memory leak and consistently use
    Py::asObject() in DocumentObserverPython
  *  6298a3a339 - Gui: [skip ci] consistently use Py::asObject() in
    DocumentObserverPython
  *  390e09db32 - Mesh: remove trailing whitespace
  *  0c83a17ce8 - [TD]prevent Complex Section with no Base View
  *  26d7fe14e1 - [TD]add section line marks for simple section
  *  93133040e8 - TechDraw: Improve and clean up code in some Python
    classes
  *  53f5883ea1 - [TD]fix handling of multiple pages
  *  075cbb64f0 - [Measurement]apply globalPlacement to geometry
  *  de04434d1f - Test: [skip ci] add method clear() to document
    observers
  *  6e7ee14062 - App: [skip ci] fix memory leak
  *  f9ba739e70 - Sketcher: Coincidence constraint: fix error introduced
    by concentric capability.
  *  3d7b116358 - App: implement option to set config key
  *  dacf04c835 - Gui: fix some clang-tidy warnings:
  *  756e081a78 - Gui: fix some clang-tidy warnings:
  *  904f92d747 - Gui: [skip ci] fix some clang-tidy warnings:
  *  a62da05d5c - clang-tidy: disable 'readability-redundant-access-
    specifiers' because clang-tidy fails to distinguish between 'public'
    vs. 'public Q_SLOTS'
  *  bbb3697b77 - Gui: [skip ci] fix some clang-tidy warnings:
  *  951ea0a768 - Gui: fix clazy warnings:
  *  fce59ca723 - Sketcher: fix clazy warnings:
  *  0a5358c24f - Sketcher: Fix element widget repaint delay bug
    Related to https://github.com/FreeCAD/FreeCAD/pull/7567#issuecomment-
    1304724547
  *  0679c40d26 - Gui: fix readability-identifier-length
  *  182aa2ac4c - Gui: replace old-style with new-style connect
  *  ad8974e9d8 - Gui: improve usability of QuantitySpinBox when used as
    menu item
  *  2a6bd73fc0 - [TD]apply review comments from @chennes
  *  fe4a402b04 - [TD]simplify section hatch file handling
  *  3ce218d1d7 - [TD]simplify embedded image handling
  *  199fd11623 - [TD]simplify embedded file handling
  *  75e163213a - [TD]simplify embedded hatch file handling
  *  9c9013810e - [TD]fix embedded template file handling
  *  eed9b6480f - Addon Manager: Refactor to extract metadata checker
  *  d7ace29c75 - [TD]fix vertical alignment of section pieces
  *  6a8468f5bd - Gui: implement WorkbenchSwitcher class to encapsulate
    the parameter details
  *  c966c98614 - Gui: simplify code to handle workbench selector
  *  2390ed8c8f - Gui: [skip ci] fix several warnings reported by GH
    actions
  *  ceb1c83a35 - Gui: replace old-style connect() with new-style
  *  e920410607 - Draft: housekeeping: rename snap icons
  *  a4fbb2d802 - [TD]Section dialog gui tweaks
  *  dbff8faef6 - [Mesh] Feature*: remove unused includes
  *  21f47cf2ec - Gui: fix warnings reported by GH Actions:
  *  5f4dbf7b4c - Gui: Add default JPEG save quality (#7737)
  *  7869b443db - [skip ci] [Gui] NaviCube: fix warning about too short
    variable name
  *  70b9db569b - [skip ci] [.clang] set pointer style to left
  *  60d536bdf2 - [Gui] NaviCube: fix rotation to backside
  *  33f671c6c1 - Addon Manager: Ensure check message closes
  *  103f8b77bf - Addon Manager: Refactor to extract connection check
    GUI
  *  818ab2b3ff - [.clang] use line break after case
  *  8f2720b8b7 - [Path] PathSimulator: remove unused includes
  *  bc4a5fa006 - [skip ci] [Github] add file endings
  *  7e7b046041 - [Mesh] Imp* - end: remove unused includes
  *  3ee47be1e0 - Gui: don't use '_tooltip' as argument name because
    it's already used for a class member
  *  1a9637a384 - [TD]fix XDirection rotation of simple sections
  *  94c5888921 - [TD]fix oblique section line ends
  *  0ebf61184a - [TD]Section dialogs minor fixes
  *  674b341af6 - [TD]fix fail in calculating section line length
  *  1139e209a8 - Gui: [skip ci] fix several warnings reported by GH
    actions
  *  84d0f4fb6f - Gui: fix regression: show commands of selected
    category in Toolbar tab
  *  a95aefdb18 - Gui: use new-style connect and add curly braces to
    improve readability
  *  1147758787 - Gui: restore fixes of DlgKeyboard.ui and
    DlgToolbars.ui and fix build failure
  *  1611724d39 - Gui: do not remove ending puncuation when clean action
    title
  *  7458912b33 - Gui: fix shortcut context handling in ShortcutManager
  *  b48458673c - Gu: fix readonly AccelLineEdit
  *  4b377e2c31 - Gui: fix command completer selection on item activate
  *  362c781553 - Gui: fix Customize -> Keyboard shortcut priroity list
  *  93c4c0884e - Gui: remove command description label in Customize ->
    Keyboard
  *  64bddb0d88 - Gui: change Command::getRevision() to const
  *  a067f477fd - Gui: fix missing separator item in Customize ->
    Toolbar
  *  039d1a0193 - Gui: fix macro command sync in Customize ->
    Keyboard/Toolbar
  *  2a5190f67f - Gui: move CommandCompleter into its own source file
  *  02e0af2f1d - Gui: fix GroupCommand icon setup
  *  aba01ca182 - Gui: fix ShortcutManager modifier detection
  *  d94953ef91 - Fix build warning
  *  3f0f5cff99 - Minor code change according to suggestions
  *  31d77a954b - Gui: fix action title processing
  *  3e508dd7ed - Fix comment typo
  *  af920dd625 - Gui: fix shortcut editor
  *  1341eb635b - Gui: refactor 'Customize -> Toolbars' command list
    handling
  *  2328284884 - Gui: add ShortcutManager to unify shortcut handling
  *  1d1679ea3e - Merge pull request #7763 from mlampert/bugfix/fix-
    merge-issue-by-mangling-pr-7428
  *  6c35427952 - Spreadsheet: Ensure no args to Python calls
  *  4adf5836c7 - Spreadsheet: Add getUsedRange() and getNonEmptyRange()
  *  11dd7fc5f9 - Spreadsheet: Add Python API for getUsedCells
  *  b444ae94d5 - Addon Manager: Refactor to extract first run dialog
  *  3720ab5ed7 - Add previous commit to .git-blame-ignore-revs
  *  45dc6d3a49 - Gui: determine the view size of the focal plane in
    perspective mode
  *  c726b69d7e - PD: remove trailing whitespace
  *  e4b1aa7494 - Mesh: [skip ci] add export macro to Wm4 constants
  *  2e383f6b88 - Fixed merge issue
  *  8ec1279ea8 - [Mesh] App-Facet: remove unused includes
  *  2a0e865bbd - Path:  Changes for Path refactoring to fix
    regressions.
  *  7acc67ea43 - PD: fix crash in
    TaskRevolutionParameters::addAxisToCombo and some warnings reported
    by GH actions
  *  1911fe50ff - PD: [skip ci] improve the exception text
  *  2aa232bef9 - [PD] TaskDlgRevolutionParameters: fix some CI warnings
  *  eb407feb60 - [TD]fix rotation of complex section
  *  5cedb9ea4e - [TD]fix rotation of cut face hatch
  *  cd0cd182c9 - Arch: remove trailing whitespace in importWebGL.py
  *  f503c061fc - Gui: fix warnings in DlgDisplayPropertiesImp reported
    by GH actions
  *  7b9acb012c - Draft: Remove py2 references
  *  f6f1928cf8 - Arch: Remove Py2 code
  *  c355810538 - Start: Remove Py2 code
  *  3fe026f3c9 - Remove various sys.version_info >= 3 checks
  *  ad18a2dc75 - Update the PR template to link to CONTRIBUTING.md
  *  fc21d597a9 - Draft: test_modification.py: modified test and added
    test (#7741)
  *  b26fec66b1 - Gui: use new-style connect() in
    DlgDisplayPropertiesImp
  *  5ab37d8cc2 - Gui: use QSignalBlocker in DlgDisplayPropertiesImp
  *  4a27fa4ed5 - Gui: refactor DlgDisplayPropertiesImp to avoid code
    duplication
  *  78c86711eb - [skip ci] [Gui] DlgDisplayProperties: fix dialog
    height
  *  fc76d37d6f - Add button to set point color in Appearance task
    dialog
  *  e9782bfe38 - TechDraw: Fix reference counting in format attribute
    of CenterLinePy and CosmeticEdgePy
  *  91a254a0fc - Update PROBLEM_REPORT.yml
  *  9068459898 - Create PROBLEM_REPORT.yml
  *  c6615a1af5 - [TD]fix read only scale property in DraftView
  *  5759733650 - Merge pull request #7728 from arduent/master
  *  7d4bb806ad - GUI: Remove references to MS Shell DLG2 font
  *  49229576fd - GUI: Limit editor fonts to fixed-width
  *  afeaebe6de - GUI: Default editor font to monospaced
  *  d767a923a3 - Addon Manager: Add try/except to integer conversion
  *  5225a5f904 - Fem: [skip ci] include Python.h before vtk headers to
    fix a warning with clang/MSYS2
  *  1694f1e0db - Mesh: [skip ci] remove unused header
  *  30b918dac8 - Gui: Rename 'Output window' to 'Report view'
  *  549774e953 - Spreadsheet: restore fix for multi-screen management
    of QtColorPicker
  *  648065f1de - [PATH] add OCC header/libdir to Path/libarea
  *  952f7adbad - Correct contents of empty title string
  *  832d479ee9 - GitHub: Remove forums requirement from issue template
  *  8d346f1bf5 - Gui: Add setting enabling workbench selector to be on
    the menubar. Restart required.
  *  7c5557b3cb - Fix typos in TD and FEM source comments/documentation
    [skip ci]
  *  1a27202b69 - TechDraw: Improve code in Python CosmeticEdgePy class
  *  c5a263bdd8 - [TD]Prevent ComplexSection creation without valid
    direction
  *  38f1906ae0 - [TD]fix exception on empty compound
  *  4ea2cb4cc0 - [TD]fix hatch test script
  *  3ac40a3778 - Merge pull request #7656 from Roy-043/Draft-Change-
    Snap-toolbar-to-standard-toolbar
  *  d68f5fe88a - Merge pull request #7662 from
    Overruler/draft_patharray
  *  df240315a3 - Merge pull request #7661 from Roy-043/Draft-Use-
    DefaultShapeTransparency-in-gui_setstyle.py
  *  401f1cfe97 - Merge pull request #7670 from Roy-043/Draft-Fix-
    rectangle-with-face-offset-bug
  *  5b015b7022 - TechDraw: Improve code in Python DrawPagePy class
  *  5c02a7c0e8 - Gui: use braced-init-list to create LibraryInfo
    objects
  *  0c7c427b7e - + fix build failure if SMESH support is disabled
  *  b3372a5205 - Gui: [skip ci] fix several warnings reported by GH
    Actions
  *  6a68da4871 - [Gui][Mod]: uniform spin button step size to 5%
  *  d6a7b282d5 - Core: Qt6 migration, use PySide
  *  b407332475 - Addon Manager: Qt6 migration part 1, use PySide
  *  06922ae093 - Gui: [skip ci] fix several warnings reported by GH
    Actions
  *  d20d97d6c5 - [Gui] SplashScreen: modernize Qt connection
  *  e31cd499b0 - [PD] Helix: assure source Sketch is visible when in
    selection mode
  *  432e6b3bf4 - Part: TestPartApp.py add tolerance to
    PartTestShapeRotate
  *  ddff8dd4a9 - Part: Fix typo in regression_tests.py
  *  6091c89947 - [Sketch] change polyline icon
  *  7a5019b262 - [skip ci] [Gui] DlgMaterialPropertiesImp: Clang
    formatting
  *  e6b968397c - [FEM] better safe Elmer executable path handling
  *  d119c1c7a5 - Gui/Sketcher: disable geometry deselection when user
    holds Ctrl or additionally Shift or Alt
  *  04fc0deb06 - [Part] SectionCutting: cut long lines
  *  a76dc0ade2 - PD: use Base::StateLocker to simplify handling of
    blockUpdate and make it exception-safe
  *  18781bcf63 - PD: fixes #7629: Keep sketch visible during revolution
    tasks
  *  f3c0cfbd59 - output SMESH version number in about dialog
  *  9e481f1ac1 - Addon Manager: use versioned Python package dirs
  *  14953f66c8 - [FEM] more safe Elmer executable path handling
  *  63e74c848f - PD: unit test to check offset of sub-shape binder (PR
    #7445)
  *  927b342fbe - Gui: handle std::exception and Base::Exception inside
    DlgPreferencesImp::createPageInGroup to avoid that the preferences
    dialog won't be shown at all
  *  ea2f757a7b - Addon Manager: Handle UTF-8 decode failures
  *  4a4c4dad6c - Gui: [skip ci] fix build failure if shiboken support
    is disabled
  *  9efb942e12 - Qt6 port: [skip ci] set helper variable
    Qt6Core_MOC_EXECUTABLE pointing to the moc tool
  *  2411f1a1a1 - Gui: [skip ci] fix possible crash in
    FilterStatusBar::eventFilter()
  *  f9dfec020d - FEM: femmesh2mesh add disp scale factor
  *  161be27191 - [FEM] safer Elmer executable path handling
  *  abb12aed2a - [skip ci] [FEM] DlgSettingsFemCcx.ui: omit already set
    default values
  *  22f2cae70d - PartDesign: Remove unusable 'Leave sketch'
    'viewSketch' commands from menu. Add 'EditSketch' 'MergeSketches'
    and 'mirrorSketch' usable commands to menu. Add 'ValidateSketch' to
    toolbar.
  *  62c3627e1a - [Gui] DlgGeneral.ui
  *  fda1b18b1a - Gui: fix possible crash when running the garbage
    collector after creating a shiboken wrapper
  *  caa953ac55 - Sketcher: Add concentric capabilities to coincidence
    constraint.
  *  0ff55c69bf - Drawing: [skip ci] remove errorneous call of macro
    qt_wrap_ui
  *  f33be68703 - [macOS] Adding QuickLook feature (#7491)
  *  c9aadeec4c - Gui: Allow to hide toolbars that are not needed.
    In particular this hides edit-mode sketcher toolbars when in non-
    edit-mode.     And hides non-edit-mode toolbar when in edit-mode.
    It also hides the structure toolbar when in edit-mode (as it is
    completely deactivated)
  *  f2bc69647f - Sketcher: Split sketcher toolbar in sketcher-edit-mode
    and sketcher-non-edit-mode.
  *  eeddcfd2aa - Base: + Sketcher: disable deselection when user holds
    Ctrl.
  *  7c3e5d3b34 - [Typo]Gui: fix file indentation + improve tootip
  *  9923afe13e - Base: Check sequence size in getVectorFromTuple
    function
  *  92819be7fd - [Measurement]support for 3 point angle
  *  860ce0a78e - Move Close button to north in measure dialog
  *  3003d660f0 - Move Close button to north in appearance dialog
  *  94f1534350 - PyCXX: remove export macro from iterator classes to
    fix linking error with MSVC
  *  71689a790f - Merge pull request #7685 from sliptonic/littlefixes
  *  36d0a67a4a - [TD]fix tooltip for Equal Tolerance
  *  19a5301e24 - [TD]fix view drag and drop to page
  *  50ee7afe4d - Qt6 port: QLocale::decimalPoint() now returns a
    QString
  *  b1343cc13c - Gui: fix some minor warnings reported by GH Actions
  *  27bea474cc - Gui: decimal point converter: numpad separator always
    send Period to Python Console & Macro Editor
  *  9ade306af4 - Gui: improve decimal point converter algorithm
  *  3bea52c4c4 - Gui: modernize management of decimal converter event
    filter
  *  3eadba2b21 - Gui: add decimal point converter to Translator
  *  d8bd6f1fb4 - Qt6 port: port WebGui module
  *  09550656c2 - Qt6 port: * Constructor of QFontDatabase is
    deprecated, use static functions instead * Fix
    QuantitySpinBox::selectNumber() * Fix InputField::selectNumber() *
    Make InputField::fixup() compatible with Qt6 * QFont::setWeight
    requires an enum now * QInputEvent reuires a pointing device now *
    QAbstractItemView::viewOptions() has been renamed to
    QAbstractItemView::initViewItemOption()
  *  d4f53c2412 - Qt: replace deprecated methods of QMessageBox
  *  c490b93173 - Update CONTRIBUTING.md
  *  5c946c0e8f - Update CONTRIBUTING.md
  *  7019e3d218 - Update CONTRIBUTING.md
  *  68f9f62af2 - Update CONTRIBUTING.md
  *  a4443de5fa - Update CONTRIBUTING.md
  *  0f3d3a2821 - Update CONTRIBUTING.md
  *  a6d67a701f - Update CONTRIBUTING.md
  *  1fc85e07c2 - Update CONTRIBUTING.md
  *  2cacd85047 - More markdown formatting
  *  3022eb3a37 - Moving to markdown format
  *  fa1ac67e20 - Update CONTRIBUTING.txt
  *  805a636781 - Update CONTRIBUTING.txt
  *  55eeed197b - Update CONTRIBUTING.txt
  *  58ebbf4acc - Update CONTRIBUTING.txt
  *  9a50e26309 - test commit from Firefox for @sliptonic
  *  270bb80e79 - Fix verb forms
  *  e344af118a - Update CONTRIBUTING.txt
  *  9e1a52379b - Update CONTRIBUTING.txt
  *  e3303b594e - Update CONTRIBUTING.txt
  *  1e4d4948af - Update CONTRIBUTING.txt
  *  0cdc7602d0 - Add periods to the end of all points
  *  5df13524bf - Update CONTRIBUTING.txt
  *  1e024f888d - first draft of a process for formalizing the
    contribution process.
  *  f295e99e0f - Panel tabs fix
  *  35a30fe942 - minor fixes
  *  ec3a1838ca - TechDraw: Alternate Decimals label in prefs should be
    italic
  *  1c530b2634 - PATH: Feature/dogbone ii (#7660)
  *  ec553a9292 - Qt6 port: * Explicitly include some missing headers *
    Use 'static const char*' for XPM icon * Skip template parameters for
    qMakePair * Constructor of QFileInfo is marked as 'explicit' now *
    QString::fromLatin1() also accepts a QByteArray *
    QDateTime::fromTime_t() is deprecated in Qt5 and has been removed in
    Qt6. Use QDateTime::fromSecsSinceEpoch() * QDateTime::toTime_t() is
    deprecated in Qt5 and has been removed in Qt6. Use
    QDateTime::toSecsSinceEpoch() * QApplication::globalStrut() is
    deprecated. Don't use it any more. * QWidget::isTopLevel() is
    deprecated, use QWidget::isWindow()
  *  a334bc4f0a - cmake: [skip ci] build with Qt6 requires the module
    QtSvgWidgets
  *  8365f90c09 - Sketcher: [skip ci] fix constraint dialogs to use
    QDialog instead of QWidget With Qt6 this fixes a compilation error
    because uic uses the modern style of connect()
  *  356794a646 - Gui: [skip ci] fix Conda build failure
  *  af0a014cf2 - Qt6 port: *
    QApplication::setFallbackSessionManagementEnabled has been removed *
    QString::medRef() has been removed. Use QString::mid() again. *
    QTextStream::setCodec has been removed * Use operator QVariant of
    the QFont class to make code Qt5 and Qt6 compatible * Signature of
    QTreeWidget::mimeData() has changed in Qt6. Remove
    TreeWidget::mimeData() because it doesn't change the implementation
    * QLayout::setMargin() is deprecated in Qt5 and has been removed in
    Qt6. Use QLayout::setContentsMargins() * QDateTime::toTime_t() is
    deprecated in Qt5 and has been removed in Qt6. Use
    QDateTime::toSecsSinceEpoch() * QDesktopWidget is deprecated in Qt5
    and has been removed in Qt6. Use QScreen
  *  1337203415 - Core: Add additional CMake code for building with Qt6
  *  b2eb67e806 - [PartDesign] Improve Helix calculation for straight
    shape (#7674)
  *  4ff19f343e - Revert [Gui] background default colors
  *  790e785dc0 - Gui: do not allow to remove selected text with drag
    and drop
  *  64ffaa681c - Gui: [skip ci] improve whitespace and use curly braces
  *  2f7be9e782 - cMake: Add support for compiling against Qt6 (#7647)
  *  7c6684a821 - TechDraw: Improve code in Python CenterLinePy class
  *  37d94bb4f9 - Gui: include needed header
  *  58d227570d - Gui: clear the list of Python wrapper when quitting
    the application
  *  2630df6edd - Gui: remove forcefully jumping to Python Console
    bottom line on single LMB click
  *  9d91cb17a2 - comment in polish (#7672)
  *  27faff5dcd - Update org.freecadweb.FreeCAD.desktop with Korean
    localisation [skip ci]
  *  b15da84454 - Draft: Fix rectangle with face offset bug
  *  c9233ecdce - Draft: fix rectangle with face offset bug
  *  1282fdb7e8 - [TD]remove export macros from PreCompiled.h
  *  3c8ee7725b - [TD]fix windows compile warnings
  *  f91d41f743 - Optional : Point icon color fix. From green to red.
    This way internal points are yellow. Construction points are blue.
    The issue is that all normal points are construction. So they appear
    blue and not red. Not sure if that's a problem.
  *  d22e049930 - Fix issues raised by OpenBrain.
  *  deff1f42e4 - ElementWidget: Fix extended naming settings not
    initializing. Adds 'Collapse filter' option.
  *  1104a84587 - Sketcher: ElementWidget - Rename ElementType to
    SubElementType - make SubElementType nested to ElementItem
  *  6ff553fa5d - Sketcher: ElementItem - do not select/preselect
    invalid
  *  a656ffbd53 - SKETCHER: Element widget rework see
    https://forum.freecadweb.org/viewtopic.php?f=8&t=72239&sid=b7787fadb
    4c2a7e9682d28f31ede5eb8
  *  bad35fe26c - Sketcher: GeometryFacade - new static function to
    check for internal alignment
  *  5fe254e6f1 - TechDraw: Improve code in Python DrawViewPartPy class
  *  51f54bd3a0 - TechDraw: Windows compilation fix
  *  c6c1c46ca0 - CI: Switch to QtWebEngine instead of QtWebKit
  *  39d469d4eb - Merge branch 'FreeCAD:master' into draft_patharray
  *  e5c95b33f5 - Draft: make tangent vector affect ExtraTranslation
  *  86b5000451 - [TD]fix missing include for CI
  *  99f67b8a40 - [TD]SectionView/ComplexSection - preview, direction
    selection
  *  5ddc6ce789 - [TD]Complex Section - initial implementation
  *  dab714563d - Draft: Use DefaultShapeTransparency in gui_setstyle.py
  *  9d32c892f0 - Gui: [skip ci] refactor QuantitySpinBox::apply
  *  8c6e02ac90 - Delete fc.sh
  *  7cd01505fc - Gui: Quantity Spin Box changed to use the expression
    parser (PR #7124)
  *  5cc9bae455 - Gui: bind spin boxes of Placement dialog when opening
    it via menu
  *  39b28c8a27 - Merge pull request #7653 from sliptonic/bug/tagdressup
  *  978642d03e - [PD] remove deprecated holes
  *  1eee16e9f3 - Draft: Change Snap toolbar to standard toolbar
  *  4e643dcec3 - Gui: refactor and modernize code of Placement dialog
  *  e196490c4c - Fixes #7652
  *  9c19ded42d - [ArchWall] Use and Create ArchSketch if add-on is
    present: Add 'dummy' ArchSketchObject.py
  *  4d8e61549d - Gui: if an expression is set for Euler angles in the
    placement dialog then evaluate the expression instead of determining
    the angles from the rotation See forum thread:
    https://forum.freecadweb.org/viewtopic.php?f=3&t=72522
  *  bcc9c6654c - Gui: don't make QuantitySpinBox dependent on
    implementation details of its base class
  *  784b25b590 - Merge pull request #7635 from Jolbas/master
  *  51d777718b - Merge pull request #7616 from Roy-043/Draft-Make-
    Std_TransformManip-work-for-Draft_Point
  *  71d0490dab - Gui: don't make QuantitySpinBox dependent on
    implementation details of its base class
  *  219d1edd6a - Spreadsheet: [skip ci] fix doxygen typo
  *  dad0c36612 - Gui: in placement dialog use spin boxes for rotation
    axis
  *  1143275cec - Gui: [skip ci] include header
  *  7c51aa9749 - Gui: [skip ci] Missing reference in range-for with non
    trivial type (Py::Object) [-Wclazy-range-loop-reference]
  *  51698f6a4c - Gui: fix possible crash in WrapperManager
  *  f1c03bc233 - [PD] FeatureHole.cpp: sort counterdrill
  *  55510f33c5 - Sketcher: Correct icon for Sketcher_CreatePointFillet
  *  7a77549ed7 - Gui: cppcoreguidelines-pro-type-reinterpret-cast
    Replace an unsafe reinterpret_cast with the safer static_cast
  *  845ee29a44 - CMake: [skip ci] fix deprecation warning about policy
    CMP0072
  *  c98545b6ca - PD: [skip ci] disable undo/redo for the tmp. document
    created by the SubShapeBinder
  *  72af60c22e - App: fixes issue #7628: Crash after creating Sketch
    for Body The problem is that inside Transaction::addObjectNew() a
    transaction object is deleted before removing it from the container.
    When deleting the corresponding transactional object (i.e. a
    DocumentObject or ViewProvider) it can happen that it e.g. calls
    Transaction::addOrRemoveProperty() that now finds the dangling
    pointer in the container.
  *  a346884c90 - [skip CI] [FEM] equation.py: fix a tooltip
  *  60d7b1d834 - PartDesign: Add HoleCuteType Counterdrill
  *  c7f64b12bd - PartDesign: Refactor geometry creation of
    counersink/counterbore
  *  c7b427e697 - Mesh: use PropertyMaterial in view provider
  *  ce74f16649 - Addon Manager: Clean up tests for pip
  *  84d6656398 - Accept 1 in NumberPolar parameter
  *  c5d9b8e4ed - FEM: get LGTM silent
  *  e90005572b - Mesh: implement PropertyMaterial
  *  b7747cce26 - Added 2 missing dark icons for stylesheets.
  *  25d25a0bc2 - Mesh: [skip ci] add Python module with enum types
  *  7ed0c36aa3 - PartDesign: Remove duplicate comment
  *  2d4482cdf3 - Fix source comment typo
  *  c24004e130 - [ArchWall] Use and Create ArchSketch if add-on is
    present: following Yorik's comment
  *  cbd1963142 - [Bugfix] PartDesign: Fix HoleCutDepth not being
    recalculated correctly
  *  f88305e93b - Mesh: support to add transparencies to a mesh
  *  062f9f6616 - FEM: Python pep8 code formatting
  *  4c6e123c00 - Gui: create modal color dialog on the heap if its
    parent widget is used in the property editor For more details see:
    https://forum.freecadweb.org/viewtopic.php?f=23&t=70655
  *  c5a7654285 - Gui: create modal dialog on the heap if its parent
    widget is used in the property editor For more details see:
    https://forum.freecadweb.org/viewtopic.php?f=23&t=70655
  *  916891c3fc - App: simplify code in Application::newDocument
  *  bffb82d531 - Sketcher: Solver - Improvement of popularity contest
    and bug fix
  *  804d0426a4 - Gui: fix crash when accessing PySide wrapper after the
    underlying QObject has been destroyed
  *  a46bed1a78 - Sketcher: remove select DOF.
  *  4c6ba8ed4d - Sketcher: remove unneeded flag
  *  4fff36b550 - App: [skip ci] fix string literal
  *  dc02c3f1dd - Part: [skip ci] fix German translation
  *  ee0a0817f9 - Sketcher: fix possible crash when closing the sketcher
    For more details see the forum thread:
    https://forum.freecadweb.org/viewtopic.php?f=13&t=72774
  *  63174d487f - [App] Fix of untranslated first document's name
    (#7156)
  *  02fbf1334d - [TD]fix check of wrong variable
  *  ceab81593d - Use Std_New for new document creation at startup
  *  4f6f600a1f - Gui: [skip ci] refactor PropertyModel::buildUp
  *  0a12d435a2 - [Bugfix]Spreadsheet: fix multi-screen management of
    QtColorPicker
  *  5fcc1c3d03 - Spreadsheet: fix cell span handling
  *  05e0aba701 - Spreadsheet: fix cell span synchronization with
    SheetTableView
  *  9ba9599629 - Gui: ignore recursive call of PropertyView::onTimer()
  *  fba6a718eb - Gui: [skip ci] whitespace improvements
  *  16c52bb18c - [TD]expose DVP projectPoint to Python
  *  57090a43f7 - [Sketcher] [Part] Fix typos and whitespace
  *  525c05fae5 - [Bugfix]Sketcher/BackEdit : Backedit lost if user
    changed camera mode
  *  ce4ba703d9 - [TD]ActiveView from different document
  *  9c397cb387 - Update point.py
  *  cea60b4463 - Draft: Make Std_TransformManip work for Draft_Point
  *  9ae1432c3d - Merge pull request #7605 from mlampert/bugfix/loading-
    path-wb-error
  *  38710ecf5f - Merge pull request #7599 from sliptonic/codespell
  *  f79055c1e5 - fix whitespace and add comments
  *  d4e368a1d1 - increase the height FreeType uses to draw glyphs in
    order to preserve precision of very fine features when converted to
    FC wires.  scale the result back down appropriately.
  *  d8d55a0e88 - Merged crowdin translations
  *  27d853c619 - Merge pull request #7611 from Roy-043/Draft-Escape-
    should-not-switch-off-continue-mode
  *  9ff670f273 - Merge pull request #7608 from Roy-043/Draft-fix-path-
    array-float-math-issue
  *  dd7b589ff1 - Updated ts files
  *  81143c17a1 - [FEM] HypothesisPy: add inclusion comment
  *  85b0fcf66d - [Sketch] TaskSketcherGeneral.ui: add missing stdset
  *  1bfbba320b - [Sketch] TaskSketcherGeneral.ui: fix compiler warning
  *  c3e4d3c258 - Revert [Sketch] TaskSketcherGeneral: restore wording
    of FC 0.20
  *  a22b0c89d3 - [TD]update export icons
  *  3d7871fca5 - [Sketcher] Allow driving constraint on construction
    geometry
  *  f50d1c39da - [Part] remove now obsolete code for Visual Studio
    compiler
  *  48b4eed55c - [Start] Fix New document name translation
  *  d784cffe3f - Fixed typo in UI test case
  *  dae3722d71 - Fixed recursive import
  *  63cc042299 - [FEM] HypothesisPy.cpp: fox compiler warning
  *  ee872dbc76 - Draft: Escape should not switch off continue mode
  *  354cffe559 - [Sketch] TaskSketcherGeneral: restore wording of FC
    0.20
  *  b74a1b0708 - Draft: Fix path array float math issue
  *  67679b8a0f - App: [skip ci] use curly braces for if/else-statements
    and for loops
  *  459f6bd476 - [FEM] commands.py: reformat a string
  *  cdc3e5466f - Typo in Adaptive test
  *  9282fffa07 - App: add tests for cell rows and absolute cells
  *  126c8a48db - fix codespell warnings
  *  d5b0dac635 - Merge pull request #7598 from luzpaz/README-logo-fix
  *  62a4503fa2 - Merge pull request #7440 from mlampert/refactor/path-
    module-naming-cleanup
  *  b3ffcf72a7 - [skip ci] README: fix broken link to FC logo
  *  eaff3963bb - Merge pull request #7597 from Roy-043/Draft-Point-
    array-Take-placement-of-point-object-into-account-and-accept-more-
    point-object-types
  *  bbae0ec5f1 - Merge pull request #7590 from Roy-043/Draft-Fix-
    alignment-of-angular-dimension-arrows-in-svg.py
  *  a4a11a42d3 - Draft: Point array: Take placement of point object
    into account and accept more point object types
  *  c74a0ad3e5 - Skip legacy tools in job templates and emit error msg
  *  19473a9391 - Added property details if value assignment fails
  *  b4bfefbd56 - Full recompute on test file
  *  917c287e93 - Fixed property bag editor to cancel if no name is
    given and OK is pressed
  *  b25d1a2db0 - Fixed refactor import issue
  *  a9230c1f00 - Convert usage of PathStop to Path.Op.Gui.Stop
  *  847d54bbfd - Fix Path::Feature object check
  *  40864ee2d5 - Fixed unit test files by re-creating the appropriate
    jobs
  *  f99c822472 - Fixed merge issues
  *  4645b12589 - Fix SurfaceSupport for new Path source structure
  *  c0851a5131 - Added missing diversion entries to cmake
  *  039cab4d38 - Removing obsolete and unused files
  *  6b55f34abe - Moved remaing files out of PathScripts
  *  68238ccdff - Added PropertyBagGui again for backwards compatibility
  *  a1b3319bdf - Moved generators into Path.Base.Generator module
  *  d6293308b4 - Moved the rest of the operations into Path.Op (.Gui)
    module
  *  3f068108a8 - Fixed refactor issues breaking unit tests
  *  16c969c5a3 - Move Path.Base and Path.Base.Gui refactoring
  *  5f3acd04fe - Added PropertyBag compatibility layer to support
    existing ToolBits
  *  998347e97f - Started moving base classes into Path.Base module
  *  9925c71d36 - Renamed Path.Tools module to Path.Tool
  *  29a7dc144e - Removed deprecated and obsolete Path.Tool and
    Path.Tooltable
  *  2b36448575 - Removed obsolete path profile implementations
  *  6da2c338df - Moved all Path operations with model and gui into
    Path.Op module
  *  4b205943bc - Moved dressups into Path.Dressup module
  *  05aa36f8de - Fixed PathPost when post processing is cancelled
  *  8cfe5d7d7d - Moved Path ToolBit and Controller into Path.Tools
    module
  *  9037e497db - Moved post processing files into new Path python
    module
  *  253d494f17 - Moved PathAdaptive into new Path.Op module
  *  19a7d85595 - Fixed path log unit tests
  *  a5a284b148 - Moved PathLog to Path.Log and import it by default
  *  079c0f3908 - Added python based Path module and pull in PathApp
    namespace
  *  4fe2058081 - Renamed Path c++ python module to PathApp
  *  27f08f38b1 - Merge pull request #7591 from Roy-043/Arch-Improve-
    handling-of-window-hosts
  *  0d0bf39422 - Merge pull request #7593 from AjinkyaDahale/techdraw-
    fix-snap-issue
  *  5847d86017 - [TD] Explicitly call
  *  b179ad385b - [Sketcher] [planegcs] Add references for equations
  *  0ee980ca1f - [salome] StdMeshers_CartesianParameters3D: fix a typo
  *  a96a3a505f - use explicit prefix std:: for vectors
  *  b540e734f9 - Arch: Improve handling of window hosts
  *  7fe184dcc1 - Draft: Fix alignment of angular dimension arrows in
    svg.py
  *  767ff373ee - Sketcher: Control edit, change the text of 'Show grid'
    checkbox to 'Grid.
  *  2da9caece2 - Sketcher: Remove 'Edit controls' widget 'Grid Size'
    LABEL.
  *  5bb041deaa - Gui: use default app text color for Python code
    instuctions highlighting
  *  c168aec824 - Gui: fix  default color of report view messages in
    preferences
  *  fce72e46c8 - Merged crowdin translations
  *  df52f32c87 - Updated ts files
  *  d8d9e21d23 - [TD] Gui, PreCompiled.h: add missing OCC files
  *  9ff9d589a2 - [Base, Sketcher] remove redundant boolean checks
  *  57044db084 - [Spread] Gui: remove unused includes
  *  222afe455c - Gui: Add spreadsheet colors to prefererence pack
  *  2d50fd36df - [Spread] remove unused includes
  *  32ead51360 - [Spread] remove unused file
  *  a4f5518497 - [TD] [skip CI] PreCompiled.h: add comments
  *  4a2aff82a6 - [TD] Gui, Dlg*: remove unused includes
  *  1b7e53acbc - [TD] Gui, everything but Q*, Task* and ViewP*: remove
    unused includes
  *  ff6f04dcc2 - Gui: add class TaskDialogPy
  *  e29d1d0332 - [TD] Gui, A*-C*: remove unused includes
  *  4904ab503f - [skip ci] codespell: correct ignore list entry
  *  ab7b147066 - TD: [skip ci] adding missing Qt header to PCH
  *  841044a00a - Gui: [skip ci] do not change link property when
    canceling dialog
  *  03a3ae8cd8 - [TD] DrawD* - DrawT*: remove unused includes - part
    2/2
  *  5b33b09a6e - [TD] TaskSurfaceFinishSymbols.cpp: add missing include
  *  08a0c07479 - [TD] DrawD* - DrawT*: remove unused includes - part 1
  *  ea5a5ff363 - App: [skip ci] for the dependency graph use orange
    color to indicate links that go out of scope
  *  69c95e3fc0 - macos fix for #7550
  *  16f688e933 - Path: [skip ci] replace QRegExp with
    QRegularExpression
  *  c38e522101 - TD: replace QRegExp with QRegularExpression
  *  3867897edd - Gui: replace QRegExp with QRegularExpression
  *  55a8b5917c - [TD] [skip CI] DrawSVGTemplate.cpp: uniform whitespace
  *  edba5ac85c - [TD] DrawR* - DrawT*: remove unused includes
  *  71e841fbe5 - Tools: extend RegExp utility
  *  6188d3ed68 - [TD] Draw*Imp: remove unused includes
  *  753c8e3423 - [TD] TaskRichAnno.cpp: add missing include
  *  16abb8d548 - [TD] DrawUtil: remove unused includes
  *  5dc30b159c - [TD] DrawView*: remove unused includes - part 2
  *  bc9897caf8 - Gui: depending on parameter settings open a
    transaction when changing visibility or selectability
  *  4a9725854f - Remove some trailing whitespaces
  *  39b47185f4 - [Bugfix]Base: Python method 'isEqual' of Vector shall
    be Const
  *  bf04c0ea93 - Sketcher: Make 'Edit control' widget optional. ENABLED
    by default.
  *  ea9a04e46d - Gui: Remove Print from toolbar
  *  ccbc9612ed - Gui: optionally disable wheel event when
    Gui::InputField doesn't have focus
  *  3b7350d378 - GUI: Remove copy cut print paste from File toolbar
    (#7571)
  *  0f29e914bd - GUI: Remove Edit Mode from File toolbar (#7570)
  *  8ef96bb9fe - Sketcher: Remove StopOperation from toolbar (#7569)
  *  d20f2af95f - Sketcher: Remove two tools from toolbar (#7568)
  *  3b5bce32b1 - Tools: replace QRegExp with QRegularExpression
  *  c054aca8ae - [skip ci] extend codespellignore list
  *  82866db0ca - Mod: replace QRegExp with QRegularExpression
  *  3774ff789c - Merge pull request #7558 from Roy-043/Draft-Fix-
    handling-of-double-quote-in-shapestring
  *  2e5118b47d - Merge pull request #7541 from Roy-043/Draft-Improve-
    Draft_Edit-task-panel
  *  481f5f6177 - Merge pull request #7528 from Roy-043/Draft-Fix-crash-
    when-opening-file-with-only-dimensions
  *  061bf91e84 - [TD] DrawView*: remove unused includes - part 1
  *  88702425aa - Part: [skip ci] fix build failure
  *  1793014ddf - [Bugfix]CI: disable line-ending conversion as it
    damages .FCStd files
  *  a5e2a5ace9 - Fem: [skip ci] remove QRegExp
  *  807fa281a8 - Core: replace QRegExp with QRegularExpression
  *  8b7c61277a - Merged crowdin translations
  *  d87fd4d97e - Updated ts files
  *  87185f0911 - Tools: Added support for pylupdate6 in translation
    handling scripts
  *  7a7cb8184e - [Part] Step import: remove unused includes
  *  60e3084d42 - [TD] [skip CI] TechDrawExport.cpp: whitespace fixes
  *  5eae33e4e8 - [TD] ShapeExtractor.cpp: fix whitespace
  *  a6c6344c6b - [TD] P* - T*: remove unused includes
  *  e9aa0a7d9a - Gui: [skip ci] add QRegularExpression to QtAll.h
  *  920468a88e - [Part] fix CMake for MSVC
  *  96606c557c - Base: fix build failure with MSVC
  *  6d33a969bf - Gui: replace some places of deprecated QRegExp
  *  e6798c53cf - Base: add helper function to convert a string of a
    triple of floats into Vector3f
  *  3433520a74 - Gui: open and commit a transaction after renaming an
    object in the tree view For more details see:
    https://forum.freecadweb.org/viewtopic.php?f=3&t=72351
  *  47f70013c2 - Draft: Fix handling of double quote in shapestring
  *  7bc369932e - Gui: [skip ci] remove DlgImportExportStep.ui resource
  *  d9d8134313 - Part: split DlgImportExportStep into sub-widgets in
    order to be used independently
  *  e0aa2378a6 - TD: [skip ci] may explicitly require gp_Ax3 header
    depending on OCCT version
  *  74b534f479 - Part: [skip ci] use correct export macro
  *  5e546ee582 - [TD] next attempt to fix CI compiler error
  *  96550e3908 - [TD] attempt to fix CI compiler error
  *  6cfe77719e - [TD] E* - L*: remove unused includes
  *  7825dbdbce - [skip CI] [Part] some minor whitespaces and sorting
  *  c7805e922c - Addon Manager: Make sure metadata gets parsed
  *  5ee0f0a8cf - Part: add dialog for STEP export
  *  5af6521377 - Import: implement exportOptions()
  *  4d719d516e - Gui: add support to get exporting options before
    writing a file
  *  359ec600eb - Part: [skip ci] fix compiler warnings
  *  0963860dd6 - Addon Manager: Improve failed pip behavior (#7552)
  *  a85f751668 - [TD]encode Xml characters in spreadsheet
  *  2575f082d9 - Part: [skip ci] list all used parameters for
    reading/writing shapes
  *  5dcaa8e5bf - Part: use ImportExportSettings in client code
  *  1635e7cd91 - Part: use separate setting classes for IGES, STEP and
    OCAF handling
  *  3871af1388 - Test: Add more tag testing to Metadata tests
  *  d1e72dcafa - [Part] remove code for < GCC 4.8
  *  76ec5de64b - [TD] A* - C*: remove unused includes
  *  567e53c6ea - [Part] OpenCascadeAll.h: sort entries and remove
    duplicates
  *  26aaf0af45 - Sketcher : optimize code that was present for Qt4
    compatibility
  *  9b4183581f - Addon Manager: Fix undeclared variable in error
    handling
  *  14cf777aab - Addon Manager: Error checking when Python can't be
    found
  *  8cbf978a7c - Part: [skip ci] fix typo
  *  8db7ee1051 - Part: implement wrapper class around Interface_Static
  *  33031555e5 - [FEM] ViewProviderFemConstrain*: remove unused
    includes - part 2/2
  *  f827de4d4d - Import: make API more flexible
  *  79d17d13bf - [FEM] ViewProviderFemConstrain*: remove unused
    includes - part 1
  *  ef62fc3530 - Sketcher: Remove Snell's Law from toolbar
  *  30dd4af0c3 - [Part] ImportStep: rename enum to fix compilation
  *  1527a731e7 - [FEM] ViewProviderFem*: remove unused includes
  *  bc1baa6808 - Part: set default STEP import settings according to
    https://forum.freecadweb.org/viewtopic.php?p=629883#p629883
  *  d4e734282c - Part: add getter/setter to ImportExportSettings and
    simplify DlgImportExportStep
  *  8a77ea8c98 - [FEM] ViewProvider*: remove unused includes
  *  1a32e6ad9c - [FEM] TaskFemConstrain*: remove unused includes
  *  4b79b9ff56 - [FEM] TaskPostBoxes.cpp: re-add an include
  *  d067502a3b - [FEM] Task*: remove unused includes
  *  e3bf7027a6 - [TD] remove redundant nullptr checks
  *  880757c04c - [Path] Area.cpp: remove redundant nullptr check
  *  10e71da57f - [FEM] Dlg* etc.: remove unused includes
  *  1705e8b9d0 - [FEM] FemResult* to end: remove unused includes
  *  447cc015f0 - [FEM] FemPost*: remove unused includes
  *  3b4cbbb943 - [FEM] FemMesh*: remove unused includes
  *  f982d776fb - [skip CI] [Sketcher] ViewProviderSketch.cpp: Clang
    formatting
  *  75702b9d28 - [Gui] GuiNativeEventWin32.cpp: Clang formatting
  *  6b36ba4bf8 - [.clang] change a setting back to our default
  *  02d5c6288c - [FEM] App, FemConstraint*: remove unused includes -
    part 2/2
  *  449d52ffa8 - [FEM] App, FemConstraint*: remove unused includes -
    part 1
  *  c35bf58a43 - add_definitions(-DSALOME_USE_64BIT_IDS) for smesh via
    config
  *  23d8e7a9a4 - i18n: Manually update language files from Crowdin
    (#7540)
  *  d6fd0e2ef5 - Draft: Improve Draft_Edit task panel
  *  b4578fb3ea - [Bugfix]Gui: TinkerCAD mouse mode was always stopping
    RMB propagation
  *  bfa9825080 - FEM:fix remaining result object in memory in
    femmesh2mesh
  *  7669bd8adb - Gui: [skip ci] use string version of
    QTextStream::setCodec
  *  f9f201373f - Qt6: remove or replace QTextCodec
  *  10e9e3b9b5 - Gui: change Selection.getCompleteSelection() to return
    a list of SelectionObject instead of DocumentObject
  *  f4b4aabc32 - App: add option '--pass' to ignore arguments by the
    application and handle them by a script
  *  eb546e25d3 - Gui: do not detach parameter observer from
    PythonEditor
  *  093368a6ad - Draft+Arch: Fix crash related to SoBrepEdgeSet
  *  8924e265c0 - Gui: add 2 commands to store and recall working view
    in 3D viewport
  *  0ca641f0d7 - Gui: add getter about home position to QuarterAdaptor
  *  63c7e62c79 - Gui: remove hardcoded functions from NavigationStyle
  *  448ce085f4 - Remove redundant reference to C++14
  *  cfe9b1a70c - Updating oversampling call to keep bold line style.
  *  c656abe21d - Better Thumbnails by oversampling hires screenshot
  *  5a14ff96f4 - Merge pull request #7519 from Hubhubhurra/master
  *  0715f8cff4 - Merge pull request #7527 from Roy-043/Draft-Improve-
    Draft_Edit-context-menus
  *  c1e7057dbb - CMake: fix compiler warnings about macro redefinition

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 27 Jan 2023 21:49:49 +0000

freecad-daily (0.20.1+git30473-b5e29c20dc-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/FreeCAD/FreeCAD.git
  * Branch: master
  * Commit: b5e29c20dc7eb96d972b0fc72bd230098f58d099
  * Date: 1664208282
  * git changelog:
  *  b5e29c20dc - App: Reformat Metadata per clang-tidy
  *  66766282fa - Addon Manager: Use Vermin to detect min Python
  *  552d6ab895 - Addon Manager: Add support for <pythonmin> tag
  *  1d11c5805a - App: Add support for <pythonmin> XML tag in metadata
  *  50bd4d8428 - Mesh: move Extension3MFFactory outside Exporter3MF
  *  cbc5cf8ee0 - Part: [skip ci] cppcoreguidelines-prefer-member-
    initializer / cppcoreguidelines-owning-memory
  *  6f74903c3d - [skip CI] [Part] TaskFaceColors.cpp: whitespace
  *  24e992e97d - [Part] Task*: remove unused includes - part 2/2
  *  998056364d - [Part] Task*: remove unused includes - part 1
  *  42a19ab883 - [Part] So*: remove unused includes
  *  412a5a982b - [Part] Dlg*: remove unused includes - part 2/2
  *  219ddd0ec5 - [Part] Dlg*: remove unused includes - part 1
  *  73f885a37d - Addon Manager: [skip ci] fix typo
  *  608fb15d40 - CMske: move define 'BOOST_NO_CXX98_FUNCTION_BASE' to
    CompilerChecksAndSetups macro and support CMake < 3.12
  *  bd88f7275c - Fix for Boost with C++20
  *  198ce19e46 - App: Consider using getpwuid_r(...) instead of
    getpwuid(...) for improved thread safety.  [runtime/threadsafe_fn]
  *  e2a552a9c6 - Sketcher: [skip ci] remove unused includes
  *  686eb74f5f - Gui: fix cppcoreguidelines-non-private-member-
    variables-in-classes
  *  bf81c8035f - Gui: fix regression of 2ef4b7a06
  *  5df9546907 - [App] Application.cpp: silence some CI warnings
  *  94a686f348 - redundant
  *  2ef4b7a06b - [Gui] fix some CI warnings
  *  2849d7bec3 - Addon Manager: Manually convert property to binary
    data
  *  414ff3fb35 - App: [skip ci] improve whitespaces
  *  bf1c7eb345 - play
  *  5cd2160bf5 - Sketcher/constraints: improve command opening
    management
  *  e4916d8057 - Sketcher: fix misleading indentation
  *  189875b769 - [Bugfix]Sketcher/Point-on-object: do not substitute
    constraint if conditions are not OK
  *  74c1fed8a6 - [TD]fix StackTop and StackBottom
  *  14db1b7c98 - Spreadsheet: Check Python types using
    Base::PyTypeCheck
  *  fa6cf56020 - Gui: Check Python types using Base::PyTypeCheck
  *  5cb31ece93 - App: Check Python types using Base::PyTypeCheck
  *  2185b8086d - Base: Add helper function to check Python types
  *  1636997745 - [.github] disable another check
  *  3eb9207639 - [App] silence some CI whitespace warnings
  *  598889b227 - [.github] disable a check
  *  6013781b23 - [Addon] fix typo
  *  faef448019 - Part: Measure preferences: Improve UI texts
  *  af198507f5 - [Sketcher] adjust some icons to better follow art
    style guide [skip-ci]
  *  94498816bd - Addon Manager: Support setting min Python version
  *  cc17bd4335 - App: Add support for 'discussion' URL attribute
  *  4f51123626 - App: Add support for <date> metadata element
  *  a6c061715f - Base: fix const-correctness and include required
    header
  *  9e1ed4a68a - Addon Manager: Show package dependencies
  *  49e37dd611 - Core: Add missing xml namespace property to metadata
    output
  *  3c7782b127 - Merge pull request #7506 from Roy-043/Draft-Fix-
    several-path-array-issues
  *  f26260e658 - Merge pull request #7359 from Roy-043/Draft-Improve-In-
    Command-shortcut-Undo-implementation
  *  8ce0e325cd - Mesh: Add boost/regex.hpp to Mesh's PreCompiled.h
  *  7f6116cf17 - Addon Manager: Switch custom repo prefs to a table
  *  78a4033929 - Addon Manager: Migrate to managed pref page class
  *  6cb454354b - Mesh: split OBJ reader and writer from MeshIO
  *  bf7732cbca - Addon Manager: Fix macro missing warings
  *  73c586ba52 - Sketcher: Remove unnecessary translations
  *  891637f00e - Spreadsheet: Handle language change event for context-
    menu
  *  1972dfe5a3 - Base: Replace C cast
  *  544d5a27b8 - Web: Replace C cast
  *  d206116c3d - TechDraw: Replace C cast
  *  734dfc47c6 - Sketcher: Replace C cast
  *  03cba01da4 - Raytracing: Replace C cast
  *  4bf23b89b7 - Points: Replace C cast
  *  f4423cfabe - Path: Replace C cast
  *  34f070cf9b - Part: Replace C cast
  *  9eadb9fbc5 - Mesh: Replace C cast
  *  d239f94c3f - Inspection: Replace C cast
  *  816ce9063d - Import: Replace C cast
  *  72962ed923 - Fem: Replace C cast
  *  0382f276a2 - Gui: Replace C cast
  *  9ccb9eecb2 - App: Replace C cast
  *  78cc184d50 - [Part/PD] few clang formatting fixes
  *  884c11b4e9 - Revert [PD] simplify code for wedges
  *  dd574d5c68 - [PD] simplify code for wedges
  *  e4259cd851 - Gui: Add format parameter for wedgeXmin
  *  b3dfdc568a - [TD]position view within clip group
  *  9142d4ac5e - Draft: Fix several path array issues
  *  541025b938 - [TD]limit zoom out
  *  3396265c42 - Addon Manager: Update language for success message
  *  489fc140a2 - Addon Manager: Implement browse for icon
  *  dc2bf6c754 - Gui: Add importing CFG to PrefPack dialog
  *  277ad4f7c4 - [FEM] tweak function docstrings in resulttools.py
  *  9f8f38faef - CI: allow manual launch of CI
  *  2d61e15112 - [Part] fix bold italic measurement text
  *  5d0549aa7f - [TD]fix handling of high precision mice/touchpads
  *  3996a537a9 - [TD]use QGraphicsView anchor for zoom
  *  ebb32633d8 - Addon Manager: Fix bug when pip call fails
  *  36332ff9a3 - Core: Add QPdfWriter to QtAll PCH on Windows
  *  9c9a7f035c - Addon Manager: Spelling
  *  5ce07933e9 - Addon Manager: Clean up backup directories
  *  d6289e3211 - Addon Manager: Fix bug with missing git in devmode
  *  860e50b589 - Gui: code refactoring of dock window setup
  *  b5842966c1 - Merge remote-tracking branch 'gitlab/master'
  *  5472d71855 - Arch: Allow to override IFC importer with the BIM WB
    version
  *  c7d0cf044c - Arch: Housecleaning - Moving IFC getPreferences() to
    helper module
  *  3cb442b1c3 - [TD]fix printall banner page
  *  48aafc3f8b - Inspection: support display of lines, avoid explicit
    type checks
  *  2462f4c7a0 - App: move from float to double for accuracy parameter,
    add a virtual method to determine a default accuracy
  *  718be391f7 - Gui: when customizing shortcuts, warn user if command
    isn't in use with message box
  *  75acacd1b7 - Gui: Use auto and range-based for (#7481)
  *  d7792826b4 - column limit
  *  8ed0ba5e45 - Merge pull request #7483 from adrianinsaval/fcinfo-
    patch
  *  b5e8a2c28d - Mesh: implemment mechanism to load MeshGui module when
    exporting to 3MF file
  *  d6afbb5718 - [Sketcher] rename a variable to please spellchecker
  *  655e8b6504 - [Sketcher] Fix Typo in comment
  *  b76da40885 - [Bugfix]Sketcher: prevent dangling state of Shift key
    if key released out of Quarter
  *  1059dd4f9f - OpenSCAD: Remove aux spline when no twist
  *  51167dfd7d - [tools] fix  script [skip-ci]
  *  9dc9d6735a - [FEM] added critical strain ratio functionality
    (#7467)
  *  db7d615cb0 - Inspection: [skip ci] code-refactoring
  *  05058e9708 - space before initializer
  *  b605c40449 - Part: implement TopoShape::getLines

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 26 Sep 2022 20:53:47 +0000

freecad-daily (0.19.2+git30362-061ec7f7b4-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/FreeCAD/FreeCAD.git
  * Branch: master
  * Commit: 061ec7f7b4b77f26c17e11c4fb0f83d3e0f95fe8
  * Date: 1663081521
  * git changelog:
  *  061ec7f7b4 - Inspection: support of shape with edges only
  *  92294c448e - [TD]fix active view on windows
  *  f337a0f9d4 - [TD]fix PrintAll output to printer
  *  1ac102e1d0 - [TD]fix missing = true
  *  32db6656f3 - OpenSCAD: add unit test to check for empty 'union'
  *  64784232ab - App: [skip ci] fix -Wsometimes-uninitialized
  *  a70e37c20e - Addon Manager: Clean up extra import
  *  ef7261e8e8 - [TD]restore missing isoparameter option
  *  df831d8cbd - Addon Manager: Protect refs to
    QRegularExpressionValidator
  *  88ee6bb47f - OpenSCAD: Support empty unions and SVG import
  *  3d7fa720e6 - [Bugfix]Sketcher: some user colors aren't taken into
    account
  *  285fc1065f - [Bugfix]Gui: allow set up expression even if property
    value is currently being edited
  *  4bfc6a082a - PartDesign: improve offset handling of SubShapeBinder
  *  4d6f7bd8b0 - [github] disable 2 more checks
  *  628e994f5a - extend find_package(SMESH)
  *  fac841a0b7 - Fixed external SMESH cmake scripts, allowing netgen
    and gmsh compatibility with VTK 9 - moved base SMESH cmake logic to
    respective cmake script. - allow BUILD_SMESH, regardless of external
    SMESH usage, for testing and so on.
  *  317d489932 - Addon Manager: Support older PySide2 QRegExp
  *  f42a47aa0f - Merge pull request #7469 from LarryWoestman/bugfix
  *  9b322be497 - Path:  Allow error diff's to be as long as necessary.
  *  3ee55aa2e7 - Path:  Fixed test00010 sensitivity to terminal column
    count.
  *  ec9d256d0e - [TD]space secondary views by row/columns
  *  41944b2e2f - [TD]fix PrintAll context menu entry
  *  85734ceb54 - [TD]Latin script templates to plain SVG
  *  01d9ff8958 - Addon Manager: Fix bug in dep installation
  *  b97c93008e - [TD]simplify ActiveView
  *  6347f90b15 - Addon Manager: Fix disabling addon
  *  96cfa1b0d3 - Addon Manager: Add note about Other... deps
  *  e0b181e9b1 - Addon Manager: Fix macro other file copy
  *  139b99d371 - Addon Manager: Cleanup
  *  354a29d98a - Addon Manager: Refactor Licenses and People tables
  *  cb1f6bffa8 - Addon Manager: DevMode content implementation
  *  7a17106776 - Addon Manager: Implement content addition dialogs
  *  aabf887e1e - Addon Manager: Add person editor
  *  ea45af3a80 - Addon Manager: Add license selector
  *  b6827b3621 - Addon Manager: Sketch out basics of Developer Mode
  *  e28317f772 - [TD]fix misspelled preference key
  *  20f5db1ad1 - [TD]fix extent dimension
  *  968fb5be34 - Sketcher/BackEdit: makes clip plane switch side
    according to view side
  *  77f83ce716 - TempoVis : makes clip plane able to revert + some
    improvements
  *  7928a8c3a0 - Sketcher: makes TempoVis properties read only
  *  3f220f1dd8 - Sketcher/BackEdit: makes sketch elements render on -Z
    if sketch viewed from back side
  *  a6a8f27125 - Sketcher/BackEdit: makes EditModeGeometryCoinConverter
    class VP & attorneys aware
  *  7d1e4186cc - Sketcher/BackEdit: makes
    EditModeInformationOverlayCoinConverter class VP & attorneys aware
  *  b40d800550 - Sketcher/BackEdit: makes view orientation factor
    accessible to coin managers
  *  36fccfdd08 - Sketcher/BackEdit: Add camera sensor to VP that
    detects side and redraw if side changed
  *  028517323c - Merge pull request #7462 from Roy-043/Draft-Improve-
    drag-and-drop-behavior-for-Layers
  *  975140614d - Mesh: [skip ci] remove xerces2 stuff
  *  58cb977c3b - remove xcerces2
  *  fe9daff383 - disable nodiscard
  *  14ee13a0a5 - Part: remove duplicated wires from cross-section
  *  789a15c787 - Merge pull request #7447 from
    VM4Dim/StartPage_Fix_Wiki_Link_to_Reverse_Engineering
  *  220c8c1259 - Merge pull request #7453 from Roy-043/Draft-Fix-
    alignment-of-angular-dimension-arrows
  *  333fc6448c - Draft: Improve drag-and-drop behavior for Layers
  *  6d7d154c0e - TD: remove unused member variables to fix -Wunused-
    private-field
  *  5ffc2e10b6 - Merge pull request #7455 from mlampert/bugfix/setup-
    sheet-stepover
  *  967d4eb92e - [TD]remove white matting around detail view
  *  fcef1cb174 - [TD]implement view stacking
  *  d6330b7103 - [TD]add PrintAll command
  *  86f61834ce - [TD]default LineFormat ctor
  *  d14f8cda92 - [TD]propagate X,Y changes
  *  71426aa467 - [TD]fix Text sizes not exact
  *  a71a06291b - Update view_dimension.py
  *  8b4e114b9d - TD: [skip ci] fix build failure with MSVC The compiler
    requires the class declaration of LineSet in order to determine its
    size
  *  be686c3be5 - zipios: [skip ci] fix Windows build failure
  *  9c911dd1b5 - [TechDraw] Microimprove new Face Finder Algorithm
  *  1d4c607bff - [TechDraw] Fix bug in DrawUtil::isZeroEdge
  *  d22a880fc9 - Fixed handling of App::PropertyPercent in SetupSheet
    save/load
  *  f5f618cd17 - Merge pull request #7454 from
    sliptonic/PathFeedRateBug
  *  ac0f0acc17 - Merge pull request #7185 from
    LarryWoestman/post_refactor
  *  9b2d39ae0d - Fix bug when testing verticallity during PathFeedRate
    generation
  *  e641232899 - [TechDraw] Improve readability of Geometry.cpp
  *  c5a79d3909 - Draft: Fix alignment of angular dimension arrows
  *  de7949a3b7 - [skip ci] Debian patches: * Fix FTBFS on armhf/armel,
    undefined GL_PROJECTION (issue 1014875) * Disable syntax checks for
    some Python modules
  *  5244d9663e - zipios: [skip ci] remove deprecated header
  *  84ea2f10e6 - zipios: Make local copy compatible with external
    package
  *  dcf2bc4fc9 - Addon Manager: Safer removal of macro cache
  *  96dae36596 - [TD]dvAnnotation default dtor
  *  2f363e4f17 - [TD]New face finder algo
  *  abfd9da579 - [TD]CI clang warnings
  *  acf17905ed - [TD]CI clang warnings
  *  181b5af6a6 - Mesh: use class ZipHeader to directly access the model
    file of a 3MF file
  *  1789c957df - Base: [skip ci] Add function to read the CD of a zip
    file from a std::istream
  *  cd6ea30d31 - [StartPage] Fix Wiki Link to Reverse_Engineering WB
    Page
  *  f35f77e98e - Mod: [skip ci] fix some MSVC warnings
  *  ded6b7234b - Mesh: [skip ci] add missing headers to PCH
  *  6b7771d0fa - Merge pull request #7437 from luzpaz/codespell-ignore
  *  460f33a1be - Merge pull request #7441 from Roy-043/Draft-Fix-
    flatten-wire
  *  0c8b50d591 - Merge pull request #7436 from Roy-043/Arch-Fix-
    baseface-generation-for-walls-with-a-trace-that-self-intersects,-has-
    T-connections-or-that-overlaps
  *  f99bf376b0 - Merge pull request #7267 from Roy-043/Draft-Avoid-
    faulty-Base.Placement.rotate()
  *  b687e2ce0c - [Bugfix]Gui: ensure message boxes appear and stay on
    top of main window
  *  0f698bb9ac - Path:  Removed the comparison-style postprocessor
    tests.
  *  39c2ff4e45 - Draft: Fix flatten wire
  *  c35244e74f - Merge pull request #7438 from Syres916/patch-54
  *  f50505ae42 - Merge pull request #7428 from dresco/PathNaming
  *  7d5f208ae7 - codespell: add 3 more words to codespellignore list
  *  61f14dcf2c - Mesh: [skip ci] fix several minor issues
  *  324e4ca33f - Mesh: [skip ci] remove superfluous function call
  *  253ddde069 - Mesh: support to read 3MF format
  *  3b29cf18be - [Part]fix makeWireString for Win & Py > 3.09
  *  8aaa36a013 - Arch: Fix baseface generation for walls with a trace
    that self-intersects, has T-connections or that overlaps
  *  46b70c73fe - Addon Manager: Add missing GitFailed import
  *  55866fd622 - Clang: [skip ci] set minimum name length to 2
  *  01c3f1b636 - Mesh: [skip ci] fix minor issues
  *  4a9559c580 - Merge pull request #7424 from Roy-043/Draft-Fix-
    workingplane-auto-alignment-to-Front-view
  *  794a51eecc - Fix for Path output file naming issues.
  *  af18a9ea3b - Sketch: fix build failure
  *  9381a8b2fb - Base: make isMultiUnitLength() and isMultiUnitAngle()
    const
  *  086ce2d34c - Mesh: add support of thumbnails of 3MF format
  *  9ff0ae58da - [Path] Change Default Retraction from G99 to G98
  *  0179afbe8a - Draft: Fix workingplane auto alignment to Front view
  *  fbfac41c82 - [TD]fix face centerline
  *  dd14b42829 - [Sketcher]make cursor coord display unit aware
  *  16ff6dfbbb - [Base]identify schemas which use multiple units
  *  ea8cf94991 - Mesh: [skip ci] include header in source file
  *  fcc9d1fc84 - Mesh: avoid to create an extra tmp. copy of MeshObject
  *  16c73780b9 - Mesh: add exporter class for 3MF format
  *  580c124b22 - Mesh: improve 3MF support
  *  88ce83b68c - zipios: unicode handling in ZipOutputStream
  *  818a8add04 - github: Update PULL_REQUEST_TEMPLATE.md to v1.0
    Changelog thread
  *  9b5cf1537d - Merge pull request #7354 from Roy-043/Draft-add-
    tolerance-to-boundbox-check-in-intersections.py
  *  97ff522bb4 - Merge pull request #7368 from ebrahimraeyat/master
  *  61b92666e1 - Mesh: refactor mesh exporter classes
  *  2b5452d19d - [TD]fix perspective projection
  *  5ea33e9c4b - [TD]fix too large page on print
  *  d371abf6f5 - Mesh: move 3MF writer to its own class
  *  b277ef36c1 - Misc: modernize C++: replace 'typedef' with 'using'
  *  97967743a4 - TD: modernize C++: replace 'typedef' with 'using'
  *  c3279b82b4 - Mod: modernize C++: replace 'typedef' with 'using'
  *  a7bf7869ae - Sketcher: modernize C++: replace 'typedef' with
    'using'
  *  2ae40e006c - Points: modernize C++: replace 'typedef' with 'using'
  *  55bfdfb6d7 - Path: modernize C++: replace 'typedef' with 'using'
  *  6d4f95650c - PD: modernize C++: replace 'typedef' with 'using'
  *  c6a208bb18 - Part: modernize C++: replace 'typedef' with 'using'
  *  7eb30ca5c7 - MeshPart: modernize C++: replace 'typedef' with
    'using'
  *  fd4e2c967b - Mesh: modernize C++: replace 'typedef' with 'using'
  *  e205daa43d - Mod: modernize C++: replace 'typedef' with 'using'
  *  ba8d5ab055 - Gui: modernize C++: replace 'typedef' with 'using'
  *  5240a30431 - App: modernize C++: replace 'typedef' with 'using'
  *  d2168f51b9 - Base: modernize C++: replace 'typedef' with 'using'
  *  4310b49a8b - [TD]replace GeometryObject only after all changes are
    done
  *  4bdbacda75 - [TD]clazy warning re 3 parameter QObject::connect
  *  9ab037b581 - Addon Manager: pylint cleanup of Macro class
  *  3e7a22daef - [TD]cosmetic vertex size consistency
  *  cf399afe87 - App: minor improvements: * use 'using' instead of
    'typedef' [modernize-use-using] * fix bugprone-reserved-identifier *
    fix whitespace/comma
  *  e809295342 - App: replace some while loops with range-based for
    loops to increase readability
  *  2a2062ec46 - App: use auto - strange iterator (PR #7405)
  *  196983cf95 - Base: [skip ci] optimize writing Inventor file
  *  47f69d1389 - Base: [skip ci] whitespace improvements
  *  4cd8e2e93f - Base: Fix warning -Wrange-loop-construct
  *  dd95969695 - [TD]fix crash in Preferences
  *  51678cc8ab - Merge pull request #7207 from agren/remove-dead-code
  *  90ffdda622 - Merge branch 'master' into remove-dead-code
  *  1e865c6312 - Part: [skip ci] remove support of Py < 3.5
  *  752511a9f1 - fix translation issue
  *  89ad254b7c - Base: support of SoFaceSet in InventorLoader
  *  6fa3a50149 - Mesh: use Base::InventorLoader to load mesh files in
    .iv format
  *  8b7f721cd0 - Base: implement loading of OpenInventor files
    (currently only SoIndexedFaceSet is supported)
  *  283fec68f8 - Addon Manager: Fix bug in updater
  *  6ef7ae0404 - Addon Manager: Support older git versions
  *  3a47916d9b - Addon Manager: Pylint cleanup of utilities
  *  85ec32c60e - App use explicit
  *  a8cb4e7444 - Addon Manager: Fix bug in dependency resolver
  *  f8567b0975 - AddonManager: Refactoring of installer
  *  65b22c2f51 - Surface: [skip ci] fix minor issues found by code
    checkers
  *  c38d8479bc - Clang: fix clang-diagnostic-error
  *  6953310116 - Mod: Single arg ctors must be explicit
  *  a909df7f39 - Gui: Single arg ctors must be explicit (PR #7369)
  *  4faf443883 - stepZ.py: remove remaining mention of gzip_utf8
  *  52845b8c4c - Surface: add unit test for blend curve
  *  1ce78efb29 - Import: [skip ci] whitespace improvements
  *  97ec620ff8 - remove unused gzip_utf8
  *  bfa7a6687c - Update org.freecadweb.FreeCAD.xml
  *  f79f1dd066 - Fixes filetype icon not showing Fixes the icon of
    .FCStd files not showing because the xml element was called icon
    instead of generic-icon
  *  c538824309 - Base: [skip ci] fix scale factor in unit schemes
  *  b74148fdd0 - Clang-tidy: [skip ci] set value of parameter
    readability-implicit-bool-conversion.AllowPointerConditions to true
    Forum discussion:
    https://forum.freecadweb.org/viewtopic.php?f=10&t=71355
  *  949b43aabb - App: [skip ci] whitespace improvements
  *  a899f078bd - CMake: [skip ci] remove trailing whitespaces
  *  a1776d3e74 - Fix build on MacOS-X 10.14: missing Xerces include dir
  *  983e13c3b7 - Fix build on MacOS-X 10.14: missing cmath header
  *  3c8a268355 - App: [skip ci] improve whitespaces
  *  d66df602ad - App: Single arg ctors must be explicit
  *  216ab71ade - Arch: removing unnecessary 'if' conditional check
  *  ded17b7543 - Follow-up typo fixes
  *  1a7ddfdc24 - Fix typos and whitespace
  *  eb1f30d327 - Surface: several improvements * fix crash because of
    incomplete inheritance of BlendPoint and BlendCurve -> do not
    inherit from BaseClass   as consequebce make destructor non-virtual
    and remove getPyObject * pass std::vector by const reference *
    remove unneeded includes * use more suitable Python exception types
    * when returning with null from Python handler then set an exception
    * harmonize file guards * several optimizations or simplifications *
    use modern C++ * harmonize command name * fix copyright note
  *  27bf1dff0e - [Surface]: Change to BaseClass
  *  c85c8cfb33 - [Surface]: Implementation of BlenCurve.
  *  7e69d7e38b - Surface: Various fixes
  *  a783d5bbfc - Part: fix test failure and add setBounds for backward
    compatibility
  *  df8e661ddf - Part: [skip ci] improve whitespaces
  *  c86490eb15 - [Part] Change BSplineCurve/Surface setBounds() method
    name to scaleKnotsToBounds()
  *  e3dd67ad9f - [Part] Add setBounds method to BSplineCurve
  *  a5ecf97092 - Gui: [skip ci] fix readability-identifier-length,
    whitespace/comma
  *  f4b01a5568 - Gui: Prevent crash when trying to create
    ExpressionBinding without arguments
  *  51860063f8 - Merge branch 'master' of
    https://github.com/FreeCAD/FreeCAD
  *  0e24ed6342 - [FEM] pipelines: distinguish stresses (#7246)
  *  8efe30c8a9 - Test: add test feature for unit tests
  *  71015d23d0 - App: fix possible dangling pointer in
    Document::removeObject()
  *  00204dd6d4 - Tools: Use Python 3 as interpreter for fcinfo
  *  91830933d7 - TD: [skip ci] fix warnings of checkers about
    whitespaces
  *  67d0679643 - Addon Manager: Fix subproces call on Linux
  *  4ad52a5778 - [TD]use Label in waiting for thread message
  *  1494b8288a - [TD]use new style QObject::connect
  *  5ea9627231 - Addon Manager: Update preferences for new git
  *  3c191331a2 - AddonManager: pylint cleanup, git
  *  46fc605fca - Addon Manager: Refactoring and pylint cleanup
  *  ee162ff3a8 - Addon Manager: Refactor to test git and eliminate
    GitPython
  *  b6da08ef8b - Addon Manager: Create new git handling mechanism
  *  f0d5d716a7 - Part: Add missing include to PCH
  *  0a96f088d1 - Part: add Part.makeFilledSurface() that internally
    uses GeomFill_Generator
  *  5014bab534 - Mod: replace std::ifstream/std::ofstream with
    Base::ifstream/Base::ofstream
  *  5be214b885 - Base: implement default constructor and open()
    function for Base::ifstream and Base::ofstream
  *  145c3bf7c5 - PD: [skip ci] fix UTF-8 handling in Hole feature
  *  a72bf218f9 - Sketcher: Tweak tip language for ConstrainRadiam
  *  84253f4b4f - GUI: Remove unnecessary translation calls
  *  ff01905f0b - TD: fix UTF-8 handling in LineGroup
  *  ea5a0371a3 - Gui: [skip ci] fix UTF-8 handling of icon resources
  *  8f067e02f3 - [TechDraw] Remove uneeded redefinitions of inherited
    functions
  *  f5c5eec3bb - [TD]code review changes for Gui
  *  f9d62da307 - [TD]code review changes for dvp, dvs
  *  e8a25a8fdf - [TD]code review changes for dgh, dpg, dpgi, dra
  *  644b4991e2 - [TD]code review changes for dvp and dvd
  *  d6806167e1 - [TD]fix typo in message
  *  2d7d882235 - [TD]prevent running threads on object delete
  *  74cdc6db61 - [TD]code clean ups
  *  b1dd0bd2d0 - [TD]add preference for progress reporting
  *  f12846599d - [TD]fix detail of section not displayed on restore
  *  00b671e370 - [TD]fix projectShape for shape outline
  *  6677cd4d8f - [TD]clazy warnings and duplicate setter/getter
  *  006cf78c7a - [TD]fix segfault on repeated open/close
  *  6df801ed96 - [TD]respect AutoDistribute on load
  *  a2b09d37c5 - [TD]move section cut and detail common to thread
  *  ac63550122 - [TD]add progress reporting framework
  *  7e701969af - [TD]run hlr and extractFaces in threads
  *  bdf4cea14e - [TD]refactor scene/view/mdi
  *  9c929897ac - [Netgen] fix typos found by codespell
  *  1efb0503d2 - [Gui] background default colors
  *  8b056f156f - [Netgen] add headers to support recent Netgen
  *  ee68391bc8 - [FEM] point filter: add units for flux results
  *  876b4ebb8e - [FEM] Elmer: fix flux equation
  *  68053e4f4d - ReverseEngineering: [skip ci] improve doc string of
    approxSurface
  *  baf294a5a6 - [FEM] initial pressure: bind expression to
    QuantitySpinBox
  *  bc2f04889b - Base: [skip ci] improve whitespaces
  *  020bf1789a - Base: expose enum NumberFormat to Python
  *  c3e724d78d - Removing Unnecessary if conditional check
  *  040f86c4d5 - [FEM] fix body heat source constraint
  *  0a18346767 - [FEM] potential constraint: change default value
  *  9b56412856 - [FEM] potential constraint: allow to set expression
    for value
  *  517fde7881 - [Base] [skip CI] fix a typo in QuantityPy.xml
  *  26c04ab136 - [FEM] [skip CI] sorting in Fem.qrc
  *  262658685a - [Gui] revert the revert of setting unit factor for F/m
  *  f7c3989a2f - [FEM] move initial pressure to fluid constraints group
  *  37a3338537 - [Gui] revert setting unit factor for F/m
  *  a598398a0b - [FEM] [skip CI] Elmer writer: fix indentation mistake
  *  b177a8d6b2 - [.github] disable too many lines check
  *  43b6c65311 - Test: unit test for handling of the factor of F/m This
    test is supposed to cause a failure because of the wrong factor of
    F/m for SI1 and SI2 in commit 9db5dff7
  *  27f50ad131 - [FEM] add initial pressure constraint (#7364)
  *  32d7663e46 - [FEM] permittivity: improve code
  *  7ed74fa63d - Test: [skip ci] failUnless is deprecated, replace it
    with assertTrue
  *  10a78d91af - remove unused CXX standards. change boost min version
    to 1.65
  *  9db5dff744 - [FEM] fix handling of vacuum permittivity
  *  e2636b2926 - [FEM] Elmer example: remove wrong permittivity
  *  e0585a328b - [FEM] Elmer: writer: get rid of unnecessary function
  *  99120c2c74 - [TD]include clean up continued
  *  dce15245fa - [FEM] Elmer: handle pressure for fluids
  *  f2ba030ebb - [TD]remove precompiled from *.h
  *  aa9a667506 - [TechDraw] Clean up precompile in Gui
  *  52b3c75eb4 - [FEM] change default pressure
  *  335196a468 - [FEM] [skip CI] remove an obsolete comment
  *  dd370b9643 - [FEM] Elmer: fix initial flow velocity
  *  d7d49aa1a0 - [FEM] [skip CI] Elmer: add copyright
  *  5779040107 - [FEM] [skip CI] fix non-Unicode character
  *  08f02885a4 - [FEM] Elmer: sort solver methods for better overview
  *  f0590d1b2f - Merge branch 'master' of github.com:FreeCAD/FreeCAD
  *  d8784b7ac9 - [FEM] Elmer: fix for the Idrs method
  *  4407dde179 - [TD]hatch file default handling
  *  a2e473c5b7 - [FEM] Elmer: set constraints for solver systems
  *  d985525893 - [FEM] Elmer: just sorting to keep the overview

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 13 Sep 2022 19:41:29 +0000

freecad-daily (0.19.2+git30079-0beefe7c5d-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/FreeCAD/FreeCAD.git
  * Branch: master
  * Commit: 0beefe7c5de80aead2e6400804eb6cbda54d6ba8
  * Date: 1660401719
  * git changelog:
  *  0beefe7c5d - [FEM] Substitute underscore for whitespace in CalculiX
    solver output
  *  b6cb5ffe4a - [FEM] Elmer: fixes for multi-threading
  *  d1ffbc0ae9 - [Gui] [skip CI] NaviCube: fix indentation mistake from
    previous commit
  *  d78d1bbe58 - [Gui] fix NaviCube step handling
  *  128877a7b7 - [FEM] Elmer: only output a property if necessary
  *  08af39c1a8 - [FEM] Elmer: fix heat flux handling
  *  2edf6abb2f - [FEM] Elmer: add support to turn off solvers
  *  278598083d - [FEM] Elmer: add tooltips
  *  5a72f2d1fa - [FEM] Flow constraints: fix wrong tooltips
  *  4962c3da15 - [TD]fix merge conflicts
  *  9905e17ba1 - [TechDraw] Remove uneeded redefinitions of inherited
    functions
  *  2f49a93292 - [TD]fix LineFormat ctor line color
  *  11849808a1 - Gui: remove redundant void
  *  2a434e3b2e - [TechDraw] fix up button in TaskProjGroup
  *  ff876bf72c - Gui: clear combo boxes before re-filling them, fix
    handling of icon size in preferences pack
  *  b716644e27 - [FEM] Elmer: fix handling if fluids + solid materials
  *  bd796c9197 - [FEM] Selection: fix error for 2D shapes
  *  ed3625a0e0 - [FEM] Elmer: allow lower relaxation factor
  *  746a56f5d3 - Gui: don't show non-existing and unusual directories
    in file dialog
  *  9311e2913e - Replace edit-cut.svg
  *  2b5b7cd607 - Draft: fix snapper icons * Add convenience function to
    get 3D views from MDI area * Use 'inherits' instead of
    'QMetaObject.className()' to check more reliably for sub-classes
  *  cb96332a64 - [TD]fix multiple dimension drag
  *  730b14353c - Addon Manager: Finish pylint cleanup of startup
    workers
  *  9250850c9c - Addon Manager: pylint cleanup in startup workers
  *  20047c94cd - [FEM] [skip CI] formatting fix for potential
  *  ad2042e3cb - [FEM] electric Potential: add missing conversion
  *  c219134a1e - [FEM] Elmer: fix material bug and improve material
    handling
  *  7910bd14e6 - [FEM] update a bimetal testfile
  *  baaa5f8dd1 - [FEM] Elmer: set constraints for relaxation factor
  *  48a206e3e4 - [FEM] Elmer: notify users about missing fluid material
  *  5cd06b6148 - [FEM] fix bimetall example
  *  9c50b541a5 - [Material] add materials used by our examples
  *  69efa37e49 - [FEM] Elmer: automatic update for BiCGstablDegree
  *  4b2a486d51 - [FEM] fix selection issues with flow velocity
    constraint
  *  8acce95ebb - Gui: revert changes of 0c70d45c83 for
    GestureNavigationStyle
  *  735eecc42b - Part: fix build failures with OCC >= 7.6
  *  2062f9ce87 - clang: fix warnings [-Winconsistent-missing-override]
  *  4638bbf8ed - Addon Manager: Unit tests for cache loading
  *  54e06a759b - Addon Manager: Improve unit tests for utlility
  *  44cbd88830 - Addon Manager: Refactor to improve testability
  *  99084f1a62 - Addon Manager: Add unit test for addon fetch
  *  616a343973 - Addon Manager: Fix macro-loading bug from refactoring
  *  4c63094331 - Addon Manager: Worker refactor (round 1)
  *  ddafb98813 - Mod: Use override etc 2
  *  0c70d45c83 - Gui: Use override etc 2
  *  3891e85c32 - App: Use override etc 2
  *  91ea39a5c0 - Base: extend Placement/Rotation API * Add
    Placement::isSame() and expose to Python * Add
    Placement::multRight/Placement::multLeft * Fix PlacementPy::rotate *
    Add Rotation::multRight/Rotation::multLeft * Add a test feature
    FeatureTestPlacement for uni tests * Add unit tests
  *  6067b18774 - Base: [skip ci] improve whitespaces
  *  4b538a38ab - Fix Placement.rotate() to match documentation
  *  4571206be5 - [FEM] Elmer: fix broken example
  *  7f23e793eb - [FEM] increase size of generic solver task panel
  *  4b861b1083 - Merge pull request #7333 from mlampert/bugfix/external-
    thread-issues
  *  915369d8a2 - Mod: Redundant_string_initialization
  *  50ee321fa8 - Gui: Redundant_string_initialization
  *  e5d4c09ce2 - App: Redundant_string_initialization
  *  6f546de8f0 - [Gui] fix typos
  *  a32e927227 - [FEM] Elmer: scale EigenMode results
  *  515584c81b - [FEM] fix warp filter factor
  *  617f213d2f - TD: [skip ci] help code analyzers with export macro
  *  0c7e521ff5 - Gui: set width of list box according to text length
  *  55fa3d8a77 - Mod: [skip ci] improve whitespace
  *  da9ebc572f - Mod: redundant void 2
  *  311abcc43e - Gui: [skip ci] include header with export macros
  *  656ef8961f - Gui: redundant void 2
  *  ec72d96038 - App: [skip ci] improve whitespace
  *  7f699c3dad - App: redundant void 2
  *  0200c8d70a - Fixed radii calculations and their processing for
    external threads
  *  1e8d1c621c - Fixed external thread milling orientation and
    direction
  *  38e34758c7 - Fixed logic error in path selection drill gate.
  *  ffe0961853 - Added check to deal with float nan as cycle time
    result
  *  2e646c9147 - Sketcher: Fix sWhatsThis for
    Sketcher_CompConstrainRadDia (#7324)
  *  d02f6330fc - FEM: remove trailing whitespace from various FEM files
  *  d438514d9f - [FEM] fix pipeline recompute issue
  *  8b06680eb8 - [FEM] add framework to scale result mesh values
  *  90afc19382 - [FEM] fix pipeline recompute bug
  *  c4547c03e1 - Gui: improve integrated Python console: * correctly
    handle the case that Py_BuildValue() can return a null pointer * fix
    a latin1 <-> UTF-8 conversion problem
  *  460efa3a72 - [FEM] Elmer: use defaults of ElmerGUI
  *  753a034708 - [FEM] Elmer: fix for electricforce
  *  bcc25f9bc7 - [FEM] pipeline fix when there is no field
  *  678fc54358 - [FEM] [skip CI] set unit for potential loads
  *  3783e629c6 - CMake: if module search mode for Coin3D failed try
    config search mode, restore the variable COIN3D_VERSION
  *  7a1c9303d3 - FEM: Python pep8 code formatting
  *  b52967d52a - [FEM] update Elmer test files
  *  38aaf9bfb3 - [FEM] Elmer: fix pipeline update issue
  *  f6e0d37264 - Merge branch 'master' of github.com:FreeCAD/FreeCAD
  *  e4e34affac - [FEM] Elmer: resale the mesh using Elmer
  *  71c720efc8 - give success message normal prominence
  *  42b3b8daed - [FEM] [skip CI] fix a typo for nonlinear solving
  *  dcdbf6dcaa - [Fem] Elmer: change default nonlinear tolerance
  *  df257416a5 - [FEM] make point filter aware of force density
  *  3d0def93cd - [FEM] Elmer: fix default for heat
  *  7e071623d5 - [FEM] fix selection issues with electrostatic
    constraint
  *  7f27c23bfb - [FEM] [skip CI] ViewProviderAnalysis.cpp: .clang
    formatting fixes
  *  a7c24ccd49 - FEM: Python pep8 code formatting
  *  81836aae11 - [FEM] Elmer: polishing for nonlinear system
  *  84db9d4baa - [FEM] Elmer: fixes for electrostatics
  *  ef4366a20d - [FEM] Elmer: add missing parameters for Navier-Stokes
    solver
  *  3369aa4eca - FEM: Python pep8 code formatting
  *  f39330163d - [FEM] Elmer: code improvements
  *  b5faecea99 - [FEM] Elmer: output the equation-specific settings for
    Navier-Stokes
  *  7600855f26 - [Fem] Elmer: output the equation-specific settings
  *  f2cbd9ebb4 - Mod: [skip ci] minor improvements
  *  09c1b5a274 - FEM: Python pep8 code formatting
  *  2b375f2dc6 - [Fem] Elmer: writer: remove unused variable
  *  b621e6c253 - [Fem] Elmer: update tolerances
  *  6f9a4ebc7f - [App] [Spreadsheet] fix compilation errors
  *  b796a0d376 - Mod: use empty
  *  1cc6329eab - App: use empty
  *  29197f503d - [FEM] Elmer: next step to fix eigenfrequency analysis
  *  d88729d2c4 - Gui: use empty
  *  a00faca147 - Mesh: implement smoothing based on median filter
  *  b5a34817db - [FEM] Elmer: fix mistake with transient solving
  *  43dcbe4a31 - FEM: Python pep8 code formatting
  *  3818534cd6 - [FEM] Elmer: fixes for the simulation parameters
  *  550ef7ca80 - [FEM] Elmer: update test files
  *  cd03ef3d78 - [Fem] Elmer: don't output unused parameters
  *  2d4c5a4cfb - Mod: use emplace_back
  *  6ac4d8392e - Gui: use emplace_back
  *  e7357c1a99 - App: use emplace_back
  *  b20060bcd0 - [FEM] Elmer: add missing parameters for flux equation
  *  96ba47e80f - [Fem] Elmer: add missing settings for the stress
    solver
  *  bd42524548 - [Fem] Elmer: update test files
  *  18d1941a79 - [FEM] Elmer: push mesh scaled to Elmer
  *  869ab8d26c - Mesh: consider placement in MeshPy::foraminate
  *  828c64a4c9 - Mesh: consider placement in MeshPy::nearestFacetOnRay
  *  14451f7ec4 - Mesh: consider placement in
    MeshPy::cut/trim/trimByPlane
  *  f7a0586625 - Merge pull request #7278 from mlampert/bugfix/vcarve-
    c++-exception
  *  5a9201d2c5 - Draft: Enabled shortcut for undo segment - fixes #6181
  *  953625d74b - [TechDraw] Use inherited isShow
  *  fda3fd731f - [TechDraw] Use inherited unsetEdit
  *  23966513c7 - [TechDraw] Remove uneeded redefinitions of inherited
    functions
  *  42fbc0f58d - Merge pull request #7309 from donovaly/Arch-code-
    cleanup
  *  b4305c7b46 - Base: add Transform/Transformed to Line3<> and
    Polygon3<>
  *  4d00faeceb - Base: add methods to transform a Vector3f with a
    Rotation or Placement
  *  d542185ba2 - Mesh: consider placement in
    MeshPy::getCurvaturePerVertex
  *  9b8cf02aaf - Mesh: refactor MeshPy::getSelfIntersections
  *  3db79c907c - [FEM] Elmer: update test files
  *  70b8f13c7c - [Arch] further code cleanup after Py2 check removal
  *  357989c552 - [FEM] fix enable editing for all solvers
  *  0549a47b09 - [FEM] Elmer: more work on Stabilize
  *  82f41ce220 - [FEM] Elmer: setup new pipelines like we do for CCX
  *  d455ba378e - [FEM] Elmer: use different default linear solver
  *  ba858175fe - [FEM] Elmer: use direct solving as default for
    stresses
  *  6af8a84a3c - [FEM] pipeline: minor highlighting fix
  *  846d39ba54 - [Arch] minor code cleanup after Py2 check removal
  *  c49854b47b - Base: implement Line3 Polygon3 class
  *  20dc9d0a61 - [Arch] remove unneeded checks for Python 3
  *  109721fb0d - OpenSCAD: remove SCAD-Import error in importCSG.py
  *  322080d4f1 - Mesh: refactor MeshPy::writeInventor
  *  88e32eba9b - App: changes in ComplexGeoData: * rename some methods
    * distinguish between Point and Vector * support of arrays of Point
    or Vector
  *  30cb46cc5f - Fem: [skip ci] fix possible crash in
    PropertyPostDataObject::getMemSize
  *  79a9b29304 - Merge branch 'master' into bugfix/vcarve-c++-exception
  *  db3e28418d - [FEM] Elmer: update .sif files
  *  1f89f6eca7 - [FEM] Elmer: fix solver stabilize settings
  *  30d9efe691 - [FEM] Elmer: Flux: add missing settings
  *  6edf0cc5ba - [Gui] QSint: missing piece to fix QGroupBox visibility
  *  8ee6e78f7d - AddonManager: Fix source comment typos
  *  3408d7c2ca - Enabled exception handling again
  *  729c24b0f1 - Moved voronoi classes into Path.Voronoi module.
  *  79021f4913 - Renamed python class Voronoi to VoronoiDiagram
  *  9cc1d277fa - vcarve to color all borderline edges and ignore them
    for path generation
  *  2ea498874f - Added borderline interface to voronoi edge
  *  86dfd0a862 - [TechDraw] Simplify code getting default line weights
  *  750fa24b2e - [TechDraw] Remove deprecated replaceGeomFormat
  *  8719b71e39 - [TechDraw] Remove deprecated replaceCenterLine
  *  0bb56ad93f - [TechDraw] Remove deprecated replaceCosmeticEdge
  *  127af5bea4 - [TechDraw] Remove deprecated replaceCosmeticVertex
  *  ede18d20b9 - Fem: [skip ci] replace the SoAnnotation with an
    SoSeparator to fix rendering artifacts for non-convex objects
  *  38b34fb26a - PyCXX: [skip ci] fix linking error with MinGW/MSYS
  *  60112e7618 - PyCXX: change typedef of PyCxx_ssize_t to fix compiler
    warnings with MSVC
  *  8690630495 - CMake: re-add workaround for MINGW to find Coin3D
  *  7824d7b1df - Base: fix several warnings reported by code analyzers
  *  c6de515b20 - Base: [skip ci] fix -Winconsistent-missing-override
  *  34432c09f7 - Base: fix build failure because number_long() has been
    removed in PyCXX
  *  8aff4a7503 - Base: Modernise ctors dtors defs etc
  *  3e9c2ff155 - clang-tidy: [skip ci] Disable modernize-use-trailing-
    return-type
  *  0c427dc57b - Merge pull request #7295 from
    carlopav/DraftFixEditBSpline
  *  adfffb688c - [FEM] remove some unused includes
  *  360d1336b8 - - fixes #6102 - the point is that we don't set any
    style for the group boxes, therefore the Windows style is applied as
    nothing was set yet. The default Windows style is the color #dddddd
    which is hardly visible on our blue default style. as solution set
    an explicit color.
  *  d37a1a2440 - [Draft] Fix Draft Edit AddPoint with BSpline
  *  5b83b15b63 - PyCXX: update to version 7.1.7
  *  114b5be981 - PyCXX: update to version 7.1.0
  *  cfc8fb9fb4 - Merge pull request #7259 from Roy-043/Draft-Fix-
    handling-of-groups-on-move-copy-and-rotate-copy
  *  a2f509087e - PyCXX: update to version 7.0.0
  *  04615798ab - PyCXX: update to version 6.3.0
  *  c6ddc47733 - PyCXX: [skip ci] harmonize whitespaces with upstream
  *  2f197d65ec - Spreadsheet: fixes #7285: [Bug] FreeCAD crashes if
    cell value ' is set in Spreadsheet
  *  89f34f562a - [FEM] Elmer: fixes for the point filter
  *  59b4726698 - [FEM] Elmer: update .sif files
  *  d296732de6 - [FEM] Elmer: don't push mesh scaled to Elmer
  *  e07c696b1e - [FEM] Elmer: set sensible defaults for elasticity
    equation
  *  632e167ed8 - App: improve whitespaces
  *  7c6b6a3942 - App: fix -Winconsistent-missing-override
  *  65a356835b - App: Modernise ctors dtors defs etc
  *  ffd51eda61 - FEM: python code formatting
  *  244beb4e92 - [.github] [skip CI] checks.yml: disable a whitespace
    check
  *  19f07586c9 - Addon Manager: pylint cleanup of list diplay
  *  ab11797f22 - [FEM] importVTKResults: assure user gets a visible
    object
  *  a285c3cd16 - [FEM] [skip CI] PropertyPostDataObject: some .clang
    changes
  *  aa7408f4c6 - [FEM] Constraint: BodeHeat: fix regression from commit
    22c64ef8
  *  0865b97459 - Addon Manager: fix thread termination bug
  *  8bb85d2b7c - Fem: use SoAnnotation to highlight result pipeline
    objects
  *  47c2e77ebf - [App] [skip CI] Document: some .clang style fixes
  *  4028a1dda5 - App: Use https
  *  529c48cca4 - [FEM] remove unneeded checks for Python 3
  *  eabffee3a5 - [Part] ViewProvider: 2 to M: remove unused includes
  *  4b5062c0d3 - [Part] ViewProvider: P to T: remove unused includes
  *  786741c0c0 - Fix various 'testing inequality to None' syntax issues
  *  4043d049bc - remove redundant void from Base
  *  e2805adb1b - Fem: implement a selection observer to notify a
    ViewProviderFemPostObject when its selection status has changed
  *  60c2157e54 - Gui: [skip ci] modernize QuantitySpinBox class
  *  b40de7a509 - remove redundant void
  *  fb5c731847 - [Test] remove unnecessary Python check
  *  f4636e826e - [Spreadsheet] remove unnecessary Python check
  *  0788b2c0a2 - [PD] remove unnecessary Python check
  *  e61874be5a - [Path] remove unnecessary Python check
  *  ae2b73567d - [SCAD] remove unnecessary Python 3 check
  *  00f1360773 - [FEM] Elmer: fix small number property handling
  *  c457f3bfbd - Fix various 'testing inequality to None' syntax issues
  *  119a402c66 - Addon Manager: Add other_files download for wiki
    macros
  *  7c382f7c09 - [FEM] Elmer: fix eigenmode results for point filter
  *  a6fbd74cae - [FEM] add missing eigenfrequcy calculation for Elmer
  *  6a3a308fe7 - [FEM] utils: remove unused import
  *  4662503d42 - Ci v2 (#7282)
  *  ecbd151b11 - Remove unused conda files and PKGBUILD [skip ci]
  *  181d3f5536 - Gui: fix ViewProviderLink transform with scale
  *  a4708192b0 - [App] Application: add a comment
  *  e7dd0528ae - [App] Application: revert init sorting
  *  790bf5363e - [App] sort properties
  *  2e3f3bab7e - Base: [skip ci] use Precision class in
    Rotation::makeRotationByAxes
  *  923de19044 - Base: add Precision class
  *  bd5ef26536 - Base: add Precision class and move the Python binding
    from Part to Base module
  *  3811685826 - [Gui] [skip CI] PropertyItem: some .clang spacing
    uniformication
  *  548cab1fd8 - [FEM] Elmer: add missing direct variant MUMPS
  *  69a4a49f3d - PD: Remove unnecessary semicolons in FeatureHole.py
  *  84eb5fe9e2 - App: fixes #7277: Write to network drive fails on
    Windows
  *  82cdbebe97 - PD: Fix 'testing inequality to None' syntax (#7279)
  *  1b5285bebd - [Gui] move a NaviCube parameter to the NaviCube
    parameter group
  *  d35400aae3 - Arch: Fix 'testing inequality to None' syntax  (#7274)
  *  1ef31f40f5 - Draft: Fix 'testing inequality to None' syntax
    (#7275)
  *  6ea36b25ae - [Part] [skip CI] SectionCutting: silence MSVC compiler
    warning
  *  79d4c1556f -  [TechDraw] Improve readability of DrawWeldSymbol.cpp
  *  811b85caeb -  [TechDraw] Improve readability of
    DrawViewSpreadsheet.cpp
  *  e48a3a8cea - Mod: [skip ci] fix warning: [-Wreturn-std-move]
  *  54076efb64 - Part: [skip ci] fix typo
  *  042d6df669 - Arch: Removed leftover debug messages
  *  9b165e6fca - App: fixes #7112: Addon manager does not work on
    windows with special characters in the username
  *  d67ebd7058 - Delete .log_errors
  *  505387d6fa - [Travis] remove Travis
  *  666fab995e - [TD] silence a MSVC compiler warning
  *  d4c60abf70 - [Sketcher] fix icon name
  *  700d282301 - Addon Manager: pylint cleanup for install_to_toolbar
  *  574bf49c61 - Addon Manager: pylint cleanup of NetworkManager

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 13 Aug 2022 22:54:53 +0000

freecad-daily (0.19.2+git29824-e8e1050620-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/FreeCAD/FreeCAD.git
  * Branch: master
  * Commit: e8e10506204fd08472ec31c6d75e5a7c9e86630a
  * Date: 1659034310
  * git changelog:
  *  e8e1050620 - [TechDraw] Make projection group test a unittest
  *  48661cd3c7 - [TechDraw] Fix making template bug for tests
  *  6893938f2a - [TechDraw] Make balloon test a unittest
  *  36f50665fe - [TechDraw] Make section view test a unittest
  *  337b40f846 - [TechDraw] Make view test a unittest
  *  cf8e3f8eda - [TechDraw] Make dimension test a unittest
  *  b43784c6e2 - Gui: [skip ci] mkae sure the tooltip in
    ActionGroup::onActivated() disappears again
  *  54ce3d0fc3 - [TD]fix redraw does not paint all views
  *  0805d284d5 - [TD]fix Symbol update on property change
  *  91cffca077 - App: use namespace prefix for classes in Base
  *  76aeaab4b0 - Arch: added ExclusionNames property to Shape2DViews
  *  9ad8486a25 - Base: replace C macro with function and lambda
    expressions
  *  eccf4fed96 - Base: Clean up code and improve docstrings in Python
    Console module
  *  c14347ce41 - * [.github] extend cpplintFilters with -
    readability/todo
  *  b420901697 - Remove 2 deprecate PyCFunction
  *  be2a8a679c - Addon Manager: pylint cleanup of
    manage_python_dependcies.py
  *  802993dc5d - Addon Manager: Clean up Addon.py based on pylint
  *  b1856f3603 - [.github] extend cpplintFilters with -
    build/include_order
  *  fc8842aea4 - Fem: use 'using' instead of 'typedef' [modernize-use-
    using]
  *  d0791a9494 - Base: help clazy with export macro
  *  4a4bb34a87 - Addon Manager; Silence some pylint errors
  *  b9224cd14b - Addon Manager: Utilities pylint cleanup
  *  0e2508cca9 - Addon Manager: Fix get_zip_url for non-github URLs
  *  71285f4266 - Addon Manager: Cleanup
  *  97d28d689e - Part: if fillet/chamfer object has set transparency
    then override the values of the input shape
  *  62dbfc5290 - Part: if boolean/compound object has set transparency
    then override the values of the input shape
  *  f1ce218955 - Switch to Boost regex
  *  e415f38fe6 - Addon Manager: Add dialog to manage Python deps
  *  66ff55a2aa - [FEM] fix PostObject hiding issue
  *  95df4d665e - [FEM] save icons as plain SVG - part 2/2
  *  97eafab6d3 - [FEM] PostDataAtPoint: remove unnecessary style
    setting
  *  03041f0aff - [Sketcher] [skip CI] CommandCreateGeo: code style fix
  *  054dd44315 - Part: [skip ci] add unit test for PR #7258
  *  dbe8f47d93 - [BUGFIX] Sketcher: fix icon normal/construction
    toggling when commands used in custom toolbar
  *  ac6a730076 - Trim trailing whitespace for
    Part/App/BSplineSurfacePyImp.cpp
  *  7328f2f302 - [Part] BSplineSurface: add setBounds method
  *  b330552337 - Part: [skip ci] add unit test for PR #7260
  *  3ddfa5ce09 - [Part] BSplineSurface: fix KnotSequence for periodic
    BSpline surfaces
  *  a035d650b6 - [FEM] remove checks for Python 2
  *  5f82cfb39f - Fix column number calc
  *  79de5318cb - Test: [skip ci] fix typo
  *  0dddd3336e - App/Test: implement unit test for PR #7250
  *  7a198ca32e - CMake: use system version of FindCoin3D.cmake
  *  39a473176a - Gui: help clazy with missing include
  *  213ca948a6 - Spreadsheet: Returning data of temporary QByteArray [-
    Wclazy-returning-data-from-temporary]
  *  469e4f1655 - Spreadsheet: fix several memory leaks
  *  ceed599beb - [FEM] skip CI] update a comment
  *  16c89568b8 - [FEM] update ViewProvider selection code
  *  0b6a5e63fa - [FEM] save icons as plain SVG - part 1/2
  *  369bb48c90 - [FEM] BodyHeat constraint: use unique icon
  *  d3066617bd - [FEM] BodyHeat constraint: hide unused property
  *  b7b82489ab - [FEM] update Elmer tests after commit bc69cfd1
  *  2eceb004e0 - [App] remove check for Python 2
  *  bc69cfd19b - [FEM] Elmer: a fix for keywords
  *  5b25c97589 - [Gui] fix unreferenced local variable warning
  *  4f1fbb5a0e - Gui: help clazy checker with export macro
  *  e0bd6d7e2a - Part: move initialization of STEP/IGES reader/writer
    to ImportExportSettings::initialize()
  *  70c18c8017 - Part: [skip ci] change some default parameters for
    STEP export
  *  1faf86c3da - Gui: Use new-style syntax of connect() When fixing
    clazy issues -Wclazy-fully-qualified-moc-types then old-style syntax
    of connect() may fail. Thus, replace it with the new-style syntax
  *  c4e4b5cf02 - TD: Use new-style syntax of connect() When fixing
    clazy issues -Wclazy-fully-qualified-moc-types then old-style syntax
    of connect() may fail. Thus, replace it with the new-style syntax
  *  a1dfe2465f - [TechDraw] Make image test a unittest
  *  4fc8596d7b - [TechDraw] Make symbol test a unittest
  *  906618c0b6 - [TechDraw] Make annotation test a unittest
  *  d1f107f656 - [TechDraw] Make hatch test a unittest
  *  5a9ffe468c - Remove deprecated function
  *  c6a91b4ff3 - Merge pull request #7249 from Roy-043/Draft-Improve-
    alignToFace-in-WorkingPlane.py
  *  a187c506ee - Merge pull request #7243 from Roy-043/Draft-
    Housekeeping-import-translate-from-correct-file
  *  67e836b7e9 - [FEM] PostObject: improve color bar refreshing
  *  c4b8983a27 - [FEM] Elmer writer: fix errors on missing material
    properties
  *  c7a2ddbaa3 - [FEM] add generic Aluminum material
  *  22c64ef8be - [FEM] update bodyHeatSource
  *  c9b709d814 - [TD] remove unnecessary nullptr checks
  *  f73321b788 - [Part] ReferenceHighlighter: re-add necessary include
  *  9a821604e5 - [Part] Gui: M to S: remove unused includes
  *  fbd0665a77 - [Part] A to C: remove unused includes
  *  d7074f88b4 - [PD] AppPartDesignGui: sort includes
  *  38473f24be - Make image scaling command aware of user units (#7222)
  *  3bacbf312d - Improve grid maxNumberOfLines warning message
  *  e7edda9679 - TD: [skip ci] Fix several clazy issues: * Using copy-
    ctor but class TechDraw::anglePoints has a trivial copy-ctor but non
    trivial assign operator [-Wclazy-rule-of-two-soft] * Using copy-ctor
    but class TechDraw::arcPoints has a trivial copy-ctor but non
    trivial assign operator [-Wclazy-rule-of-two-soft] * Missing
    reference in range-for with non trivial type [-Wclazy-range-loop-
    reference] * C++11 range-loop might detach Qt container (QList) [-
    Wclazy-range-loop-detach] * signal arguments need to be fully-
    qualified (TechDrawGui::QGIView instead of QGIView) [-Wclazy-fully-
    qualified-moc-types] * Use multi-arg instead [-Wclazy-qstring-arg] *
    Use midRef() instead [-Wclazy-qstring-ref]
  *  88accdb421 - PD: [skip ci] Fix several clazy issues: * Maybe you
    meant to call base method instead [-Wclazy-skipped-base-method] *
    Missing reference in range-for with non trivial type [-Wclazy-range-
    loop-reference] * Mixing iterators with const_iterators [-Wclazy-
    strict-iterators] * Unused QByteArray [-Wclazy-unused-non-trivial-
    variable] * C++11 range-loop might detach Qt container (QList) [-
    Wclazy-range-loop-detach]
  *  d344ccc4eb - Sketcher: [skip ci] Fix several clazy issues: *
    Missing reference in range-for with non trivial type [-Wclazy-range-
    loop-reference] * Unused QString [-Wclazy-unused-non-trivial-
    variable] * Missing emit keyword on signal call [-Wclazy-incorrect-
    emit] * Don't call QList::operator[]() on temporary [-Wclazy-
    detaching-temporary] * Use multi-arg instead [-Wclazy-qstring-arg] *
    Maybe you meant to call ViewProvider2DObjectGrid::onChanged()
    instead [-Wclazy-skipped-base-method]
  *  832717e446 - Path: [skip ci] Fix several clazy issues: * Missing
    reference in range-for with non trivial type [-Wclazy-range-loop-
    reference]
  *  e403b9ce55 - Fem: [skip ci] Fix several clazy issues: * Maybe you
    meant to call base method instead [-Wclazy-skipped-base-method] *
    Using copy-ctor but class SbMatrix has a trivial copy-ctor but non
    trivial assign operator [-Wclazy-rule-of-two-soft] * Missing emit
    keyword on signal call FemGui::PointMarker::PointsChanged [-Wclazy-
    incorrect-emit]
  *  51ecdbdabe - Drawing: [skip ci] Fix several clazy issues: * Missing
    reference in range-for with non trivial type [-Wclazy-range-loop-
    reference] * Don't call QList::operator[]() on temporary [-Wclazy-
    detaching-temporary] * Use multi-arg instead [-Wclazy-qstring-arg]
  *  6ad47111ab - Spreadsheet: [skip ci] Fix several clazy issues: *
    Mixing iterators with const_iterators [-Wclazy-strict-iterators] *
    Q_PROPERTY should have either NOTIFY or CONSTANT [-Wclazy-qproperty-
    without-notify] * Missing reference in range-for with non trivial
    type [-Wclazy-range-loop-reference] * Missing emit keyword on signal
    call SpreadsheetGui::SheetViewHeader::resizeFinished [-Wclazy-
    incorrect-emit] * Missing emit keyword on signal call
    QAbstractItemModel::dataChanged [-Wclazy-incorrect-emit] * c++11
    range-loop might detach Qt container (QStringList) [-Wclazy-range-
    loop-detach]
  *  bbe617614b - Robot: [skip ci] Fix several clazy issues: * Using
    copy-ctor but class KDL::Rotation has a trivial copy-ctor but non
    trivial assign operator [-Wclazy-rule-of-two-soft] * Maybe you meant
    to call ViewProviderGeometryObject::attach() instead [-Wclazy-
    skipped-base-method] * Missing emit keyword on signal call
    RobotGui::TaskTrajectory::axisChanged [-Wclazy-incorrect-emit]
  *  56730b0a2f - Raytracing: [skip ci] Fix several clazy issues: *
    Don't call QList::operator[]() on temporary [-Wclazy-detaching-
    temporary]
  *  1c3f496d0f - Import: [skip ci] Fix several clazy issues: * Use
    multi-arg instead [-Wclazy-qstring-arg]
  *  1e3ee7ccb1 - ReverseEngineering: [skip ci] Fix several clazy
    issues: * Missing reference in range-for with non trivial type [-
    Wclazy-range-loop-reference] * Use multi-arg instead [-Wclazy-
    qstring-arg]
  *  d152d6dd0e - MeshPart: [skip ci] Fix several clazy issues: *
    Missing reference in range-for with non trivial type [-Wclazy-range-
    loop-reference] * Use multi-arg instead [-Wclazy-qstring-arg]
  *  05d2f5957d - Web: [skip ci] Fix several clazy issues: * Missing
    reference in range-for with non trivial type [-Wclazy-range-loop-
    reference] * Missing emit keyword on signal call [-Wclazy-incorrect-
    emit] * Unused QFileInfo [-Wclazy-unused-non-trivial-variable]
  *  cea60a2cb4 - Surface: Fix several clazy issues: * Missing reference
    in range-for with non trivial type [-Wclazy-range-loop-reference] *
    Use multi-arg instead [-Wclazy-qstring-arg]
  *  8444484677 - Part: Fix several clazy issues: * Maybe you meant to
    call Primitive::onChanged() instead [-Wclazy-skipped-base-method] *
    Maybe you meant to call Primitive::mustExecute() instead [-Wclazy-
    skipped-base-method] * Missing reference in range-for with non
    trivial type [-Wclazy-range-loop-reference] * Use multi-arg instead
    [-Wclazy-qstring-arg] * Use midRef() instead [-Wclazy-qstring-ref]
  *  43ae3c0b16 - [python init] Prepend install prefix if libdir is not
    absolute
  *  12440921bb - [FEM] Elmer: fix python error when solver failed
  *  a399f044c0 - Image: [skip ci] Fix several clazy issues: * Missing
    emit keyword on signal call ImageGui::ImageView::closeEventIgnored [-
    Wclazy-incorrect-emit]
  *  45f534bc32 - Mesh: Fix several clazy issues: * Use multi-arg
    instead [-Wclazy-qstring-arg] * Q_PROPERTY should have either NOTIFY
    or CONSTANT [-Wclazy-qproperty-without-notify] * Using copy-ctor but
    class SbMatrix has a trivial copy-ctor but non trivial assign
    operator [-Wclazy-rule-of-two-soft]
  *  6becbc3b72 - Fix several clazy issues: * Returning data of
    temporary QByteArray [-Wclazy-returning-data-from-temporary]
  *  0ebdf4743a - Fix several clazy issues: * Don't call ... on
    temporary [-Wclazy-detaching-temporary]
  *  5354632bfb - Fix several clazy issues: * Mixing iterators with
    const_iterators [-Wclazy-strict-iterators]
  *  6ee2c7f865 - Fix several clazy issues: * C++11 range-loop might
    detach Qt container [-Wclazy-range-loop-detach]
  *  0bef4e82f2 - Fix several clazy issue: * Missing reference in range-
    for with non trivial type [-Wclazy-range-loop-reference]
  *  bf7e6aac4a - Fix several clazy issue: * Suppress non-POD static [-
    Wclazy-non-pod-global-static] * Call to temporary is a no-op: [-
    Wclazy-writing-to-temporary] * Unused QString [-Wclazy-unused-non-
    trivial-variable]
  *  36a6f9e2fc - Fix several clazy issue: * Use multi-arg instead [-
    Wclazy-qstring-arg] * Use an empty QLatin1String instead of an empty
    QStringLiteral [-Wclazy-empty-qstringliteral] * getter
    Gui::ProgressBar::canAbort possibly mismarked as a slot [-Wclazy-
    const-signal-or-slot] * Missing emit keyword on signal call [-Wclazy-
    incorrect-emit]
  *  54506e12bf - Fix several clazy issue: * Using copy-ctor but class
    SbMatrix/SbViewportRegion has a trivial copy-ctor but non trivial
    assign operator [-Wclazy-rule-of-two-soft]
  *  20c770c899 - [FEM] ViewProviderDocumentObject: fix parenthesis
    mistake
  *  8e7e057430 - [FEM] fix color bar handling on hiding post objects
  *  3b0b7775f4 - Fix several clazy issues: * Q_PROPERTY should have
    either NOTIFY or CONSTANT [-Wclazy-qproperty-without-notify] * Use
    Q_ENUM instead of Q_ENUMS [-Wclazy-qenums] * Add missing a Q_OBJECT
    macro [-Wclazy-missing-qobject-macro] * Signal/Slot arguments need
    to be fully-qualified [-Wclazy-fully-qualified-moc-types]
  *  75d6804555 - Draft: Improve alignToFace in WorkingPlane.py
  *  864c9ecac5 - [FEM] set default selection mode to BoundBox for post
    objects
  *  4efbc146ec - [.github] try to get the checks also for the 0-20
    branch
  *  c1946884d8 - [FEM] fix regression of missing stress results
  *  be90374f4e - [.github] disable tidy checks for now
  *  fed9f20f48 - Import: use Part::ImportExportSettings to access
    parameters
  *  b00044c656 - Part: initialize controls of DlgImportExportStep with
    ImportExportSettings
  *  710e16b340 - Part: implement class ImportExportSettings for
    consistent parameter access
  *  2dbc92d399 - [.github] disable clang checks for now
  *  7d14bef0f5 - Draft: Housekeeping: import translate from correct
    file
  *  057e90bf29 - [FEM] TaskBoxes: add missing info about transparency
  *  ed82bd1280 - Github: basic check CI Run (#7152)
  *  689737b443 - [FEM] better fix for missing colorbar update for
    FemPostObject
  *  cce5de8087 - [Path] remove check for python 2
  *  cf96b23b3e - Git ignore hidden files with defined exceptions
    (#7108)
  *  dc34a04d1e - fix warning :unused variables
  *  0c4c3cc786 - Remove unused code into App
  *  adff3da37a - [FEM] task_material_common: add a comment
  *  1f7374edf1 - [FEM] fix material task dialog for fluids
  *  44a3582923 - [Part] Bugfix Primitives correction of decimal..
  *  639ff927de - Part: fix TopoShape.isInside() for faces
  *  c30f21446d - Merge pull request #7233 from Roy-043/Arch-
    Housekeeping-import-translate-from-correct-file
  *  b4b53a865e - [Gui] [skip CI] Selection: a formatting style fix
  *  b22e5737a5 - [FEM] [skipCI] ViewProviderFemPostPipeline: remove
    unused include
  *  2add334167 - [Stylesheets] Remove whitespace and add checked icon
    style
  *  9f9a874247 - [FEM] fix missing colorbar update for FemPostObject
  *  a55f5eb1ae - Fix typos in Part and TechDraw workbenches
  *  bafe141745 - Arch: Housekeeping: import translate from correct file
  *  98b9ba20fe - [FEM] [skip CI] fix UI file height entry
  *  6ed38eeb99 - [TechDraw] Improve readability of DrawViewDetail.cpp
  *  a203b1ae30 - [TD] Add SurfaceFinishSymbol command
  *  111aef4866 - [TD]review comments and rebase for PR7197
  *  e326f9bd99 - [TechDraw] Improve readability of DrawViewClip.cpp
  *  3979d589a3 - [TechDraw] Improve readability of DrawViewBalloon.cpp
  *  b349d02496 - [TechDraw] Improve readability of DrawViewArch.cpp
  *  fa27525021 - [TechDraw] Improve readability of
    DrawViewAnnotation.cpp
  *  6aef122551 - [TechDraw] Improve readability of DrawTile.cpp
  *  380219ad7f - [TechDraw] Improve readability of DrawRichAnno.cpp
  *  7ab531c51a - [TD] last part of removal of superfluous nullptr
    checks
  *  40d8ebb372 - [TD] remove some more superfluous nullptr checks
  *  1819aa9c0c - [PD] TaskExtrudeParameters: add missing simplification
  *  d665c9b8d0 - Merge pull request #7215 from Roy-043/Draft-Remove-
    unnecessary-DisplayStatusbar-preference
  *  e8fd473072 - Merge pull request #7217 from manuvarkey/dev_branch_1
  *  98dae1b217 - [PD] TaskExtrudeParameters: simplify code
  *  0e22ada9dd - [PD Pad/Pocket] Fix bug with midplane usage in
    TwoLengths mode (#7216)
  *  31bc9f3913 - [TD] remove some more superfluous nullptr checks
  *  8304a0942e - [TD] remove more superfluous nullptr checks
  *  fba4663baa - Part: add instruction how to adjust the maximum number
    of grid lines
  *  3f8dc1a5a8 - Gui: fix crash in
    ViewProviderLink::currentDraggingPlacement() if there is no active
    dragger
  *  af18a97913 - [TD] Gui: remove more superfluous nullptr checks
  *  43f289f27a - [PD] [skip CI] FeatureExtrude.cpp: fix a comment
  *  b3ee50a749 - [zipios] remove superfluous nullptr checks
  *  2e5e4dced8 - [TD] Gui: remove some  superfluous nullptr checks
  *  003757176c - Mod: remove some more superfluous Boolean checks
  *  93796e2d92 - [TD] App: remove some  superfluous nullptr checks
  *  3a50f95be4 - Mod: remove some superfluous Boolean checks (#7213)
  *  fadd455d16 - [Part] add missing part from: cleanup new preferences
    Feature
  *  a0bea6b24f - Arch: Add support for editing profile type, add L and
    T sections
  *  1e5055a86b - Draft: Remove unnecessary DisplayStatusbar preference
  *  3e99d39d05 - [Gui] remove some more superfluous nullptr checks
  *  2d60c3a682 - [libE57] remove more superfluous nullptr checks
  *  90abdf2752 - [Base] remove some more superfluous nullptr checks
  *  142cfce9f7 - [App] code style fixes by MSVC
  *  88a06f8f10 - Mod: remove some unnecessary nullptr checks
  *  a5eb40a9a6 - [Part] cleanup new preferences Feature
  *  69bb354f28 - [Part] DlgSettingsMeasure.ui: change wording style
  *  53d9b1899f - [PartGui] Add Font and Color Preferences to Measure
    dimensions (#7148)
  *  217b1e82cb - Merge pull request #7141 from Roy-043/Draft-
    make_hatch.py-should-return-the-object
  *  4555878c10 - Merge pull request #7173 from Roy-
    043/Draft_Fix_setEdit_in_view_text.py
  *  87d9a43117 - Merge pull request #7176 from Roy-
    043/Draft_Add_resetEdit_to_gui_hatch.py
  *  e08d394752 - Merge pull request #7200 from Roy-043/Draft-Fix-color-
    handling-in-make_point.py
  *  952a10e756 - Merge pull request #7212 from Roy-043/Arch-Fix-
    getCutVolume-in-ArchCommands.py
  *  caea150716 - Merge pull request #7192 from benj5378/docs
  *  a9a67d8854 - Merge pull request #7181 from manuvarkey/bug_fix_1
  *  2316809038 - Arch: Fix getCutVolume in ArchCommands.py
  *  1d95c26e2e - [Gui] remove more superfluous nullptr checks
  *  bd6ffcc7e0 - [Base] remove more superfluous nullptr checks
  *  316a869b26 - [Gui] remove superfluous nullptr checks
  *  53571f7196 - [Base] remove superfluous nullptr checks
  *  fa36a57724 - [App] remove superfluous nullptr checks
  *  615b1b9b00 - [libE57] remove superfluous nullptr checks
  *  1823439195 - [Robot etc.] remove superfluous nullptr checks
  *  c35579227b - [Path] remove superfluous nullptr checks
  *  16c86a6d08 - [Sketch] remove superfluous nullptr checks
  *  2d2ad11e14 - [Mesh] remove superfluous nullptr checks
  *  48af573746 - [FEM] remove more superfluous nullptr checks
  *  5d76afe0a5 - re-add some nullptr
  *  1f04880da9 - [Image] [Inspection] remove superfluous nullptr checks
  *  ce86b03e0a - [Spreadsheet] remove superfluous nullptr checks
  *  fc548a4b34 - [FEM] remove superfluous nullptr checks
  *  5f8e0c46ee - [Part] remove more superfluous nullptr checks
  *  697e88aed6 - [PD] remove more superfluous nullptr checks
  *  5048f14d60 - .clang-format: change a style
  *  a8d01fa6c6 - [PD] add parameter enabling logic for pad/pocket
  *  e4dfc42f33 - [PD] improve face selection for Pad/Pocket
  *  35f75064a0 - [PD] remove superfluous nullptr checks
  *  07ddfc88de - [PD] App: remove superfluous nullptr checks
  *  e491ba8d12 - [Part] remove superfluous nullptr checks
  *  ef04487cd1 - Merge pull request #7168 from
    sliptonic/feature/camoticstooltable
  *  5820618091 - Import: do not export the entire class but only its
    public methods. This fixes the warning C4251 for the template
    classes std::string or std::vector Forum thread:
    https://forum.freecadweb.org/viewtopic.php?f=10&t=70317
  *  d6b3942ad1 - Draft: Fix color handling in make_point.py
  *  b548d3b1ef - Partially revert Remove unused code into GUI
  *  3018985f80 - Remove unused code into GUI
  *  094ae93678 - [PD] fix Pad/Pocket logic issue
  *  faa1f96f08 - [FEM] check if Gmsh, CCX and Mystran solver binaries
    exist
  *  da104f63b7 - [FEM] fix CCX (new framework) binary handling
  *  3a993abfb4 - [FEM] fix Z88 binary handling
  *  a4ec6d4f83 - [TD] fix compilation on MSVC
  *  e80e8bf731 - [TechDraw] Improve readability of DrawUtil.cpp
  *  0421d7cc5d - [TechDraw] Gather rotation calculations in a single
    function
  *  137a4e0ee6 - [TechDraw] Improve readability of Cosmetic.cpp
  *  568cc79186 - [TechDraw] Refactor CosmeticEdge constructors
  *  fac4e72ea4 - [TechDraw] Use constructor delegation for CosmeticEdge
  *  eb3a04f30e - [TechDraw] Use default parameters for LineFormat
    constructor
  *  4a5bf895ed - [FEM] [skip CI] inform user about used CPU cores for
    Elmer
  *  3542c73966 - [FEM] [skip CI] tell user when Elmer write succeeded
  *  146e5508aa - [FEM] [skip CI] fix wording
  *  2a41f359f7 - Gui: implement mechanism to set a custom icon name or
    tooltip of a preferences group
  *  2782d09dee - [FEM] [skip CI] fix a typo
  *  fa49c07840 - Update
    src/Mod/Path/PathScripts/PathToolBitLibraryGui.py
  *  1a8a7959e5 - Merge pull request #7127 from
    sliptonic/feature/chipbreak
  *  32ac6fa9fd - [FEM] [skip CI] fix a string
  *  9f7c699fb8 - GUI panel for chipbreaking
  *  6d81f31f11 - Additional changes to support G73
  *  ff1e995f30 - Generator can produce G73 (chipbreak) commands instead
    of G83. Add tests
  *  2dd9d69112 - Gui: fix crash in ExpressionCompleter::slotUpdate
    Forum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=69931
  *  3137a81604 - [TD]check for spline on linear Dims
  *  5d93fbe0bb - [TD]fix ext line gap preference
  *  6d54ca4df4 - [Gui] preferences: clarify Part/PD page
  *  656408615a - PD: fix ProfileBased::getSupportFace() to also handle
    the case where a support face is selected
  *  fcd5394864 - [Gui] preferences: add button to switch gradient
    colors
  *  10301e7f75 - [FEM] [skip CI] fix a typo
  *  882125c1c6 - PD: rename getUpToFaceFromLinkSub to
    getFaceFromLinkSub
  *  6625281986 - [FEM] enable to run Elmer multi-threaded
  *  f34a814ead - Part: replace PyObject_Not with Base::asBoolean
  *  201f4c9a5a - Core: replace PyObject_IsTrue with Base::asBoolean
  *  d1ef818f39 - Fem: replace PyObject_IsTrue with Base::asBoolean
  *  76330db700 - Import: replace PyObject_IsTrue with Base::asBoolean
  *  aea58ace37 - Mesh: replace PyObject_IsTrue with Base::asBoolean
  *  8ae3185e3b - Part: replace PyObject_IsTrue with Base::asBoolean
  *  343aadf02b - Path: replace PyObject_IsTrue with Base::asBoolean
  *  b48f7229a3 - Sketch: replace PyObject_IsTrue with Base::asBoolean
  *  231de30c2f - Base: add convenience function to convert
    PyObject_IsTrue to a boolean
  *  b42e994ec9 - Path: fixes -Woverloaded-virtual
  *  780ccceccf - Draft: [skip ci] fix -Wunused-parameter
  *  2041eca74c - Import: if PyArg_ParseTuple() returns false
    PyErr_Clear() must be called first before calling PyArg_ParseTuple()
    again
  *  e1ebcef39e - Import: [skip ci] change path to user config in
    Import.readDXF()
  *  c50e7a29fe - Remove duplicate source code
  *  d15da0ef96 - PreCompiled fix
  *  3ef8a641c6 - Remove DraftUtils.readDXF
  *  a980b08719 - Code Cleaning - pragma
  *  83203153cd - Group dxf relevant files in one folder
  *  42b519a90a - Mesh: [skip ci] unit test for Mesh.foraminate()
  *  68ade24c78 - Merge pull request #7187 from
    sliptonic/bug/sectiontolerance
  *  99c9cd9bca - [Doc] Clean up footer and header for WebDoc
  *  e2e58f7bff - Mesh: [skip ci] allow to set third parameter in Python
    wrapper
  *  619c7942aa - [TechDraw] Improve readability of ViewProviderWeld.cpp
  *  bb44c9ece4 - [TechDraw] Improve readability of
    ViewProviderViewSection.cpp
  *  700a0217b4 - [TechDraw] Improve readability of
    ViewProviderViewPart.cpp
  *  87d4c8e237 - [TechDraw] Improve readability of
    ViewProviderTemplate.cpp
  *  cd1cc2e6e9 - [TechDraw] Improve readability of
    ViewProviderRichAnno.cpp
  *  46ab6b7534 - [TechDraw] Improve readability of
    ViewProviderProjGroupItem.cpp
  *  0bf9f1de93 - [TechDraw] Improve readability of ViewProviderPage.cpp
  *  0001965476 - [TechDraw] Improve readability of
    ViewProviderLeader.cpp
  *  4203420b02 - [TechDraw] Improve readability of
    ViewProviderHatch.cpp
  *  60e6a0e73e - [TechDraw] Improve readability of
    ViewProviderGeomHatch.cpp
  *  886f4fe1b9 - [TechDraw] Improve readability of
    ViewProviderGeomHatch.cpp
  *  c90fc4fe49 - [TechDraw] Improve readability of
    ViewProviderBalloon.cpp
  *  23c3cf76be - [TechDraw] Improve readability of
    TaskWeldingSymbol.cpp
  *  9830cabb33 - [TechDraw] Improve readability of
    TaskSelectLineAttributes.cpp
  *  8d7cb491f7 - [TechDraw] Improve readability of TaskSectionView.cpp
  *  93700c81e4 - [TechDraw] Improve readability of TaskRichAnno.cpp
  *  7c1c31e10e - [TechDraw] Improve readability of TaskProjGroup.cpp
  *  c85e6d2d73 - [TechDraw] Improve readability of TaskLineDim.cpp
  *  9976280027 - [TechDraw] Improve readability of TaskLeaderLine.cpp
  *  6a2aa14edd - [TechDraw] Improve readability of TaskDetail.cpp
  *  1ae137aeba - [TechDraw] Improve readability of TaskCenterLine.cpp
  *  0d61c6a72b - [Doc] Migrate BuildWebDoc.cfg.in to doxygen 1.9.4
  *  c2667384bd - Replace std::ignore with boost::ignore_unused()
    According to https://isocpp.org/blog/2016/09/quick-q-stdignore-for-
    ignoring-unused-variable std::ignore is not supposed to be used for
    this
  *  1bb9699c9a - Update fedora spec to v0.21
  *  94223d4afe - Gui: [skip ci] print debug information in
    GuiNativeEvent::tdx_drv_handler
  *  acf2a186e5 - set PathArea section tolerance to 1e-07.
  *  2003cb7506 - Gui: [skip ci] improve whitespaces in
    GuiNativeEvent::tdx_drv_handler
  *  339bb73e9f - Base: add convenience classes/functions that are
    marked as deprecated in Qt 5.15 and removed in Qt 6
  *  657b144128 - Gui: move QuiLoader for MinGW to global namespace
  *  e8476868dc - Main: simplify MainPy.cpp
  *  761ff7bab4 - Base: [skip ci] fix regression in ~ILoggerBlocker
    caused by ea0c3e8598db6f
  *  3f986ecce4 - Merge pull request #7174 from Roy-043/Draft-Fix-
    EditMode-for-hatch,-facebinder-and-shapestring
  *  84417b5e3a - Merge pull request #7186 from Roy-
    043/Draft_Fix_Hatch_task_panel_title
  *  d0c5345998 - Update view_hatch.py
  *  081cf4c783 - Update view_facebinder.py
  *  2886559fda - Draft: Fix Hatch task panel title
  *  c126a8cced - Merge pull request #7137 from
    Russ4262/fix/path_array_polar
  *  cf27c91a2e - Replaced python2 usage of next()
  *  d48fe836ca - [FEM] femutils.py: style changes
  *  bd7e5c210b - Merge pull request #7178 from sliptonic/bug/misc
  *  5abbfd7087 - [TD]fix crash on body with no shape
  *  f14132ab71 - Merge branch 'master' into bug_fix_1
  *  dd0bb33a01 - Fix bug #6679, add new profiles
  *  edcd16afaf - FEM: Python code formatting
  *  c76913454a - [Gui] ViewProviderGeometryObject: fix color and
    transparency
  *  c7aca5b5d2 - [FEM] [skip CI] electrostatic: remove unused code
  *  c8064ed059 - [FEM] fix solver console bugs
  *  16ec7d02c0 - Update view_text.py
  *  e141910597 - Fixes #7164
  *  a78d504ea4 - remove G53 from fixture list
  *  ea1236664c - Avoid python 3.6 error. subprocess doesn't have
    capture_output. Use subprocess.PIPE instead.
  *  f4f37ecdd1 - G38 fixes for probe visualization per mlampert
  *  c4c553617f - minor black fixes
  *  792cb05473 - export a camotics tooltable
  *  842fd4772b - Merge pull request #7007 from
    LarryWoestman/post_refactor
  *  7413a3a999 - Draft: Add resetEdit to gui_hatch.py
  *  99262f6356 - FEM: extend codespell command in code conventions
  *  bbbd4d07bf - FEM: typos, found with: codespell -q 2 -S *.ts -S
    *.dyn -S *.svg  -L
    childs,dof,dum,freez,methode,nd,normaly,programm,som,uint,vertexes,i
    nout  src/Mod/Fem/
  *  e49abfb350 - FEM: python code formatting
  *  202f4fdc7f - Draft: Fix EditMode for hatch, facebinder and
    shapestring
  *  2f9c0713b2 - Draft: Fix setEdit in view_text.py
  *  ff802c7274 - FEM: elmer solver writer, add some comment in the
    regard of units
  *  452c2ce7e7 - [TD]fixes for 8c0ab46b4d
  *  5267658651 - Draft: fix spacing of ToolTip text
  *  e7a8fd18e0 - Path:  Reformatted to a line lenght of 88 using black.
  *  62d8d8b993 - Path:  Added 4 refactored postprocessors and
    postprocessor tests.
  *  8265de7b55 - Path:  Moved all of the global values to a dictionary
    named values.
  *  ff5e3734da - Lower level discrete tests for Linuxcnc post
  *  e24cd8f03c - Part: [skip ci] fix possible build failure
  *  732e6d9cee - Sketch: [skip ci] fix -Wsign-compare
  *  5d389e3835 - [FEM] check if solver executables exist
  *  07fab3e4f8 - [FEM] fix CCX multi-threading bug
  *  713e160731 - [FEM] remove doubled slots from preferences UI files
  *  a236ca843f - correction
  *  4de0e6fb19 - Revert [Gui] preferences: add button to switch
    gradient colors
  *  25ffc89063 - [Gui] preferences: add button to switch gradient
    colors
  *  b3c0e7bc5a - [Gui] [skip CI] DlgPreferencesImp: a code style
    improvement
  *  19530b337f - [Part] [PD] add preferences setting for transparency
  *  a014cac3c3 - [TechDraw] Alphabetize TechDraw.qrc for readability
  *  43f6c17942 - [TechDraw] Rename icon filenames for consistency
  *  8c0ab46b4d - [TechDraw] Improve readability of commands
  *  bf606e980c - [Part] AppPartPy.cpp: compilation fix for precompiled
    headers
  *  162a39fb8c - [Part] Geom2d*: add more necessary includes
  *  92129e83a1 - [Part] ShapeFix: remove unneeded includes
  *  3c369285ce - [Part] Geom2d*: add more necessary includes
  *  fc96cee7d5 - [Part] Geom2d*: add necessary includes
  *  53d67a537a - [Part] Geom2d: remove unneeded includes
  *  a09f04ded6 - [Part] ChFi2d_FilletAlgoPyImp.cpp: add necessary
    include
  *  494cedd863 - [Part] ChFi2d etc.: remove unneeded includes
  *  6f28ba4eb8 - [Part] FeaturePart*: remove unneeded includes
  *  c7a6bcef58 - [Part] FeatureRevolution.cpp: add necessary includes
  *  ea0c3e8598 - [Base] fix a -Wunused CI compiler warning
  *  4bbd240e5f - [Part] FeatureExtrusion.cpp: add necessary include
  *  7030956099 - [Part] Feature*: remove unneeded includes
  *  a54c2ed21b - [Part] Arc*: remove unneeded includes
  *  3548032b5f - [Part] App*: remove unneeded includes
  *  9fdac70448 - [Part] Attach*: remove unneeded includes
  *  81ce256e69 - [Part] [Skip CI] BRepOffsetAPI_MakePipeShellPyImp: re-
    add an include
  *  f5d3c22d3a - [Part] B*: remove unneeded includes
  *  ddf4214a01 - Merge pull request #7147 from Roy-
    043/Draft_Fix_join.py
  *  f4d4304e1b - Draft: Fix join.py
  *  353c95bd82 - [Part] [skip CI] BSplineSurfacePyImp.cpp: remove
    unneeded comment
  *  47460b632c - [Part] BSpline*: remove unneeded includes
  *  531e5d19a6 - [Part] ConePyImp.cpp: add missing include
  *  b3cf8cc31c - [Part] C*: remove unneeded includes
  *  e0a73327c2 - [TD]fix bad edge in face finder
  *  c38e88c61b - TechDraw: Allow DraftView command on any object
  *  1f4e6ad899 - [Sketcher] Do regular drag for small B-splines
  *  8b52db90c5 - [TechDraw] Use function overloadin and avoid code
    repeat
  *  2f19dbaf23 - Draft: make_hatch.py should return the object

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 28 Jul 2022 19:55:44 +0000

freecad-daily (0.19.2+git29449-91f84184bf-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/FreeCAD/FreeCAD.git
  * Branch: master
  * Commit: 91f84184bf4712ba01234b77dc906c53f76c063d
  * Date: 1657099683
  * git changelog:
  *  91f84184bf - Merge pull request #7138 from Roy-043/Draft-
    displayStatusbarScaleWidget-should-be-checked-in-ui-file
  *  212b140d82 - GuiPy: allow to call setupWithoutGUI more than once
  *  966911775a - Draft: displayStatusbarScaleWidget should be checked
    in preferences-draftinterface.ui
  *  b4c480737f - Test: [skip ci] set direct connection mode as
    otherwise the test will fail
  *  5dcd27df93 - Gui: test for ILoggerBlocker
  *  95a98669a4 - Gui: implement temporary blocker for console observer
  *  06d65c73a3 - [BUGFIX] Gui: correctly restore message type enabling
    in report view
  *  3fe4e4b6a6 - [BUGFIX] Gui: correctly save and restore warning type
    enabling in report view
  *  8f4a982696 - Merge pull request #7132 from Roy-043/Draft-Fix-near-
    snap
  *  d82240e991 - Merge pull request #7135 from Roy-043/Arch-Invert-
    opening-symbol-Simple-door
  *  616cde7dfd - Arch: Invert opening symbol Simple door
  *  f4ec49ed28 - [TD]fix multiple open dialogs
  *  b6c20202cd - [TD]adjustable extension line gap
  *  90d660260c - [Part] CylinderPyImp.cpp: add missing include
  *  f92b5b4b7f - [Part] Cy* - Fac*: remove unneeded includes
  *  e6e210467e - Update gui_snapper.py
  *  45d7151dfa - Test: [skip ci] unit test for fix of Vector2d::Rotate
  *  11c6f4a9e9 - [TD]fix scaling of bitmap
  *  ab9ff476e1 - Merge pull request #7122 from donovaly/Arch-fix-typo
  *  de839911e9 - Gui: show thumbnails in file dialog
  *  4dbeb8c5aa - Gui: make sure to use FileIconProvider in FileDialog
    and delete it after closing the dialog
  *  bc2d022e55 - [Part] edgecluster.h: add missing include
  *  5834cc8060 - [Part] ExtrusionHelper.h: add missing include
  *  27a69f89c3 - [Part] E*: remove unneeded includes
  *  e1a8c65a99 - Removed old wiki2qhelp file - issue 7120
  *  988ec4c4fb - Drawing: [skip ci] fix build failure
  *  fd68d0d947 - [Part] Geometry*: remove unneeded includes
  *  e790566fd4 - [Part] SectionCutting.cpp: attempt to fix CI compiler
    error
  *  88d1808ccb - Draft: Fix near snap
  *  70a5faf327 - Part: fix build failure
  *  3aa4955e94 - [Part] fix MSVC compiler warning
  *  7a17e579f5 - [Part] Geometry*PyImp.cpp: remove unneeded includes
  *  d7d503de8d - App: fix build failure on Windows caused by PR #7034
  *  738f6f47e9 - [App] Fix file not found error with canonical filename
  *  84d766f0eb - [App] Fix #5592 : Respect symbolic links
  *  2aac6ea1d9 - [Part] Import*.cpp: remove unneeded includes
  *  828d4564c1 - Delete .arcconfig
  *  2d19fad276 - [Part] H* to mo*: remove unneeded includes
  *  c0fa37cfa9 - [FEM] update includes
  *  9a41845a41 - [Part] OCCError.h: remove unneeded includes
  *  0a5a7f6744 - [TD] DrawDimHelper.cpp: add missing include
  *  c5ed57c405 - [TD] ShapeExtractor.cpp: add missing include
  *  49f707e885 - [Measure] Measurement.cpp: add missing include
  *  c5678ef373 - [PD] FeatureDressUp.cpp: add missing include
  *  3bab125da7 - [Part] PlanePyImp.cpp.cpp: add missing include
  *  6fb7f614c7 - [Part] Pa* to Pre*: remove unneeded includes
  *  73511f82c2 - [Part] Prim* to Sur*: remove unneeded includes
  *  01b4352693 - [Part] SectionCutting: remove unused include
  *  ca5efc5be1 - [Part] To*: remove unneeded includes
  *  74d582617c - [Part] TopoShapeFacePyImp.cpp: add includes needed by
    the CI compiler
  *  8e9b359928 - [Part] Topo*: remove unneeded includes
  *  a4b054c063 - LGTM: omit src/Tools/wiki2qhelp.py from analysis
  *  ac4fa39ad4 - [TD]fix bitmap hatch
  *  96cb9dce0b - [Base] Tools2D.h: a simplification and code style
    unification
  *  06edc2db9b - Vector2d:fix rotate bug
  *  6820e0a9ec - Py3: properly port to Py3.11
  *  fcdec28716 - Merge pull request #6974 from agren/restore-path-
    drilling-retract-behaviour
  *  e844c4d20b - [App] [skip CI] fix minor code style issue
  *  75165e9594 - [Robot] fix typo in function name
  *  a88f69a9f0 - [Sketcher] Only move one piece of B-spline when
    dragging
  *  ef088674ba - [FEM] fix wrong console outputs for fluid materials
  *  8afc5d3f0a - FEM WB Elmer viscosity bug fix.
  *  7bf9f30c5f - [Base] UnitsSchemaInternal: improve code readability
  *  1ae55905ba - Py: make FreeCAD to compile with Py3.11
  *  19a69df0fc - Sketcher: Bug fix
  *  94155361a0 - [Arch] fix typo in function name
  *  1021098106 - remove unused boost files
  *  7001caea9a - [FEM] [skip CI] fix a typo
  *  3d597b797a - [AddonMgr] [skip CI] fix typo
  *  13db192fca - [Gui] [skip CI] update for DlgProjectInformation.ui
  *  dc57327e7f - fIx Cmake Messages
  *  75d8371d2b - Arch: [skip ci] fix unit test
  *  9b2b0e0acf - modernize C++: replace boost::function with
    std::function
  *  c7c43fcf4b - Core: fix minor issues: + fix issues found by clang's
    clazy tool + fix cppcoreguidelines-pro-type-member-init   * Make
    sure that all class members are initialized in the constructor
  *  2949ab1a2b - [TD]remove unused code
  *  fdcfd4c565 - [TD]Navigation Styles - context menu handling & std
    cursors
  *  866da5980c - [TD]fix Dimension export to DXF
  *  460d153d6c - [TD]Include CosmeticLines in Dxf
  *  2326186428 - Sketcher: Bug fix SolverGeometryExtension
  *  b50e0485d9 - Test: ignore UnicodeEncodeError in
    TestMetadata.test_file_path
  *  317c6afd45 - Mesh: fix (Qt) issues found by clang's clazy tool
  *  a427c1e99e - Base: [skip ci] fix slight regression caused with
    d162d9371
  *  e916f8afbb - Arch: Fixed test to work without the Drawing module
  *  59b945dcc3 - Merge pull request #7111 from
    sliptonic/bug/camoticsimport
  *  d5921e08ec - fix (Qt) issues found by clang's clazy tool: + -Wclazy-
    incorrect-emit + -Wclazy-strict-iterators + -Wclazy-overloaded-
    signal + -Wclazy-qstring-arg + -Wclazy-unused-non-trivial-variable +
    -Wclazy-container-anti-pattern + -Wclazy-range-loop-reference + -
    Wclazy-const-signal-or-slot + -Wclazy-detaching-temporary + -Wclazy-
    qfileinfo-exists
  *  898b1007b9 - Test: use codecs.open in TestMetadata.test_file_path
  *  7b377a216b - Gui: remove workaround for spnav 0.23 due to build
    failure with musl libc
  *  82bbe47d68 - Test: set encoding to utf-8 in
    TestMetadata.test_file_path
  *  22829f8a24 - App: issue #7112: Addon manager does not work on
    windows with special characters in the username
  *  448b1ec9f3 - Test: [skip ci] test file path with utf-8 <-> utf-16
    conversion
  *  9a70b165cc - App: fixes #7102: Undo/Redo of PropertyEnumeration
    fails with MSVC
  *  e428337ffc - Another import bug.  This time if --version doesn't
    return a patch number.
  *  e07cfa09bb - Test: extend test for enumeration
  *  9763ed29e2 - Split DSHs from CommandCreateGeo
  *  19230c83ef - Remove obsolete DSH Tools - CloseShape and
    ConnectLines
  *  3678a525a2 - DrawSketchHandler: Cursor rework and preselect at
    point functionalities
  *  2cf0c49955 - DrawSketchHandler: mechanism to update the cursor
  *  f16c3f36a9 - DrawSketchHandler: Functions to draw cursor position
    and direction
  *  b80cd6a417 - DrawSketchHandler: refactor crosshairCursor
  *  c6459bb7d3 - Utils refactor w/o commandcreategeo
  *  9da0f369b1 - Utils: Conversion from 2d vector into XY plane 3d
    vector
  *  3cd34e1c38 - Sketcher-Utils: vector of smart pointers to vector of
    pointers
  *  bae8050fac - Sketcher-Utils: Refactor common code up
  *  f99abec58e - Sketcher: Create Geometry ConstraintToAttachment
    function
  *  80cd03cded - Sketcher: Cleanup obsolete DrawSketchHandlers
  *  df50dca01b - PythonConverter-Sketcher: A class to convert sketcher
    geometries and constraints into the commands to generate them
  *  c6aa3c91e6 - ViewProviderSketch: Cursor movement and preselection
    at sketch coordinates
  *  473c2efc38 - Sketcher: SketchObject - Add ability to diagnose
    constraint redundancy before addition
  *  f2c1f35aaf - Sketcher: SolverGeometryExtension and sketch parameter
    information improvements
  *  d847d309b0 - Merge pull request #7109 from Roy-043/Draft-Fix-
    default-fillmode-in-DraftGui.py
  *  bc37be0c54 - Draft: Fix default fillmode in DraftGui.py
  *  779128b5f4 - Gui: get rid of some const_cast
  *  3af5cfaed6 - Part: add method to project point on curve
  *  9a3258c9da - Part: move BiArcs algorithm to its own class
  *  9de8b33bb4 - Part: fix GeomBSplineCurve::toBiArcs If tangent of
    start and end point are parallel then also check a tangent in
    between to make sure that it can be considered a straight line See
    https://forum.freecadweb.org/viewtopic.php?f=8&t=69710
  *  0c797ae6a8 - [Base] remove unused MSC code
  *  d162d9371c - Remove old msc ver. Freecad 0.20 require 64 bit and
    windows 7 or higher. For this reason, msc libraries less than 1800
    will no longer be used. (#7036)
  *  d13db0ea4c - Merge pull request #7096 from sliptonic/bug/camotics
  *  657f04908f - Merge pull request #7105 from Roy-043/Draft-Fix-align-
    working-plane-to-DatumPlane-bug
  *  27bfa083b2 - Update src/Mod/Draft/draftguitools/gui_selectplane.py
  *  d69888b74d - Draft: Fix align working plane to DatumPlane bug
  *  e8f3227191 - [FEM] fix point filter initialization issue
  *  3a86b17194 - [TD] fix linker error with MSVC
  *  a84220cd21 - Also check that the module imports correctly
  *  25242430f4 - Restore drilling op retract value to user supplied
    Retract Height
  *  8acfd5bce7 - TD: minor fixes: * remove superfluous semi-colons * if
    a method is declared override then the keyword virtual should be
    dropped
  *  175ecbc50f - Draft: handle the absence of the Drawing module in the
    unit tests
  *  8ee773362e - Sketcher: Fix warning not all enum handled in switch
  *  073bf3215c - Sketcher: Constraints - add ability to generate
    constraint type string
  *  1f07083d4a - Merge pull request #6760 from
    Russ4262/fix/dressup_leadinout
  *  cd208c5477 - Part: Geometry - Add Ellipse minor radio convenience
    function
  *  6a06f60ee3 - Part: Geometry - function to get the conic axis
    direction
  *  7db925d991 - App: fix memory leaks in Enumeration class and
    simplify code
  *  d7313598aa - CMake: disable Drawing module by default
  *  02bc430fac - Draft: handle the absence of the Drawing module in the
    unit tests
  *  2b04b01edc - cppcoreguidelines-special-member-functions * disable
    move constructor and move assignment for several core classes
  *  6b6df27df8 - C++ core guidelines: * ES.87: Don’t add redundant ==
    or != to conditions
  *  45b9f2a7aa - Fix import error if camotics not installed.
  *  7de296b60e - cppcoreguidelines-pro-type-union-access   According to
    https://github.com/isocpp/CppCoreGuidelines/blob/master/CppCoreGuide
    lines.md#Ru-pun using union for type-punning is undefined behaviour.
    See also https://en.wikipedia.org/wiki/Type_punning#Use_of_union.
    Replace it with std::memcpy.
  *  14668197d1 - Base: Minor changes in some Python docstrings
  *  999f3b85ee - [PD] re-add accidentally removed code in commit
    93525ff7
  *  1b2f0063a1 - [PD] Hole initialization bugfix
  *  175d2cf2dd - [TD]remove build depend on DrawingWB
  *  4ec9c381d4 - Part: re-add dropped parameter (93525ff7eb2)
  *  0cd8fb12f3 - [Part] Fix display labelfillet name for Chamfer and
    Fillet (#7083)
  *  93525ff7eb - removed references to  OCC<7
  *  e9890c0798 - Gui/Mod: replace several reinterpret_cast with
    static_cast
  *  360b4282f7 - [PD] Hole dialog fixes
  *  1aa897d450 - Fem: remove some superfluous const_cast
  *  8573d9f8b2 - TD: fix possible dangling pointer in QGIHighlight
  *  5234d9bc67 - App: add pure virtual methods to PropertyGeometry to
    delegate it to the geometry of sub-classes Following the law of
    Demeter add some wrapper methods to PropertyGeometry and implement
    them in sub-classes. As a side-effect this makes some const_cast
    obsolete
  *  f87d9bd626 - Part: [skip ci] remove superfluous const_cast
  *  9894964eb6 - [TD]implement navigation styles
  *  e53e231677 - Gui: remove some superfluous const_cast
  *  c955372ecf - cppcoreguidelines-pro-type-union-access  According to
    https://github.com/isocpp/CppCoreGuidelines/blob/master/CppCoreGuide
    lines.md using union for type-punning is undefined behaviour.
    Replace it with std::memcpy
  *  393352387d - Merge pull request #7071 from Roy-043/Draft-Fix-
    Placement-in-make_sketch
  *  830b3944db - Merge pull request #7067 from Kuzma30/add_ts
  *  15e3e86c5a - [.github] next try to make bug reporting rule clear
  *  b12e7a8ad6 - [.github] make bug reporting rule clear
  *  ad8bb4dc69 - GeomBSplineCurve: Add interpolate without tangents
  *  620c273c4e - Boost version <=1.60 is never used in freecad 0.20
    (#7038)
  *  b308da5387 - [BUGFIX] Gui: fix mouse Gesture navigation mode
  *  00e7eae6f8 - [Sketcher] Use more segments while drawing splines
  *  ad0f1147f7 - Part: Use PyObject_IsTrue in combination with
    conditional ternary operator
  *  ea79771afd - Import: Use PyObject_IsTrue in combination with
    conditional ternary operator
  *  a91e32a6f4 - Mesh: Use PyObject_IsTrue in combination with
    conditional ternary operator
  *  37511553f7 - PartDesign: Use PyObject_IsTrue in combination with
    conditional ternary operator
  *  d298a7101c - Path: Use PyObject_IsTrue in combination with
    conditional ternary operator
  *  51f3727d3c - Sketcher: Use PyObject_IsTrue in combination with
    conditional ternary operator
  *  f78412c75b - Gui: Use PyObject_IsTrue in combination with
    conditional ternary operator
  *  ccfa6cd9e5 - Main: Use PyObject_IsTrue in combination with
    conditional ternary operator
  *  89803987a1 - Base: Use PyObject_IsTrue in combination with
    conditional ternary operator
  *  22763c9e4f - App: Use PyObject_IsTrue in combination with
    conditional ternary operator
  *  69932742d2 - Rename FindOpenCasCade.cmake to FindOCC.cmake
  *  4de0e8244e - Base: add Const attribute to many MatrixPy methods
  *  a527daa4b3 - Part: add Const attribute to several methods in
    TopoShapePy
  *  54a4e02514 - Merge pull request #7075 from
    sliptonic/bug/camoticsgui
  *  012fe8d9b6 - Missing camoticsgui file in the CMakelists.
  *  7de8a14b37 - Base: add Const attribute to MatrixPy::inverse()
  *  256c4cd086 - Draft: Fix Placement in make_sketch
  *  9e2ee47b01 - created clang-format
  *  82da0065c4 - Base: Add function to get Python object types for SWIG
    interfaces
  *  b7cc7261b8 - Stylesheets: fix typos [skip ci]
  *  cd32457b60 - Part: Add ShapeFix.hxx to precompiled header
  *  818a890512 - Merge pull request #7065 from
    sliptonic/feature/outputnaming
  *  86fc7298a1 - UI fixes
  *  40395a0a57 - Crowdin Add Material to updatets.py script and create
    new Material.ts
  *  166306469a - Add missing file.
  *  e678620cbd - Crowdin Update .ts files with current source.
  *  a83fc8acd1 - Crowdin Add no-sort option to lupdate.
  *  4b0c125d61 - Crowdin Add Inspection WB to updatets.py script
  *  5f4ea420b0 - Inspection Add more translation texts.
  *  b70d8d3781 - Part: expose ShapeFix_FixSmallSolid to Python
  *  4c2946c8a4 - Part: expose ShapeFix_FixSmallFace to Python
  *  6843a461e6 - Part: expose ShapeFix_Wireframe to Python
  *  bbecc3f296 - Part: expose ShapeFix_SplitTool to Python
  *  8c6ffc99e3 - Part: expose ShapeFix_WireVertex to Python
  *  1ee1aee10e - Part: expose ShapeFix_FreeBounds to Python
  *  125d5b6360 - Part: expose ShapeFix_ShapeTolerance to Python
  *  a0eb2e9de7 - Part: expose ShapeFix_FaceConnect to Python
  *  4b44c54cfa - Part: expose ShapeFix_SplitCommonVertex to Python
  *  4d4adb932b - Part: expose ShapeFix_EdgeConnect to Python
  *  74c75b86a0 - Part: workaround for missing include in OCC >= 7.5
  *  6cfd7d21e8 - Part: fix typos
  *  8d56879305 - Part: expose ShapeFix_Solid to Python
  *  4089cbfbf2 - Part: expose ShapeFix_Edge to Python
  *  ac421ffd0e - Part: add convenience function to convert Placement
    into TopLoc_Location
  *  87db9dccb5 - Part: expose ShapeFix_Shape to Python
  *  94f6279a67 - Part: expose  ShapeFix_Wire to Python
  *  da4b05fdcc - Part: expose  ShapeFix_Shell to Python
  *  b6cd635cc1 - Part: expose ShapeFix and ShapeFix_Face to Python
  *  f3e941a382 - Part: start to expose ShapeFix framework to Python
  *  6b2882e01f - Part: support of box selection in shape builder task
    panel
  *  8998c9847d - Points: fixes #5785: a python method to convert a
    Shape into a point cloud without extra dialog but parameter
  *  e7a9081097 - Mesh: replace boost::bind with std::bind
  *  b416c42d58 - Tools: add script to create snapshots in headless mode
  *  0d34449613 - Gui: expose SoQtOffscreenRenderer to Python
  *  0a4488462c - Mesh: reduce the use of const_cast in Mesh module
  *  9db32a3911 - Merge pull request #7056 from Kuzma30/toolbit_tr
  *  e1eeabc86c - Merge pull request #6637 from
    sliptonic/feature/camotics
  *  8dad6cf84d - Resolving bugs and rebasing for 0.21 merge
  *  35919e2a75 - Test: [skip ci] test for fixed Rotation::inverse()
  *  796d722072 - Path: fix warning: extra ';' inside a struct/class [-
    Wextra-semi]
  *  b310a3e503 - Base: Fix wrong function name in RotationPy
    documentation.
  *  0678946103 - [core] update version number
  *  4ccd24fe14 - [Crowdin] Add new texts for translation from Path
    ToolBit
  *  7b02f492fa - [Path] Add localization for PathToolBit

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 06 Jul 2022 19:59:01 +0000

freecad-daily (0.19.2+git29215-e9bb9afc3b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/FreeCAD/FreeCAD.git
  * Branch: master
  * Commit: e9bb9afc3bac7df63a6d3b4e5e1e6825efef8a26
  * Date: 1655657030
  * git changelog:
  *  e9bb9afc3b - [skip CI] [Path] fix typo
  *  68a499574a - [Sketch] remove unnecessary Boolean comparisons
  *  f4891488d3 - [Path] remove a unnecessary Boolean comparison
  *  dbea942dda - [Image] remove more unnecessary Boolean comparisons
  *  967c7fff65 - [Robot] remove unnecessary Boolean comparisons
  *  7c98361447 - [Meh] Core: remove unnecessary Boolean comparisons -
    part 2/2
  *  a922605821 - [Meh] Core: remove unnecessary Boolean comparisons -
    part 1
  *  1a346722f8 - [Meh] Gui: remove unnecessary Boolean comparisons
  *  4a052dc34a - [Path] cleanup formatting of Area.cpp/.h
  *  1adff3f917 - [Path] remove unnecessary Boolean comparisons
  *  b7097e4bd5 - [Image] remove unnecessary Boolean comparisons
  *  28698a41e3 - [Point] remove unnecessary Boolean comparisons
  *  db9aeefea1 - [Reverse Engineering] remove unnecessary Boolean
    comparisons
  *  60e419068b - fix Expressions assignment for FreeBSD
  *  f64916dc5e - Base: Set angle in Rotation::inverse function
  *  0a6d271121 - remove unused python<3.6 code
  *  a4a8acd445 - [TD] remove unnecessary Boolean comparisons
  *  bbcc8b2c5c - [Part] remove unnecessary Boolean comparisons
  *  063fd56f5f - [App] remove unnecessary Boolean comparisons
  *  6b09da9ab6 - [Base] remove unnecessary Boolean comparisons
  *  c23a30b916 - [Gui] remove unnecessary Boolean comparisons
  *  8e253cb4c8 - [FEM] fix a variable casting
  *  fb1a7af360 - [TD]fix ProjGroup view spacing
  *  4b47d38eb6 - [TD]fix dimension update on scale change
  *  81be38ea8d - [Gui] View.cfg: fix typo
  *  08d1e382e1 - [Gui] Add more general color settings to Preference
    Pack
  *  5b6ba058a7 - [Gui] Add more saving view data in Preference Pack
  *  7814faa6fd - Gui: Add saving view data in Preference Pack
  *  6c89e6dc73 - Spreadsheet: add tests for merging cells and binding
    cells
  *  453abff2fe - update screenshot in Readme
  *  a1a4b89ba8 - Update Readme to FreeCAD 0.20
  *  7e79686986 - Part: [skip ci] add tests for ruled surfaces
  *  e89ebba736 - plugin: do not exclude widget plugins from tarball
  *  79df90a45c - Mesh: fixes #7018: 3mf created with FreeCAD cannot be
    loaded with PrusaSlicer
  *  d8ca3093d0 - Update URL to HTTPS
  *  b85e9b1fe4 - Mesh: fixes #6902: Conda test errors
  *  ea7efbf96b - [Win installer] update information
  *  68e337670e - Fem: remove string from translation
  *  3158be46ad - Fem: added signals and slots to notify when first
    function is added
  *  02b66ca461 - [Win installer] refine deletion script
  *  74c2ad4bf0 - [FEM] point filter: use a LineEdit to output value
  *  522c91ce79 - [FEM] next try to proper revert
  *  e8d65c22d6 - Revert Fixing principal stress plots part 2
  *  166eee5eed - Fixing principal stress plots part 2
  *  3af54a7dda - Fixing principal stress plots part 1
  *  7fa294fd7a - Fem: for PointMarker and DataMarker use the internal
    name instead of label, in customEvent() do not expect a fix name
  *  7400b11870 - Fem: in FEM_PostFilterLinearizedStresses command do
    not use a hard-coded object name but that of the selected
    FemPostDataAlongLineFilter
  *  915371aa70 - Fem: do not use the Label property but the internal
    name  to access an FEM post object via Python
  *  7b225789da - Fem: do not access the active document but the
    document the FEM post object is part of
  *  c0cccf7f7e - Gui: add overloaded version of cmdAppDocument and
    cmdGuiDocument() that has a string as first parameter
  *  5219718eb0 - GUI: Preliminary support for HiDPI splashscreen
  *  4b1004b33a - Base: Improve docstrings in BoundBoxPy.xml
  *  9aa14b36a3 - Fem: use WeakPtrT classes instead of raw pointers to
    avoid possible dangling pointers and to avoid undefined behaviour if
    a wrong static_cast is performed
  *  876ef07480 - Gui: implement '*' operator for weak pointer classes
  *  9e68e5f290 - App: implement '*' operator for weak pointer classes
  *  27a36156f6 - Fem: improve TaskPostDataAtPoint: * refactor
    TaskPostDataAtPoint::on_Field_activated() * show results in a label
    instead of message box to reduce clicks * in output window also
    print field and position as the pure values are useless
  *  09f1b14cc9 - Fem: remove several superfluous casts
  *  e0487b62a6 - Gui: [skip ci] set Std_LinkMakeRelative as WhatsThis
    name
  *  741fdc53c7 - Base: unset flag to skip leading whitespaces when
    copying a file
  *  832f181ec0 - [Gui] make What's This? work for sublinks
  *  2a8f85d95c - [FEM] make post filter Ui std::unique_ptr
  *  227e568b4f - [FEM] cut and clip filter: handle new functions
  *  f0e735ed33 - [FEM] line filter resolution fix
  *  ebd1afc5d9 - [FEM] fix 2 crashes with line and scalar filter
  *  9065058265 - plugin: [skip ci] copy sizeHint handling to
    QuantitySpinBox implementation in QtDesigner plugin
  *  0a79760745 - Gui: set a minimum width for quantity spin boxes in
    FEM dialogs to ignore the results of (minimum)sizeHint()
  *  ac3390de12 - Gui: add function to determine size that a quantity
    spin box would need to display a certain text
  *  c2cfccf268 - Crowdin Add some menu text for translation.
  *  505de3215b - [GUI] fix screenshot watermark
  *  4f91499ada - [FEM] line filter, resolution tweak
  *  4813e30703 - [FEM] fix line filter resolution
  *  8bbf9b8347 - [Main] change URL
  *  3528c626e7 - [FEM] fix plots of line filter
  *  a06cc956c5 - [FEM] function dialogs size fix
  *  e2856395a3 - [FEM] remove hardcoding of spinbox sizes
  *  a3a97d7b5e - [FEM] fixes for line filter
  *  0c43dab796 - [FEM] function dialogs fix
  *  298fb8983d - [FEM] fix along line dialog
  *  75546946db - Spreadsheet: fix border rendering for merged cells
  *  4d19e611f8 - Spreadsheet: fix binding of merged cells
  *  47a5a6302e - Spreadsheet: replace obsolete href with hiddenref in
    binding
  *  7b0b83a2e4 - [FEM] fix crash with data point filter
  *  d81b016b2a - PD: several fixes of shape binder: * add action to
    context-menu to remove an element * use an exclusive button group to
    avoid to have several buttons pressed at the same time * allow to
    completely clear the support * when pressing OK/Cancel then operate
    on the document the shape binder is part of (which isn't necessarily
    the active document) * remove obsolete parameter from
    ViewProviderShapeBinder::highlightReferences()
  *  5a432fe9ac - PD: allow to clear the shape when nullifying the
    Support property
  *  e6a6d838a6 - Spreadsheet: fix range selection
  *  f3a8edcb5e - Merge pull request #7004 from Roy-043/Arch-
    ArchSectionPlane-always-showed-plan-symbols-of-windows
  *  baa1105a53 - Merged crowdin translations
  *  6c1c63cffe - [FEM] point filter: fix data display for coordinate
    change
  *  9ef72fcd06 - [FEM] fix color bar handling of point filter
  *  7521cfc7a0 - [FEM] fix point filter output
  *  6d23205704 - [FEM] fix display of point filter
  *  30706f4d0f - PD: allow to set object in shape binder dialog by
    typing its name
  *  6a877f7e29 - [FEM] point filter: fix initialization issue
  *  007a5b351a - PD: use WeakPtr to avoid any possible dangling
    pointers
  *  9010b88b22 - Fix for non-Latin Group name in Tree View
  *  a106f55ebe - PD: show object label instead of internal name in
    shape binder dialog
  *  b8434f2ddc - Test: [skip ci] extend test for issue #6949
  *  6e587d130d - Expression: add unit test for issue #6948
  *  38ec63cba1 - [Bugfix] Expression: fix precedence+associativity
    management in parenthesis removal
  *  fbb5555f27 - Part: do not expect a face to be infinite if meshing
    it has failed See
    https://forum.freecadweb.org/viewtopic.php?p=601240#p601240
  *  9b5aabe458 - [FEM] fix unit handling of filter functions
  *  9dc93b8f99 - [skip CI] [FEM] sort UI file
  *  c8337118ba - [skip CI] [FEM] whitespace and comments to keep
    overview
  *  d13ecc1efa - [Path] fix compilation with precompiled headers
  *  1b65b3f600 - [TD]fix icons for dark schemes
  *  f89f032231 - Arch: ArchSectionPlane always showed plan symbols of
    windows
  *  083a27dc68 - Merge pull request #6886 from younghang/master
  *  d4c180e953 - [FEM] fix unit handling of line filter
  *  fdaca02994 - [skip CI] [FEM] fix initialization mistake
  *  4c3c23776d - [FEM] fix illegal storage access in point filter
  *  19ffd1ca94 - Merged crowdin translations
  *  fa9c78611e - Updated ts files
  *  825d95314e - [FEM] fix unit handling of point result filter
  *  10c6d6eabf - [skip CI] [PD] fix typo
  *  b54b3e6e32 - Addon Manager: Fix bug in macro git repo
  *  6bb6bb4d24 - [FEM] fix unit settings of data point filter
  *  8fb5ce3c43 - [FEM] allow to copy and edit result data
  *  43a14ab4df - [FEM] fix result point filter upon line filter
  *  dd00c46a8c - [FEM] fix issue that all plot windows had the same
    name
  *  10edc03ec1 - App: Clean up code in PropertyContainerPyImp.cpp
  *  53e02bc851 - App: Improve docstrings in PropertyContainerPy.xml
  *  d17954276c - [FEM] fix detached plot (#6998)
  *  c4fec57368 - [FEM] fix linear filter plot (#6999)
  *  d8bf4dfeb9 - App: Improve docstrings in MetadataPy.xml and fix
    memory leak
  *  7225e5f0ba - App: issue #6892: FreeCAD fails to start
  *  68e8c19aaf - Merged crowdin translations
  *  8d5a957eb0 - Gui: use expresion 'keyboard shortcut' to avoid
    incorrect translation
  *  e5fb5a6f27 - Mesh: [skip ci] improve German translation
  *  ecb1b3c3cc - ReverseEngineering: [skip ci] improve German
    translation
  *  9a4ab21f2b - FEM: improve German translation
  *  9d7b7af48c - Spreadsheet: fix range checking (#6997)
  *  28c269cc5f - Gui: improve German translation
  *  0f9ea612b6 - [Spreadsheet] uniform and polish wording of binding
    feature
  *  4148a33d15 - Gui: Improve docstrings in AxisOriginPy.xml
  *  d7d22b1e7e - App: Improve docstrings in GeoFeaturePy.xml
  *  5864e17d9d - Spreadsheet: improve range binding feature (#6995)
  *  920e8e0469 - [FEM] Implement a better dialog layout management for
    histogram (#6989)
  *  c9cffae11d - Sketcher: Tweak pluralization of DoF
  *  c143d91978 - Merge pull request #6991 from 0penBrain/draftGrid
  *  f401cbe832 - Part: in BRepOffsetAPI_MakeOffsetFix::MakeWire also
    consider the generated edges of the vertexes of the input shape
  *  2e4dcfc22a - Generated ts files
  *  b06f247f9f - Merged crowdin translations
  *  e05e9a7247 - Draft: fix grid spacing default initialization
  *  5792c502bf - [TD] further dialog refinements to fix vertical
    spacing
  *  ef1a835f4f - [TD] fix dialog height settings
  *  18eb44d120 - [TD] fix dialog height setting
  *  d0323e13c1 - [TD]add missing vertical spacer to ui
  *  f31544dca8 - [TD]missing vertical spacer in ui
  *  f256e3caf4 - [Gui] attempt to improve NaviCube rendering
  *  0c6c3e5211 - Base: Improve docstrings in PersistencePy.xml
  *  9570d88a39 - FEM: Enable translation of plot labels
  *  6449e1bcf7 - FEM: Enable translation of axis label
  *  47bb1408da - GUI: Add Vtk info to copied About data
  *  77627bbc23 - Gui: add SoColorBarLabel as workaround for a Coin3D
    bug
  *  b9b21ddac5 - Merged crowdin translations
  *  242083bbf7 - Merge pull request #6984 from Kuzma30/update_ts
  *  eff8ecaafc - Crowdin Run update.ts with latest source code.
  *  80bdc3f960 - Gui: don't use cached value of color bar width if
    ratio of the canvas is less than 1.0
  *  b4489422a5 - [TD]abort dimensioning of spline edge
  *  8349a78dde - [TD]fix icon in dialog
  *  fd47f2253a - Draft: Fix menu text for Select Plane
  *  3cccd4d69e - Gui: cache color bar width to avoid to compute it for
    every resize of the canvas
  *  721f253c59 - Crowdin Update TechDraw.ts
  *  29cc754cfd - [TD] Add ability to translate for some tooltip text.
    Fix incorrect use of tr(variable).
  *  af811b34b3 - Addon Manager: Additional diagnostics for Macro
    updates
  *  07422d2abe - Merge pull request #6978 from sliptonic/bug/ghostpath
  *  6462cdf231 - zero out Job.Path property if it exists
  *  9156d591c9 - [FEM] fix subsequent histogram plot call
  *  4223e5d84d - [skip CI] [Spreadsheet] change misleading word in
    dialog
  *  7955c0dfac - [Spreadsheet] dialog fixes
  *  681d961254 - [TD]fix updating of shared view
  *  332cb9ec2f - [FEM] fix wrong error message about comments
  *  34300c600f - [FEM] add missing parser handling of '^' character
    (#6966)
  *  f7c64c7322 - Crowdin Update Fem.ts
  *  7e638a624e - [FEM] add missing tooltip
  *  b5b5375fe4 - [FEM] result dialog: handle max shear stress
  *  23d65cc9f2 - Merge branch 'master' of github.com:FreeCAD/FreeCAD
  *  75a8998432 - [FEM] fix button text
  *  6e97e9570c - [Sketcher] Add missing newline
  *  27e3f3c153 - Crowdin Update .ts after fixing script.
  *  a42e1b0223 - Crowdin Add full Part directory back to search path.
  *  176cf0d144 -  Part: Reformat JoinDeatures by Black, delete some
    comments. Reformat commented code too.
  *  4d7e550d97 - [FEM] fix results dialog equation input
  *  3fe354718c - [FEM] describe the tress variables
  *  8567ef1849 - [skip CI] [FEM] change strings to be consistent with
    the dialog
  *  67c506d39e - Base: Improve docstrings in VectorPy.xml
  *  9c8b21f5f4 - Web: update browser commands after loading page
  *  f37574e809 - Base: raise TypeError if Vector is multiplied with
    unsupported type
  *  0d6b5b7f30 - Base: use const char*
  *  f7f85464a3 - Base: include header in PCH
  *  31047be9fb - Base: improve initialization according to cpp core
    guidelines
  *  ca9355b5cb - Base: remove redundant void
  *  fc7f3f4e3d - Base: avoid const_cast in FileInfo
  *  704feadc7c - [skip CI] [FEM] fix typos
  *  e41879c6ea - [FEM] don't block FC by histogram plot window
  *  2b0dd54fe7 - [TD]fix preference file handling
  *  d73f9e3762 - FEM: Add translation calls to
    task_result_mechanical.py
  *  134fa8b7ea - [FEM] use proper histogram titles
  *  e8f1bde367 - Merged crowdin translations
  *  2d32de3cd2 - FEM: Tweak translatability of PEEQ
  *  56d289997c - [TD]fix Dimension/Balloon movement
  *  4dab407fbe - Tools: Manually search for translatable files
  *  34502193a2 - i18n: Update TS files to ensure Python files are
    included
  *  d540de8bee - i18n: TS files generated by lupdate 6.4.0dev
  *  acfbc72f50 - Tools: Fix issues with updatets.py
  *  3c1e446c2f - Addon Manager: Don't translate placeholder text
  *  2d5400f923 - Sketcher: Fix typo in tooltip
  *  be16e1f52b - Sketcher: Tweak tooltip language
  *  be8a4037db - FEM: Fix typo
  *  977127012e - [TD]fix misleading error messages
  *  89432a969d - TD: Set symbols to be non-translatable
  *  7b204c01db - Gui: Fix typo
  *  ee4f4e8cb7 - Base: Improve docstrings in CoordinateSystemPy.xml
  *  297e3520ec - Base: Improve docstrings in TypePy.xml
  *  8891394d5a - [TD]fix Rotation not applied
  *  d223d4362c - [TD]fix double draw on position change
  *  213bf1ec61 - Tools: Add Windows and Qt6 support to updatets.py
  *  d860c4bb2d - PD: Fix w[z] plot in ShaftWizard
  *  a0c0b2616c - Fix various typos
  *  07e38636b9 - Addon Manager: Fix bug with updates being counted
    wrong
  *  a4b2bf584d - Gui: Fix display of tooltips for GroupCommand
  *  477eed10a4 - [TD] Fix incorrect using  of QT_TRANSLATE_NOOP in
    setText
  *  9946a3916e - [FEM] TaskPostDataAtPoint: add missing support for
    electrostatics
  *  a67701b85b - Crowdin Add missing menu text for translation
  *  2de25dd04e - [PD] fix Shaft wizard
  *  3f04bf7b4d - [TD] Add text to translate This will fix
    https://github.com/FreeCAD/FreeCAD-translations/issues/47
  *  8c123bad50 - App: add default macro directory to sys.path
  *  eda43a2ef9 - [Win installer] register all FC-specific file types
  *  81d6401455 - [Win installer] update website
  *  5542bc9970 - Addon Manager: Remove unnecessary translations
  *  3dfb51d3ee - Addon Manager: Expose pref page name to translate
  *  79a5cde3b5 - Base: Fix bad parse argument in AxisPyImp.cpp
  *  33556d8a56 - Part: Change _translate to translate
  *  b8952aaeb8 - Image: Change _translate to translate
  *  819cfd7a11 - [TD] Fix problem with translation (add TechDraw_ to
    context) This will fix https://github.com/FreeCAD/FreeCAD-
    translations/issues 145-147
  *  d447d75882 - Merged crowdin translations
  *  d920a5bf4d - [Mesh] Add ability to translate This fix
    https://github.com/FreeCAD/FreeCAD-translations/issues/53
  *  35c872d4f2 - Base: Improve docstrings in MatrixPy.xml
  *  98cb5d50af - Base: Fix undefined behaviour in row/col functions and
    code clean up
  *  62f65e12e2 - Part: Change contex from AttachmentEditor to
    Part_EditAttachment Add menu text Create a copy to translation This
    may fix https://github.com/FreeCAD/FreeCAD-translations/issues/64
  *  f7b9a70ee5 - Addon Manager: Build in error-checking in developer
    mode
  *  03f3852617 - List all available test units, if none is selected.
  *  537acfdddd - [Gui] code documentation of color bar
  *  307cb3cda8 - Gui: Check for Snap and add details to About
  *  0b574523e9 - [TD] Fix redefine text in .ui (that has translation on
    crowdin) with English text without translation ability. This will
    fix https://github.com/FreeCAD/FreeCAD-translations/issues/50
  *  8edb3e64cc - Part: make DimensionLinear node kit unpickable See
    forum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=69056
  *  e13e3bcea3 - Merge pull request #6899 from 0penBrain/draftGrid
  *  c2e34be393 - Part: Fix Chamfer parameter and Fillet parameter
    title. Also rename variable to more informative in .ui. This will
    resolve issues https://github.com/FreeCAD/FreeCAD-
    translations/issues/74
  *  c5296fbb92 - Gui: initialize _bbox with correct default values and
    fix incorrect label postions if ratio of width/height is less than 1
  *  1723196166 - Gui: fix shrinking and shifting of color bar if ratio
    of width/height is smaller than one
  *  37d2492719 - Gui: refactor SoFCColorGradient::setViewportSize and
    SoFCColorLegend::setViewportSize
  *  47125d8fda - Arch: Fixed position of rectangles in IFC export
  *  d3d96816ce - Merged crowdin translations
  *  7907b0f8b3 - [Gui] describe gradient code better
  *  c4cd127499 - Gui: fix number display issue of color bar
  *  919271ed5e - Gui: fix visibility of front nodes when moving an
    object to Part container
  *  79c218ad9a - [Gui] fix default color gradient numbering
  *  7b79c9697c - [TD]prevent spurious recompute on click/drag
  *  30f8015e71 - Part: expose ChFi2d_ChamferAPI to Python
  *  f94ab3ec84 - Part: expose ChFi2d_AnaFilletAlgo to Python
  *  b47f8d2605 - Part: move ChFi2d wrappers to own sub-directory
  *  8e1a23eadf - Base: Improve docstrings in RotationPy.xml
  *  391c9a6bbf - buttonClicked(int id) is deprecated since Qt 5.15. Use
    idClicked(int id) instead.
  *  bf6dbd4606 - Gui: react on picked point when double or right-
    clicking color bar
  *  8676d67a87 - merged crowdin translations
  *  a80d9e5ef8 - Fem: [skip ci] fix deleting Result object if its
    children has been deleted beforehand
  *  b07be87677 - Part: expose ChFi2d_FilletAPI to Python and move to
    ChFi2d module
  *  bd853e5ef2 - Part: expose ChFi2d_FilletAlgo to Python
  *  4c2972cb23 - AddonManager: Work around thread-safety issue in
    update
  *  975b8eac52 - [skip CI] add missing line ending
  *  836c6b889a - add description on how to build installer from self-
    compiled FC
  *  b02705d79f - Part: apply OCC's fix for ElSLib::ConeDN and write a
    unit test
  *  1e034cc47f - Merged crowdin translations
  *  914de33bf2 - Base: Improve docstrings in PlacementPy.xml
  *  ee6f0d0ba9 - Part: fix ruled surface transformation problem
  *  26e4a3345b - Part: Link support -- replace TopoShape.getSubShape()
    with Part::Feature::getTopoShape(obj, elementname, true).getShape()
    in order to support use of App::Link sublinks.
  *  0791001787 - Base: Improve docstrings in AxisPy.xml
  *  45a0e6eb20 - Mesh: [skip ci] add 3mf format to export dialog
  *  9251480ddb - PartDesign: Remove redundant comparision with null
    pointer
  *  4474db7f50 - Draft: force length unit in grid spacing in
    SelectPlane
  *  ccdbf99341 - Draft: fix issues with grid spacing parameter
  *  d492ac3083 - PD: fixes #6451: Face color of PartDesign Body not
    exported to STEP
  *  a05eb7c07b - Gui: [skip ci] avoid possible recursive loading of a
    module in WorkbenchManager::createWorkbench
  *  1383b47659 - Test: [skip ci] add unit tests for PR #6907
  *  c00699b15d - Gui: Prevent crash when trying to delete pointer to
    BaseClass
  *  e76e4acb0f - Base: Prevent crash when trying to create badType
    instance
  *  a865e4f834 - Enabled github sponsors
  *  daf2df6f80 - [CMake] remove traces of assembly module
  *  a4480b4ba7 - plugin: improve support on Windows
  *  b903e949ae - Update .ts with lupdate ver 6.4.0.
  *  bfecd1359b - [TD]fix checkFit to use current scale
  *  e1f2685734 - PD: Typo fix
  *  469c36e3cc - Mod: handle removed headers in PCH files for OCC 7.6
  *  f5cf112f48 - Spreadsheet: fix possible crash in SheetModel::setData
    See also: https://forum.freecadweb.org/viewtopic.php?f=8&t=68529

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 19 Jun 2022 16:55:36 +0000

freecad-daily (0.19.2+git28915-7d6243d696-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/FreeCAD/FreeCAD.git
  * Branch: master
  * Commit: 7d6243d6961f5c7616b2bcbc844f9abc47eeff9b
  * Date: 1653037387
  * git changelog:
  *  7d6243d696 - Mesh: [skip ci] change icon Mesh_EvaluateFacet.svg
  *  650210e2db - [Readme] Update build status badges
  *  f16f617dc8 - Mesh: [skip ci] add missing icon Mesh_Pipette.svg
  *  dabd109586 - OpenSCAD: Fix typo in prototype
  *  c669c4e618 - Merge pull request #6904 from Roy-043/Draft-Fix-grid-
    update-issue
  *  6beef68ae1 - Fixed bugs and added requests
  *  afe78105ec - Add files via upload
  *  0b12cba3b5 - Draft: Fix grid update issue
  *  354c4e9635 - Merge pull request #6887 from sliptonic/bug/6826
  *  ca279e4057 - Gui: avoid that toolbars of active workbench become
    invisible Forum thread:
    https://forum.freecadweb.org/viewtopic.php?f=8&t=67748
  *  2ecb11985e - App: simplify code in Application::getResourceDir()
    and Application::getHelpDir()
  *  f3fd1d2035 - App: inside Application::getLibraryDir() check if an
    absolute path name is set for LIBRARYDIR
  *  10888e7aad - [TD]fix handling of translated enumeration
  *  a5ff515804 - Mesh: issue #6131: Colors set prior to saving aren't
    retained when re-opening file Note: A mesh feature must have a
    PropertyColorList property with the name FaceColors or VertexColors.
    The colors won't be set when loading a project but in the context-
    menu there is the function 'Display colors'
  *  2e7a7e70b0 - Mesh: [skip ci] use const-reference when iterating
    over list
  *  eca8c9dbe2 - Mesh: improve OBJ import by allowing arbitrary names
    for the mtllib file
  *  f1025b1448 - Mesh: replace several reinterpret_cast with
    static_cast
  *  559a3f84dc - Merge pull request #6896 from FreeCAD/mesh-initpy
  *  bb028c7989 - Mesh: modernize MeshIO classes
  *  354bfb5c5b - Mesh: implemented recommended move constructor and
    move assignment for Point3d
  *  3fbc9992e8 - Mesh: avoid problematic const_cast
  *  74ead2c6ff - Mod: whitespace fixes
  *  216ed31d8a - Points: fix round-off errors in pcd export
  *  61bc913fe5 - Test: [skip ci] test matrix element order
  *  d0f98bf45c - Conda: ssize_t is a POSIX type and thus not
    necessarily defined on Windows. Currently this causes build failures
    with Conda + Py3.10. The solution is to get rid off all occurrences
    of ssize_t in FreeCAD code
  *  06515cd340 - Draft: Prevented error when grid size is zero - issue
    #5427
  *  27277e29c6 - Draft: Fixed qt connect style - fixes #6879
  *  a564d5ced7 - Import: fixes #5793: DXF export (Autodesk DXF 2D type)
    doesn't add any UNITS field inside the dxf file
  *  6e86375e8f - [TestWB] fix source comment typo in
  *  feec67e90f - Mesh: fix pep8 related issues in Init.py
  *  cd53c06b98 - Draft: fix SVG rotation around non-origin center
  *  9adf4c4e33 - fixes 6826.  Simplifies logic for calculating helix
    stepovers
  *  a8411881c9 - Gui: use Py_ssize_t instead of ssize_t in
    AbstractSplitViewPy::sequence_item
  *  52b1d11e59 - Gui: Fix crash when invoke command with sMenuText
    equal to nullptr
  *  1654dddb73 - Gui: Improve docstrings in CommandPy.xml
  *  00fea5057c - Test: [skip ci] unit test for Commands related to PR
    #6889
  *  a175ae63b3 - Arch: fixed window for good this time
  *  cca62bd8b5 - Test: unit test for sub-objects related to PR #6888
  *  65889b6c80 - App: Fix Origin::extensionGetSubObject()
  *  73d28acd87 - Arch: Fixed mistake in last commit
  *  57fcdd8182 - Sketch: fixes #6890: Problem with Grid size preference
  *  3ec140fac7 - Arch: Fixed default component type for new windows
  *  aa19e21662 - Update the qrc file list to the latest QT file import
    (QT5 files update for Polish language)
  *  1c5e387035 - Win installer: prepare for a beta build
  *  10fa08e879 - update to Windows SDK 10.0.19041.0
  *  4ae98779c1 - Test: unit test for sub-objects related to PR #6838
  *  eb6adf17fa - App: fix DocumentObjectPy::getSubObject: * do not set
    pyMat to Py_None by default but nullptr and do type check in
    PyArg_ParseTupleAndKeywords * if refType is out of range raise a
    ValueError instead of TypeError * replace (undocumented) magic
    numbers with an enum class * implement a lambda function to avoid
    code duplication * fix bug for retType=3 or retType=4 if subname is
    a list of strings
  *  6340dcdd63 - App: fix Origin getSubObject()
  *  a2e99d9196 - add Qt5 translation files
  *  3e56f88404 - [TD]mark literals for translation
  *  00c8916341 - [TD]Fix group item moving when locked
  *  b96a650dec - Merge pull request #6703 from
    Russ4262/fix/extensions_size_update
  *  4fea37b3bc - Part: std::unique_ptr is provided by the memory header
  *  5f0ad3864d - Part: reorder headers in PreCompiled.h
  *  cbc0bfc24d - Base: cosmetic changes
  *  354052e8f5 - [Gui] Navigation preferences: fix #6875
  *  f60e20ef98 - [skip CI] [Gui] NaviCube.cpp revert a change
  *  84feca0521 - [skip CI] [Gui] NaviCube.cpp code cleanup
  *  f70329390c - [Gui] NaviCube: fix #6689
  *  ef37abc441 - [TD]fix dimension special characters
  *  23a1f08624 - [TD]add blank space for legibility
  *  b39c6f62b4 - Base: replace several reinterpret_cast
  *  e0116c271a - Merge pull request #6874 from JanneKro/master
  *  349c6be995 - #6871 Use the variable 'cam_file' instead of trying to
    read an non-existing document.
  *  b4cb34c4d3 - Merge pull request #6872 from JanneKro/master
  *  acb1e2047a - Merge pull request #6868 from fra589/master
  *  5b6b5f0578 - Merge branch 'master' into master
  *  55f1222bc2 - Remove '<post_processor_name> gcode postprocessor
    loaded.' message from the post-processors that have them.
  *  0f7cb192d5 - Do not read filename of document when it isn't open.
  *  f0f0124f76 - [TD]allow more room for section name
  *  bb2590e2bd - [TD]use PyArg_ParseTuple type check
  *  584af812ad - [TD]fix extra undo on TaskCenterLine cancel
  *  e1b00be15c - T, H and S GCode parameters are integers, not float
    numbers.
  *  936b51bbc9 - Merge pull request #6867 from
    oliveroxtoby/bugfix/remove-extraneous-bracket-from-kinematic-
    viscosity
  *  8c984359dd - Part: LGTM: Multiplication result may overflow 'int'
    before it is converted to 'unsigned int'.
  *  105b63bf5e - Base: Remove extraneous bracket from string
    representation of kinematic viscosity units in MKS schema
  *  132fdeade5 - FEM: [Crowdin] fix typo in ElectrostaticPotential.ui
    tooltip
  *  1ca00446af - Part: [skip ci] unit tests for PR #6850
  *  0900c4e3d3 - Gui: Improve docstrings in ViewProviderPy.xml
  *  fd31cdcd10 - Gui: Clean up code in ViewProviderPyImp.cpp
  *  ef00864607 - Gui: set Document as modified when changing one of its
    properties
  *  cd3ba642df - PD: [skip ci] remove extra semicolon [-Wextra-semi]
  *  79f8798011 - Base: fixes #6802: Raise an exception when using
    FileInfo::toStdWString() for other platforms than Windows
  *  bd2c7dc651 - Merge pull request #6798 from 0penBrain/draftWPTB
  *  1fbff0a616 - App: fix regression in Expression::getDepObjects Avoid
    to add labels muliple times as reported here:
    https://forum.freecadweb.org/viewtopic.php?p=593994#p593994
  *  9d3040cc60 - Spreadsheet: PR #6843: add missing unit test
  *  ef2db349f8 - Spreadsheet: fix cell clearing
  *  44540a4d82 - Mesh: Add missing toolbar translation strings
  *  feb0f27f8d - [PartDesign] Add Q_DECLARE_TR_FUNCTIONS() macro
  *  c3bbb9a135 - [PartDesign] Fix and expose ViewProvider strings to
    translation
  *  a9d0d71b06 - App: implement DocumentP::clearDocument() to reduce
    code duplication
  *  c1c06f4ccb - Spreadsheet: [skip ci] issue #6840/#6844: add unit
    test
  *  24b6f06015 - App: fix crash on removing dynamic property
  *  1d0e2f243a - Fix mixed line ending
  *  971743a2e9 - Gui: fix build failure with Qt 5.9
  *  c579021d95 - Merge pull request #6851 from Kuzma30/final_120
  *  ee3038d32f - Spreadsheet: [skip ci] issue #6844: add unit test
  *  ddf020e107 - App: fixes #6844: Crash in
    PropertyXLinkContainer::updateDeps
  *  086d86ee11 - Crowdin: fix whitespace and typo in translation string
  *  ccad0fac90 - [TD]add Python QGraphicsObject to Page
  *  ad64c57acd - [Gui]add support for QGraphicsObject to PythonWrapper
  *  e56d7d0935 - Final fix of Path - message during startup  (#43)
  *  30b0efe025 - Gui: fix crash on deletion if Undo/Redo is disabled
  *  03c5661690 - Path: Relocate  signal translation to QSB class
  *  477c912ad0 - Path: Fix delayed extension length updates

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 20 May 2022 19:25:28 +0000

freecad-daily (0.19.2+git28809-c960622b3d-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/FreeCAD/FreeCAD.git
  * Branch: master
  * Commit: c960622b3d67c635534603c6c1453df1ec8b9e02
  * Date: 1651862048
  * git changelog:
  *  c960622b3d - App: fixes #6840: Crash in
    ObjectIdentifier::resolveProperty
  *  d926331e57 - Spreadsheet: fix extra row or column when printing
  *  6d6af2dd3b - Spreadsheet: add new API
    PropertySheet::getNonEmptyCells()
  *  3bea43a228 - App: cannot assign a null pointer to a std::string
    Depending on the compiler an exception is raised or a crash occurs
  *  54edb231bb - LGTM: Remove unnecessary deletion of local variables
  *  25bbc31848 - [Partdesign] Fix proposed by @0penBrain (#32)
  *  07f4267112 - [PartDesign] Add individual QString for menu text
    which exposes text to translation
  *  3e7ad90b7b - [Part] Part Measure Linear (tool) fix translation for
    Selection xx button.
  *  b107498d49 - Use python3 to run MakeMacBundleRelocatable.py (#6784)
  *  8433a78807 - Gui: fix crash on setup Link CopyOnChange objects
  *  15e1556f97 - App: handle exception on change Link CopyOnChange
  *  b97e141e01 - Merge pull request #6796 from
    Russ4262/fix/3d_surface_opt_step_trans
  *  0680ad5558 - Merged crowdin translations
  *  ab5a6d83a1 - Updated ts files
  *  c051711578 - Tools: Favor the use of pylupdate5 over pyside2-
    lupdate in translation scripts (pyside2-lupdate doesn't encode
    properly).
  *  72e91dbbca - Draft: Fix Draft_WorkingPlaneProxy ignores Auto
    Working Plane
  *  dc53e6dce1 - App: fix restoring the attributes of a dynamic
    property For more details see:
    https://forum.freecadweb.org/viewtopic.php?p=591465#p591465
  *  eebdaadb94 - App: handle 'NoPersists' property type in
    PropertyContainerPy::getTypeOfProperty
  *  b160d9b7e0 - Test: [skip ci] add unit tests for Prop_None and
    Prop_Output
  *  95123b3399 - App: expose PropertyType enum to Python
  *  583916a2e5 - Merge pull request #6820 from 0penBrain/startPage
  *  ccc8ac65c5 - [TD]fix X,Y change propagation
  *  afebe07514 - Part: optimize hasShapesInSelection() by avoiding
    performing a possibly expensive transformation See also:
    https://forum.freecadweb.org/viewtopic.php?p=592445#p592445
  *  ea5f3eb68e - Merge pull request #6813 from Russ4262/fix/rrf_post
  *  6ab0ba073d - [Bugfix] Prevent start page loading to fail if WB
    doesn't define an icon
  *  e8c8c335d4 - Merge pull request #6814 from Roy-043/Draft-fix-2-
    gui_groups-translation-issues
  *  2a559df2cd - Gui: [skip ci] a couple of IDEs or editors struggle
    with the degree symbol in the comment, replace it with 'deg'
  *  254a1c5645 - Gui: issue #6306 was fixed with be2ddb37a6ff6d but
    this doesn't work on high DPI monitors. This commit fixes that now
  *  21d0e10367 - Mesh: fix grammatical issue in console message string
  *  fb60c863ba - [COPR] Remove CONTRIBUTORS file
  *  40083d2b85 - [FEM] Expand Add/Remove buttons in constraint tasks
  *  868b5f1a1c - Draft: fix 2 gui_groups.py translation issues
  *  a27836d82d - Path: Exclude dumper and example posts
  *  62851568fa - Path: Add missing post-processor modules
  *  d2253c7be4 - Part: in TopoShape::transformGeometry convert OCC
    exception into Base exception The conversion is needed because
    TopoShape::transformGeometry reimplements
    ComplexGeoData::transformGeometry and is called in the core system
  *  b22424ee9b - Part: handle exception of makeGTransform in
    _makeTransform
  *  cb7d7d27a2 - Part: adjust TopoShape::transformGShape() to reduce
    code duplication of TopoShape::makeGTransform Revert changes of
    a96d356afbdc4d as otherwise there is no way to handle a failure in
    client code
  *  cd65de7e44 - Base: fix conversion from Placement to Matrix See
    also: https://forum.freecadweb.org/viewtopic.php?f=3&t=61000
  *  a222bc6782 - Draft: Fix Draft_Snap_Intersection for self-
    intersecting objects
  *  5ed2850a03 - FEM: work around a crash with vtk9 on export of a
    vtkUnstructuredGrid
  *  8427d446e0 - Base: fix a possible naming clash with 'timezone' with
    Py3.6 on Windows
  *  126d205cf4 - Tools: [skip ci] fix linking error of plugin with MSVC
  *  0d0bd1168b - Mesh: handle exceptions when running FreeCAD in
    headless mode
  *  a96d356afb - Part: handle OCC exception inside
    TopoShape::makeGTransform For more details about the problems an
    unhandled exception will cause see:
    https://forum.freecadweb.org/viewtopic.php?f=3&t=61000
  *  4f9eb9ebce - Gui: Compile CONTRIBUTORS into Qt resources
  *  f8f3ba7a04 - Gui: Fix Stereo view disabling
  *  cb1093ef30 - Git: Add line ending fix to blame ignore revs file
  *  3ef438eaf0 - Fix mixed line endings
  *  2753dd4ca7 - Merge pull request #6795 from LarryWoestman/master
  *  1ba78b7e72 - Part: Use regex to match names in
    ViewProviderPartExt::getDetail
  *  e634921a4c - Addon Manager: Fetch allowed py packages from Github
    repo
  *  5321edca3c - Path: Fixes #6775 - Check for end of range
  *  68d9afa58e - Added a missing continue.
  *  53cc222255 - Merge pull request #6789 from
    Russ4262/fix/initgui_translation
  *  f65b924ed4 - Path: Update translated message syntax
  *  3f89b656e4 - Test: [skip ci] add missing unit test for PR #6787:
    fix property conflict in App::Link restore
  *  fe5ac277a0 - App: fix property conflict in App::Link restore
  *  fb85a2c93b - Draft: Restore DontUseNativeDialog after ShapeString
    edit
  *  d36cbb522a - [TD]fix ExtendShorten handling of CenterLine
  *  abd8e3a46e - [TD]fix ExtendLine changes CenterLine
  *  a59dac1675 - [PD] Do both fuse and cut in  if applicable
  *  22fe0d62fd - Part: Add functions to replace indentical code
    structure in TopoShapePyImp.cpp
  *  817063290a - Part: Clean up code in TopoShapePyImp.cpp
  *  5ec19fc5a1 - Reduce debug log output
  *  30faedfce2 - [TD]fix GeomHatch change file name

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 May 2022 22:37:15 +0000

freecad-daily (0.19.2+git28744-f8ae185c15-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/FreeCAD/FreeCAD.git
  * Branch: master
  * Commit: f8ae185c15480b1b6cc4209d33a8e726d3a7ba80
  * Date: 1650648536
  * git changelog:
  *  f8ae185c15 - Spreadsheet: improve efficiency when pasting many
    cells
  *  bc1f5498a9 - Spreadsheet: do not copy empty cell
  *  070bdf5b4c - Spreadsheet: do not create string property for empty
    cell
  *  cac8454bd4 - [COPR] remove q files
  *  a91f5e7352 - Gui: do not reset tab size to 4 when creating new text
    editor
  *  20f4195039 - Arch: Fixed duplicate UIDs in IFC export
  *  ea5e9538da - Tools: Fix translation extraction bug
  *  a4a0d11eca - Merged crowdin translations
  *  0045c8facd - Merge branch 'master' of github.com:FreeCAD/FreeCAD
  *  080f421448 - Merge pull request #6749 from marioalexis84/draft-
    set_wp
  *  43615c5177 - Merge pull request #6777 from Roy-043/Draft-Fix-Angle-
    Lock
  *  eae87882cb - Updated ts files
  *  7cf1d7b582 - Draft: Fix Angle Lock
  *  4358a9ba70 - [PD] Delete Overlap property for
  *  e62496b636 - Draft: Fix orientWP method used by in Draft_Line
    command
  *  a93997df64 - Gui: issue #6765: Overlay Icons for Std Link nearly
    invisible small
  *  0cf9a778a5 - Gui: add link icons
  *  46cf94e20f - Gui: fixes issue #6766: Navigation Cube -> Isometric
    View does not work
  *  1a7b2279b7 - PD: [skip ci] fixes #6762: Involute gear tool
    duplicated in the menu
  *  922ce46506 - Gui: add convenience functions to SelectionFilterGate
  *  68cf734415 - Part: [skip ci] unit tests for PR #6732
  *  be2ddb37a6 - Gui: fixes #6306: UI Rotation box can be dragged out
    of view
  *  65013e85d8 - Merge pull request #6726 from
    sliptonic/bug/2TCspinspeed
  *  6bc65bdd99 - Mod: issue #6274: Source code installation failed
  *  139370a20f - Sketcher: fix crash after having created a new B-
    Spline The crash might be related to issue #6324: Segmentation fault
    on knot insertion in older B-Spline
  *  23eb600774 - TD: fixes warning: local variable will be copied
    despite being returned by name [-Wreturn-std-move]
  *  cfe94b00d3 - Gui: tmp. redirect stderr to a file to suppress an
    error message from spnav
  *  5822568566 - Fem: fix handling of transparency in
    ViewProviderFemPostObject
  *  79cc738786 - Part: Cross-section, fix issue with using Links that
    have been scaled and/or transformed
  *  377b88ec37 - Part: CheckGeometry -- address issues with using
    original shape when link has been transformed and/or scaled
  *  0ac1309dbe - Part: ruled surface, address issue with link support
    where link was transformed
  *  a55758f0ab - Part: reversed -- fix so it works with App::Links and
    App::Parts
  *  93d745235c - Fem: scale imported vtk data set
  *  2066946c29 - Sheet: use wrapper function to clarify intention
  *  e2e91cdafa - Sheet: enable Merge action only if at least 2 cells
    are selected
  *  384f56fe65 - Sheet: enable Split action only if only one merged
    cell is selected
  *  2a002e3df6 - Sheet: Warn user when cell merge is not done because
    already merge cells in the range
  *  4f75f86a93 - Sheet: update commands status when selection is
    changed
  *  53f58fd669 - GUI: Re-add button to object selection
  *  b90621ca3c - Draft: Update draft_test_objects.FCStd file
  *  e8ed31f391 - Gui: add parameter switch to optionally stretch
    'Description' column of Tree view
  *  8f3f1d1e4c - App: Use regex to match names in
    ComplexGeoData::getSubElementByName
  *  c01dfad130 - Part: Fix getElement method in Python TopoShape class
  *  aff08fd737 - Fem: optimize
    ViewProviderFemPostObject::WritePointData
  *  f00a3f59c4 - Fem: add a scale() function to FemPostPipeline
  *  e9e04221c4 - Addon Manager: Add logging to update process
  *  35bb6278ea - merged crowdin translations
  *  d0778faa2c - updated ts files
  *  2abda1e0a0 - Test: [skip ci] add test code of issue #6735 as unit
    test
  *  17f49bab18 - Part: [skip ci] fix computing of face normals in
    TopoShape::getPoints
  *  631d36e87c - App: [skip ci] fix bug in ComplexGeoDataPy::getPoints
    The normals were added to the wrong list
  *  78e1174018 - Core: partially revert 4ab37fc that introduced
    composed units
  *  0cd6fa3329 - [skip CI] [FEM] ViewProviderFemPostFunction: add a
    comment
  *  5ab7d17f67 - PD: issue #6641: polar pattern fails
  *  1688991391 - FEM: automatically detect a suitable scale factor for
    old project files
  *  d1f5bb02fc - Gui: [skip ci] reduce duplicated code
  *  f630844ad6 - Gui: add convenience function
    View3DInventorViewer::getBoundingBox()
  *  3d40a6f0e1 - Gui: fix const correctness of
    Document::getViewOfViewProvider
  *  a70d6fd7ec - FEM: [skip ci] fix some typos
  *  c5ea25c949 - FEM: [skip ci] add missing files to PreCompiled.h
  *  8ca3513441 - FEM: use an SoJackManip for
    ViewProviderFemPostPlaneFunction
  *  a13e251ad4 - Part: issue #6727: Missing B-Spline in STEP file after
    Part Offset2D
  *  3d249e0e67 - Part: Add function
    BRepOffsetAPI_MakeOffsetFix::Replace() to replace unwanted curve
    type with a B-Spline curve
  *  c8c4686543 - Part: fixes #6282: exportStep breaking model
  *  35913fc695 - Part: fixes #6584: Pocket becomes a pad when next
    object ofter a polar pattern
  *  27efdf9caf - Fixes #6275
  *  69ac799f58 - AddonManager: Add gmsh-dev to ALLOWED_PYTHON_PACKAGES
  *  04fe4ef695 - Draft: Fix WorkingPlane setup in automatic mode -
    fixes #6060
  *  91b5980495 - Part: fix typo in App/BRepOffsetAPI_MakeOffsetFix.h
    [skip ci]
  *  15c59d6007 - App/Gui: Fix auto checking 'Sync sub object' if
    property link editor
  *  9242355c8c - App: fix PropertyXLinkSubList::getLinks()
  *  1ff4ad085c - App: issue #6672: PartDesign SubShapeBinder: crash and
    other issues when manually editing Support This change only fixes
    the crash as described in procedure A at
    https://github.com/FreeCAD/FreeCAD/issues/6672
  *  54fbe084dd - Part: Enable reversed method in Python TopoShape class
  *  aea110ba15 - Gui: clean-up Selection API Replace the int of the
    SubType of SelectionChanges with an enum class. The meaning of it is
    nowhere documented and some magic numbers like 0,1,2 are used in
    several places in the code.
  *  0e40b9956e - Addon Manager: Improve bad icon handling
  *  d0485c6bef - Gui: add enum class to Selection Python API
  *  551df5e614 - Merge branch 'master' of github.com:FreeCAD/FreeCAD
  *  152a552585 - [Part] ExtrusionHelper: polish code after today's
    fixes
  *  9eac35cf5d - Gui: clean-up Selection API Replace the int of the
    'resolve' argument of several functions with a proper enum class. *
    This avoids the inconsistencies in client code where often
    true/false is passed when an int is expected * This avoids the use
    of magic numbers like 0, 1, 2 or the undocumented 3
  *  0571a7f2b2 - Part: make sure that new wire has same orientation as
    old wire as otherwise the offset will be negative
  *  731cda3e1a - Part: [skip ci] fix warning: unused parameter
    'numEdges' [-Wunused-parameter]
  *  539a6bf58d - [Part] extend BRepOffsetAPI_MakeOffsetFix and use it
    for padding
  *  7ddf10df45 - [skip CI] [App] PropertyLinks: fix line endings
  *  44a989f3b9 - Draft: Make ShapeString editable by double-click -
    fixes #5885
  *  731ed820b5 - Part:Improve support for Links
  *  6467ecab33 - Gui: [skip ci] improve readability of
    SoFCColorGradient::setRange
  *  049d8ae06c - Part: implement persistence methods of all geometry
    classes and raise exception if needed (but no assert(0))
  *  fb1f4433c6 - Part: [skip ci] use Py::None()
  *  a2beab798b - [Core] Persistence: improve NotImplemented exception
    presentation to user
  *  1928bfed63 - Fix typo
  *  fbea5fdca5 - [CrashFix] Core: fix crash when dumping content of a
    Surface
  *  760237c8f7 - [CrashFix] Core: fix crash when Surface is null
  *  c5059d4108 - Replace Line with LineSegment
  *  15917cd60f - [TD]fix artifact in PDF export
  *  82d5be5f6b - Fem: remove the forced document recompute from
    ViewProviderFemPostSphereFunction::updateData This is already
    handled in ViewProviderFemPostFunction::dragFinishCallback and can
    be switched on or off.
  *  c4c0304518 - Fem: move handling of PostAutoRecompute to a central
    class and by default set its value to true
  *  02cb0b8234 - Sketcher: restore constraint filter if Multiple dialog
    is canceled
  *  1480c1f594 - Addon Manager: Black reformat
  *  1ede604cfd - Addon Manager: Allow overriding install with missing
    deps
  *  2397883adb - Gui: [skip ci] avoid that mouse is stuck after opening
    Help page with What's This
  *  b5a6970c53 - Arch: Added object type to IFC export of 2D
    annotations
  *  adf23ff4ec - Tools: [skip ci] allow to build plugin as a top-level
    project
  *  bd832490e8 - Gui: if expression is emptied, pressing Enter discards
    expression
  *  5c342f6e58 - Tools: [skip ci] fix linking errors of designer plugin
    with MSVC
  *  002ba58bad - Arch: Fixed IFC import/export of dimensions
  *  d41395bbd1 - Part: CheckGeometry handle non-ascii characters in
    object names when generating advanced shape content
  *  dc3986ee10 - Base: add method isEqual() to Base::Flags<> to
    simplify comparison
  *  c3ec0b7c49 - FEM: work around a crash with vtk9 on export of a
    vtkUnstructuredGrid
  *  670d0922d8 - Merge pull request #6712 from mlampert/bugfix/remove-
    debugging-globals
  *  651f6d871f - Arch: Fixed IFC import of Rebars
  *  48deb6ae3e - Arch: fixed flipped import of IFC texts
  *  ed5ee5655d - Arch: Fixed text justify in IFC export
  *  076376e568 - Arch: workaround race condition in building part
    creation
  *  c521a9179b - Add option to build and install the designer plugin
  *  2b35d19ce4 - Removed debugging globals
  *  acede8c347 - [Gui] Color Gradient: handle case of min = 0
  *  b3fb3e4005 - [Gui] fix color gradient label format
  *  15c069a7b7 - Ext:[skip ci] drop prefix argument from Python code to
    make sure the absolute path to dist-packages is used. This allows to
    set CMAKE_INSTALL_PREFIX to something else than /usr and freecad as
    Python package is still installed into the correct directory.
  *  156cf62b8a - Tools: [skip ci] replace QtDesigner with QtUiPlugin
    header to make moc happy on macOS
  *  f492a8fac4 - Gui: handle number of labels and decimals in the
    immediate update
  *  7d843b250f - Gui: more fixes of DlgSettingsColorGradientImp: * make
    sure that DlgSettingsColorGradientImp::setRange() generates a valid
    string according to the validator settings * change back to
    QLineEdit::editingFinished because for huge models an immediate
    update considerably slows down editing
  *  85d3abeb8b - Gui: put private class to anonymous namespace
  *  03976ff333 - Code change according to suggestion
  *  801ece560e - Gui: fix property enumeration editor initialization
  *  1433ff166d - Gui: support auto grouping editing for
    PropertyEnumeration
  *  0b44a6c28d - Tools: [skip ci] Use qmake to determine Qt plugin
    directory
  *  2714e682db - [Path] manual merge of #6580
  *  54eb842c11 - [Part] Helix Default Segment Length to 0.0
  *  2f703e4627 - Addon Manager: Disable pip version check
  *  9a7b411659 - Merge pull request #6705 from sliptonic/bug/pocketmode
  *  ab2461629c - Tools: [skip ci] CMake support of plugin for Qt
    Designer
  *  9b3a50840f - Gui: fixes DlgSettingsColorGradientImp: * handle
    exception in lambda function if max <= min * fix regression of
    0938c98b6: a validator can be set to only one widget at a time
  *  7b2d219c44 - [Macros][skip ci] change text of Addons... button to
    Download to help new people
  *  2c6af06fe9 - OpenSCAD: Fix difference action bug
  *  d666cc4114 - App: [skip ci] fix zero-based color model Red-White-
    Blue
  *  66d0c35dc7 - Gui: Fix pref pack apply crash (Fixes #6702)
  *  cf867ae96d - [Path] fix index error with PocketMode
  *  65822ec2f8 - Base: fix quantity construction when unit as string is
    empty
  *  7dc130b00f - Revert Gui: [skip ci] fix a small regression caused by
    PR
  *  d0e1717cdf - Merge pull request #6701 from
    Russ4262/fix/pocket_shape_pocketlaststepover
  *  2d5f34f329 - Gui: fix some issues in DlgSettingsColorGradientImp: *
    fix regression by rounding Max/Min values when setting up dialog *
    switch signals from QLineEdit::editingFinished to
    QLineEdit::textEdited to get changes immediately
  *  027fb07743 - Gui: automatically apply changes made in color
    gradient dialog
  *  9500706d6f - Gui: refactor DlgSettingsColorGradientImp
  *  02b8a98f79 - App: [skip ci] fix zero-based color model Red-White-
    Blue
  *  874a6ef28e - App/Gui: refactor ColorGradient and move all settings
    to ColorGradientProfile
  *  a27c964279 - Path: Correct PocketLastStepOver name
  *  f2f71d0dc7 - [FEM] save all UI files using FreeCAD plugin for
    designer
  *  61d103358f - [Gui] Color gradient dialog: add missing tooltips
  *  ccc9be98ce - Addon Manager: Move optional dep check logic
  *  c50924be03 - Gui: change notification between SoFCColorBarBase
    nodes
  *  90c35171ae - Main: change position of version number to bottom/left
  *  b435db807d - Addon Manager: Optional packages also obey allowlist
  *  d36c59b3dc - Fem/Mesh: force update of shape nodes when changing
    the transparencies of a color plot
  *  5dff636cf8 - Merge pull request #6605 from
    Russ4262/fix/misaligned_extensions
  *  d20c4e7d8d - Merge pull request #6696 from
    Russ4262/fix/dressup_path_boundary
  *  87edeae197 - Mesh: change
    ViewProviderMeshCurvature::setVertexCurvatureMode to use the alpha
    value of the returned color for transparency
  *  e437893e99 - Fem: support transparencies of the colour plot  in
    ViewProviderFemPostObject
  *  e8d3f60dbd - Gui: [skip ci] drop the _bOutInvisible member and use
    the corresponding function of ColorGradient instead
  *  09758aa889 - Gui: add functions setPrefEntry() and setPrefPath() to
    PrefWidget to avoid build failures if the attribute stdset=0 isn't
    set in a .ui file
  *  5fe0a63201 - App: handle option 'outside invisible' directly in
    ColorGradient
  *  6f4d0fa1ab - [FEM] Material settings dialog: add missing slot and
    tooltips
  *  e5b52aebb2 - Path: Fix some misaligned extensions
  *  5e852b1791 - Path: Correct method name spelling error
  *  0938c98b6c - [GUI] fix color gradient dialog
  *  8ccaac7264 - App: [skip ci] whitespace changes
  *  26a6c085c2 - Base: [skip ci] make Flags<>::testFlag a const method
  *  4cffe64b62 - Merge pull request #6691 from sliptonic/cleanleadinout
  *  65187652dc - [FEM] Avoid writing parse cache file to non-writable
    location
  *  7cac8787a4 - [OpenSCAD] Avoid writing temporary parse cache file
  *  9fcf5faf69 - App: in verbose mode print used library versions
  *  e0e523e626 - Base: fix possible Python type mismatch for
    Base::Vector2dPy when using FreeCAD as a pure Python module.
  *  cb9dda7084 - Merged crowdin translations
  *  93e63b85c3 - Merge pull request #6676 from marioalexis84/draft-
    python2
  *  c8904359c1 - Merge pull request #6694 from oficinerobotica/splash-
    screen
  *  356eca3316 - Updated ts files
  *  274d755290 - Gui: [skip ci] replace hardcoded Alt+F4 with
    QKeySequence::Quit to use the appropriate shortcut for each platform
  *  a306ce5686 - [FEM] fix crash with result filters
  *  690e3240eb - [Gui] remove misleading button from About Dialog
  *  5f88e71e1f - [FEM] fix function selection for cut filter
  *  8d8d8fd055 - [FEM] fix a comparison operator
  *  4408c66ceb - [Part] repair line endings
  *  8002b7d6d8 - Update v0.20 splash screen images
  *  5505c59231 - cleanup
  *  6839d2235d - Merge pull request #6662 from
    Russ4262/fix/import_gcode
  *  e1082bdbb2 - Merge pull request #6682 from
    sliptonic/bug/inspecttweaks
  *  93f428b4d1 - Arch: fix survey tool for Vertexes
  *  eec99d5f53 - Gui: Added 'open Addon Manager' to Help message box -
    issue #6514
  *  7d29ddac02 - New 0.20 splash screen
  *  f6464c7d5f - Merge branch 'master' of github.com:FreeCAD/FreeCAD
  *  18b588dcbb - Gui: Fixed wrong button on Help messaage box - issue
    #6514
  *  e9c088c0ae - Fem: [skip ci] issue #6673: selecting a point for the
    point result filter crashes
  *  df9d9843c3 - Path: Add 5 unit tests for importing gcode with
    gcode_pre
  *  b1e4864910 - Path: Allow GUI Job creation without task panel
    interaction
  *  ee797360e1 - [FEM] improve sphere cut function handling
  *  54ef47276f - [FEM] fix bug 4 of the cut filter bugs
  *  bb74a6b2b8 - [FEM] [skip CI] remove superfluous ifs I introduced
    today
  *  eaf9adeb0f - [Path] minor tweaks to inspect
  *  1cd952fc09 - [TD]Fix Extension Icons
  *  be44c979d0 - minor fix
  *  0d847fd482 - Merge pull request #6657 from sliptonic/bug/leadinout
  *  49b5e7b0c4 - Addon Manager: Fix display of Macro wiki details
  *  70488c8f26 - Git: PR6497 Ignore commits in git blame
  *  3ef6811dae - Web: PR6497 move return statement to new line
  *  c44ccc0ff2 - TD: PR6497 move return statement to new line
  *  cb21ac7bf8 - Spreadsheet: PR6497 move return statement to new line
  *  1ee046788d - Sketcher: PR6497 move return statement to new line
  *  190d64bdae - Sandbox: PR6497 move return statement to new line
  *  ec74d351f0 - Robot: PR6497 move return statement to new line
  *  1e9236abd4 - Raytracing: PR6497 move return statement to new line
  *  bac451cc53 - Points: PR6497 move return statement to new line
  *  5f31fb74f6 - Path: PR6497 move return statement to new line
  *  6f230d7404 - PD: PR6497 move return statement to new line
  *  0a65575c2c - Part: PR6497 move return statement to new line
  *  702238a99c - Mesh: PR6497 move return statement to new line
  *  35156cdce3 - Import: PR6497 move return statement to new line
  *  bb0e2f1c51 - FEM: PR6497 move return statement to new line
  *  b13088664f - Draft: PR6497 move return statement to new line
  *  1ea364379f - Tools: PR6497 move return statement to new line
  *  3b42d4afac - Base: PR6497 move return statement to new line
  *  bedf920702 - Gui: PR6497 move return statement to new line
  *  132a1d7e55 - App: PR6497 move return statement to new line
  *  2578c3d2ac - Base: [skip ci] optimize iteration over container with
    parameter group elements
  *  b47029998e - Base: fix handling of path separators in parameter
    group names
  *  7c24e54704 - [TD]skip LCS infinite shapes
  *  6eafd18030 - Gui: Add dual info about FC + OS locale in full
    information
  *  c22d37a82c - Gui: Default Translator::SetLocale to OS locale +
    simplify code
  *  ec3c905b6b - Gui: fix (another) algorithmic issue in number format
    change
  *  21e5a41480 - Gui: fix algorithmic issue in language change
  *  2ddf5dd625 - Gui: improve a bit number format selection
  *  68d7892fb0 - Gui: fix locale number formatting propagation
  *  b2df95a66d - Gui: fix several regressions in
    DlgSettingsColorGradientImp * make line edit fields wide enough to
    not truncate the text * fix error: Unhandled Base::Exception caught
    in GUIApplication::notify.
  *  2853f6715a - [FEM] fix sphere cut filter
  *  d51608bce5 - [Path] Fix initial descent at start
  *  659e84e57f - Draft: Remove Python 2 type support
  *  5974abe351 - Fem: in case the range collapses to a single value
    expand it to a valid range with +/- eps
  *  a7ef1d7aa8 - fix creation of backup file even when numberOfFiles<=0
    in applyTimeStamp
  *  c346f76ae8 - move tmp file rename after file deletion in
    applyTimeStamp when numberOfFiles <=0 [fixes #6532]
  *  52c86de3cb - Tools: PR4556 Step 3: sort QGridLayout by row-col
  *  d353bea5dc - Test: PR4556 Step 3: sort QGridLayout by row-col
  *  44eb19f631 - TD: PR4556 Step 3: sort QGridLayout by row-col
  *  3e954cbb3a - Surface: PR4556 Step 3: sort QGridLayout by row-col
  *  c25b29f024 - Start: PR4556 Step 3: sort QGridLayout by row-col
  *  bb11c74565 - Spreadsheet: PR4556 Step 3: sort QGridLayout by row-
    col
  *  b405de05df - Sketcher: PR4556 Step 3: sort QGridLayout by row-col
  *  3092b38d32 - RE: PR4556 Step 3: sort QGridLayout by row-col
  *  e461e8ebe3 - Raytracing: PR4556 Step 3: sort QGridLayout by row-col
  *  dfc27ad5f3 - Points: PR4556 Step 3: sort QGridLayout by row-col
  *  a046bc1d84 - Path: PR4556 Step 3: sort QGridLayout by row-col
  *  ac3ea0a960 - PD: PR4556 Step 3: sort QGridLayout by row-col
  *  48619ec5cb - Part: PR4556 Step 3: sort QGridLayout by row-col
  *  ac6f33054e - MeshPart: PR4556 Step 3: sort QGridLayout by row-col
  *  22e83879f3 - OpenSCAD: PR4556 Step 3: sort QGridLayout by row-col
  *  970add4b1a - Mesh: PR4556 Step 3: sort QGridLayout by row-col
  *  10080efb0c - Inspection: PR4556 Step 3: sort QGridLayout by row-col
  *  52daf6c546 - FEM: PR4556 Step 3: sort QGridLayout by row-col
  *  91da34b640 - Drawing: PR4556 Step 3: sort QGridLayout by row-col
  *  c36f2ade86 - Draft: PR4556 Step 3: sort QGridLayout by row-col
  *  f6e386f717 - Arch: PR4556 Step 3: sort QGridLayout by row-col
  *  9c56f219f0 - Gui: PR4556 Step 3: sort QGridLayout by row-col
  *  3a87c4d50e - TD: PR4556 Step 2: remove native=true
  *  a9679d54c1 - Spreadsheet: PR4556 Step 2: remove native=true
  *  b134322748 - Sketcher: PR4556 Step 2: remove native=true
  *  f4dad65718 - Path: PR4556 Step 2: remove native=true
  *  1b6b921941 - FEM: PR4556 Step 2: remove native=true
  *  380d62775a - OpenSCAD: PR4556 Step 2: remove native=true
  *  da22efe62b - Draft: PR4556 Step 2: remove native=true
  *  5e5aac2e04 - Addon Manager: PR4556 Step 2: remove native=true
  *  a5c39acd6c - Gui: PR4556 Step 2: remove native=true
  *  11156e2836 - Merge pull request #6647 from
    Russ4262/fix/millface_face_region_no_base
  *  1b5b6965cc - remove pylint, commented code, and uncomment PathLogs
  *  4e607304b9 - Black reformat
  *  bae73e0056 - Changes from lcorley
  *  0239732e69 - Fem: fix error: Unhandled Base::Exception caught in
    GUIApplication::notify
  *  bba7719cd1 - Gui: fixes #6663: [Bug] Decimal separator not chosen
    by locale system settings anymore
  *  d60dd085b7 - SMESH: fixes #6553: [Bug] gmsh with VTK9.x does not
    work
  *  5f5afd4b65 - [Gui] fix for DlgSettingsColorGradient dialog
  *  b3d74905ca - [skip CI] [Gui] some UI improvements for the color
    gradient dialog
  *  51c7a8c2d3 - [FEM] fix crash in pipeline creation
  *  361ea3367d - [FEM] fix network pressure value display in result
    pipelines
  *  784d62de10 - [FEM] some fixes for the Z88 settings dialog

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 22 Apr 2022 22:12:41 +0000

freecad-daily (0.19.2+git28462-c27e016521-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/FreeCAD/FreeCAD.git
  * Branch: master
  * Commit: c27e0165219c06d13ba515ebf70a06ec40d5cec6
  * Date: 1648410489
  * git changelog:
  *  c27e016521 - [PD] shape binder: code style improvements
  *  66e4c37a25 - fix some occurrences where size() is misused as
    Boolean
  *  14960411a8 - Fem: [skip ci] use the required type for the vtk API
  *  c447f5a31d - Fem: fix segmentation fault in
    FemPostDataAlongLineFilter::GetAxisData() It's possible that pdata
    becomes a null pointer. Forum thread:
    https://forum.freecadweb.org/viewtopic.php?f=18&t=67507
  *  2b1bbd5e6c - [FEM] fix value display in result pipelines
  *  460a95cabf - Merge pull request #6659 from sliptonic/bug/profile
  *  18c86b235e - Merge pull request #6664 from
    sliptonic/bug/spindledirectiondefault
  *  b7b2d73b02 - [Github] Add detet to the ignored misspellings
    see:https://github.com/FreeCAD/FreeCAD/pull/6464#issuecomment-
    1066980812
  *  94f871f126 - [Gui] a Win compile fix
  *  0afc5e5af5 - Gui: [skip ci] fix locale issue for InputField on
    Windows
  *  4d51d1d0b1 - FEM: [skip ci] fix possible crash in setupFilter()
    function
  *  a07f0b6f68 - Fem: [skip ci] fix compiler warnings * add Python.h to
    PreCompiled.h to fix warning for MSVC: warning C4005: 'COMPILER':
    macro redefinition * add Python.h to FemPostPipelinePyImp.cpp to fix
    warning for clang: pyconfig.h:1672:9: warning: '_LARGEFILE_SOURCE'
    macro redefined [-Wmacro-redefined]
  *  7676216a7a - [FEM] more work on filter activation
  *  708a300b93 - [FEM] introduce custom pipeline mode
  *  57cb8bd91b - [FEM] fix some post filter creation issues
  *  2f8343b5c5 - [FEM] fix activation logic of post filters
  *  1b7b72ea90 - [FEM] fix activation of post pipeline
  *  83753534b9 - Addon Manager: Convert Warning to Log
  *  b330a83273 - Gui: [skip ci] fix a small regression caused by PR
    #5232 (or commit c4c81e6e6) See also forum posting:
    https://forum.freecadweb.org/viewtopic.php?p=583303#p583303
  *  945c4c7ec5 - [Path] Make tool controller set default spindle
    direction from tool attributes if it exists
  *  63636c8082 - Gui: [skip ci] fix locale issue with InputField The
    change of 7de33a8fa935 added a regression as shown here:
    https://github.com/FreeCAD/FreeCAD/pull/6640#issuecomment-1079727756
    Thus reverting it.
  *  d53a2ed34b - [Path] Make 'forward' the default for spindle
    direction
  *  9e7d9283aa - Gui: fix some weird behavior of number format option
  *  9e669aec10 - Gui: fix DlgObjectSelection item state synchronization
  *  97deadf437 - App: minor change to LinkParams
  *  63ac642785 - Gui: expose Link CopyOnChange setup through context
    menu
  *  5947f91b17 - Gui: refactor Object Selection Dialog
  *  c6d87e69b5 - App: fix recompute problem caused by expression hidden
    reference
  *  8d97b2bcb8 - Spreadsheet: fix owner property reference in
    PropertySheet
  *  d1b6bb78d1 - App/Gui: support Link refresh on change of originally
    linked configurable object
  *  1d95f7b58d - [skip CI] [FEM] improve wording in material settings
    dialog
  *  26e2cdbcb6 - [skip CI] [FEM] uniform labeling in a settings dialog
  *  f3b7836924 - [skip CI] [FEM] fix a typo in a dialog
  *  bc7d2b69c8 - [skip CI] [FEM] uniform labeling in a dialog
  *  afe0cd3fdf - [FEM] [Skip CI] improve Gmsh settings UI
  *  1c666f7837 - [FEM] adapt electrostatic examples to changed unit
    handling
  *  2e67e70863 - [FEM] fix creation of PostPipeline object
  *  3bbbae84d7 - [skip CI] [FEM] remove an unused header
  *  30928c0710 - [FEM] Elecrostatic: use App::PropertyElectricPotential
  *  2e8fc8e477 - [FEM] Elmer examples: use better names for constraints
  *  d286b52b57 - [App] add property for electric potentials
  *  b6b5159b0c - {skip CI] revert unwanted change from previous commit
  *  c7577d5b06 - [skip CI] [FEM] results dialog: fix layout issued
    reported by Qt Designer
  *  7de33a8fa9 - [Gui] fix locale issue with InputField
  *  ac59dce291 - [FEM] fix missing recompute
  *  8041f0c032 - [FEM] fix missing recompute
  *  d6e1d973bf - [FEM] remove new framework CCX from toolbar
  *  865e3ec095 - [FEM] fix broken Z88 part 5/5: add missing toolbar
    icon
  *  cc4578e9ae - [FEM] fix broken Z88 part 4: don't hardcode memory for
    iterative solvers
  *  b4befd14b3 - [FEM] update Z88 tests
  *  7bc69a8cbb - [skip CI] [FEM] some style changes by MSVC
  *  ebc0c0ae04 - [FEM] fix broken Z88 part 3: don't hardcode memory
  *  c4bd8ee72c - [FEM] fix broken Z88 part 2: fix error handling
  *  d035bbc1ca - [FEM] fix broken Z88 part 1: don't hardcode solver
  *  7734017cd6 - Fem: split strings with placeholders to make sure it's
    still created correctly if translation is broken
  *  fd8719c85c - TD: [skip ci] activate PCH of TechDraw (Gui) and use
    forward declarations For MSVC this reduces compile time by ~20%
  *  b704454e33 - Arch: Fixed placement of rebars in IFC export
  *  ca9fb5400c - TD: [skip ci] activate PCH of TechDraw (App) For MSVC
    this reduces compile time by ~50%
  *  1baf3f2bfa - [FEM] fix Gmsh deletion handling
  *  5482c4be95 - [FEM] mechanical result: add proper deletion handling
  *  4517867ab9 - [skip CI] [FEM] remove unused comment
  *  2e7cb2c3fb - [TD] remove a single-header file
  *  ab682628c6 - [TD] Gui Headers: remove unused header - part 4/4
  *  bf04eabb2d - [TD] add missing header
  *  b0ba3c756a - [TD] Gui Headers: remove unused header - part 3
  *  ef4274007a - [TD] Gui Headers: remove unused header - part 2
  *  68052db4da - [TD] Gui Headers: remove unused header - part 1
  *  b219c50ed6 - [TD] App Headers: remove unused header - part 3/3
  *  fad9d48184 - Addon Manager: Support setting selection externally
  *  5f817f64da - [TD] EdgeWalker: try to fix CI compilation issue
  *  4193686594 - [TD] App Headers: remove unused header - part 2
  *  f1a4c703b4 - [TD] App Headers: remove unused header - part 1
  *  3904da9d93 - [FEM] handle Elmer result mesh zoom properly
  *  895667bb49 - [Path] Fixes #6658
  *  4f854bf998 - Path: suppress warnings caused by boost
  *  37f1004db2 - PD: include header with export macros
  *  8e19f83803 - Sketcher: include header with export macros
  *  b8ea740c84 - Addon Manager: Fix bug in dep res dialog
  *  2ef7af2ead - Part: include header with export macros
  *  5bab6fb189 - Spreadsheet: include header with export macros
  *  b4ef571688 - Start: include header with export macros
  *  988cfcef12 - Draft: include header with export macros
  *  fb9aee6255 - FEM: include header with export macros
  *  924d779fc7 - Points: include header with export macros
  *  d16ce3759f - Inspection: include header with export macros
  *  ccaa862389 - Import: include header with export macros
  *  d7d68b1852 - Image: include header with export macros
  *  106db51415 - Drawing: include header with export macros
  *  99fd8af911 - Mesh: include header with export macros
  *  01572884a0 - Surface: include header with export macros
  *  9e88ce7638 - Web: include header with export macros
  *  e16e388b16 - Raytracing: include header with export macros
  *  36a46f0cb6 - [TD]fix diameter dim alignment in DXF
  *  d4da6b21e2 - Fem: include Python.h before any vtk headers to fix
    compiler warnings
  *  edb95772ae - [FEM] re-add a header as compile fix
  *  8aae22097c - [FEM] TaskPostBoxes: remove unused headers
  *  c4576ecfeb - [FEM] add missing functions deletion handling
  *  856c25da67 - [FEM] add missing analysis deletion handling
  *  d3bd8141f9 - [FEM] App headers: remove unused headers
  *  c01a82e3b5 - Merge pull request #6651 from sliptonic/bug/5956
  *  0f0b635e65 - [FEM] handle deletion of solver objects
  *  f40770dd95 - [skip CI] [FEM] fix a comment
  *  988a96b457 - Base: make Parameter class less vulnerable for invalid
    user config files
  *  93f0c64704 - Base: [skip ci] remove several superfluous static_cast
  *  a4ea92e719 - Tools: Removing obsolete wiki-to-qhelp scripts
  *  aae0201a8b - Merge pull request #6634 from yorikvanhavre/retire-
    qassistant-2
  *  9025aa70df - Arch: fixed missing multicore IFC import of 2D
    annotations
  *  d6c24dfb3b - Arch: Fixed IFC export of dimension text
  *  8cd345186a - Arch: Misc bullet-proofing
  *  ad95908b88 - [FEM] ViewProviderDocumentObject: fix compiler warning
    and error
  *  121ac920ca - [FEM] fix deletion issue
  *  ceb5a3da5c - [FEM] fix transparency bug
  *  2eb3447694 - [FEM] remove unused header introduced by previous
    commit
  *  b0b243bee7 - [FEM] scale fix for post meshes
  *  05a8b67dce - Merge pull request #6649 from sliptonic/bug/5832
  *  089c975a73 - FEM: minor fix in warning text [skip ci]
  *  97330443a2 - All: modernize C++11 * replace deprecated headers
  *  8d618d44c0 - [FEM] post object: some whitespace and style fixes
  *  d4623baf0a - Expose PocketLastStepOver property Property can be
    useful to fine tune the last stepover for some shapes
  *  06622dfc85 - [PD] Task dialogs: remove unused headers
  *  e92fbceb7e - [PD] Helix: catch case of touching Helix
  *  ea81ce76b4 - [PD] fix #6482
  *  7ae9fc0d67 - Fem: modernize C++11 * use nullptr
  *  51b94abfde - Start: modernize C++11 * use nullptr
  *  ead5154b18 - Sketcher: modernize C++11 * use nullptr
  *  d231a7c7db - Reen: modernize C++11 * use nullptr
  *  7b591da9f5 - Path: modernize C++11 * use nullptr
  *  b5c71395f1 - Measure: modernize C++11 * use nullptr
  *  98b69b8fb9 - Inspection: modernize C++11 * use nullptr
  *  d1459f6d32 - Import: modernize C++11 * use nullptr
  *  618deb751f - Draft: modernize C++11 * use nullptr
  *  46117f0ae1 - Drawing: modernize C++11 * use nullptr
  *  2c229d3bc0 - Spreadsheet: modernize C++11 * use nullptr
  *  80ca13c667 - Raytracing: modernize C++11 * use nullptr
  *  aada33a574 - Web: modernize C++11 * use nullptr
  *  f19ab55b48 - Surface: modernize C++11 * use nullptr
  *  fb4e8e871b - Cloud: modernize C++11 * use nullptr
  *  1c93e5ac87 - MeshPart: modernize C++11 * use nullptr
  *  be16b749b5 - Mesh: modernize C++11 * use nullptr
  *  a99be14233 - TD: modernize C++11 * use nullptr
  *  3608ee7f51 - PD: modernize C++11 * use nullptr
  *  068c0e5a98 - Part: modernize C++11 * use nullptr
  *  f265c15ac0 - Robot: modernize C++11 * use nullptr
  *  91d679dbc4 - Image: modernize C++11 * use nullptr
  *  2f0a2b79eb - [PD] ShapeBinder: re-add an include that I recently
    incorrectly removed
  *  96adb98f46 - Gui: modernize C++11 * use nullptr
  *  3bdf1fecce - App: fix for Py3.8 or newer
  *  9581790055 - [App] intermediate compilation fix
  *  348562ddcc - [FEM] header files: remove unused includes
  *  749361d2f3 - App: modernize C++11 * use nullptr
  *  882e34f2ce - Base: modernize C++11 * use nullptr
  *  5496accd5f - [Path] Fixes #5832 Remove unused and confusing spiral
    and triangle patterns
  *  6cf4b71b0f - [Image] [skip CI] add a comment
  *  ec113193ef - [FEM] revert incorrect header removal
  *  0419d2f756 - [FEM] Electrostatic: read values with its unit
  *  ac663cd0c4 - Qassistant retirement: avoid ref leak
  *  d05974b486 - Qassistant retirement: Added GIL lock
  *  950a569b44 - Merge branch 'master' of github.com:FreeCAD/FreeCAD
  *  1dd773e7b3 - Translations: Merged crowdin strings
  *  7ff834882e - Gui: remove all leftovers of iisTaskPanel
  *  eecef83f28 - Merge pull request #6619 from matthijskooijman/draft-
    misc-fixes
  *  36f97d0ea4 - Translations: updated ts files
  *  822887d937 - Tools: Removed Assembly from updatets script
  *  cb82d8e97a - [FEM] remove some unused includes
  *  876b694230 - [skip CI] [FEM] whitespace fix
  *  389ae0ab39 - [FEM] SI unit fixes for Elmer
  *  245f5b6c7d - [Assembly] remove it
  *  802aa53aa1 - [PD] [skipCI] minor header fixes
  *  7c01ddec9a - [PD] [skip CI] Helix: consistency adjustment
  *  50f16686f1 - [Doc] the Cam module was removed
  *  214e716a8f - Draft: Simplify using getattr instead of hasattr
  *  be69ec5e00 - Draft: Fix mixup of TextAlignment vs Justification for
    Labels
  *  fd8475b1c6 - Draft: Fix SVG generation for label objects
  *  043e6c8ba3 - [TechDraw] Replace XQuery based SVG cleanup with DOM
    traversal
  *  1620fd5a69 - [TD]fix double units in dxf page export
  *  117aed2d92 - Arch: Fixed incomplete detection of 2D objects in IFC
    export
  *  21b3a862f0 - Arch: Fixed export of rebars without host to IFC
  *  9ffac65e8c - Gui: [skip ci] do not include Inventor/SbByteBuffer.h
    for older Coin3D versions
  *  b935de6851 - [FEM] fix unit for Elmer
  *  77f28bc667 - Image: [skip ci] use ImageGlobal.h
  *  5766528ff6 - [Cam] Remove the Cam module
  *  252905d0c7 - [Image] remove a file that is apparently not used
  *  56ced5cdd5 - Gui: fix build failure with older Coin3D versions
  *  e20afbc154 - [JtReader] remove unused includes
  *  95eadf6c09 - [Doc] update weblinks
  *  670a97ded6 - [Doc] update 3rdparty license page
  *  33e9bde149 - Mod: [skip ci] add needed headers to fix build failure
  *  dbaf19b442 - Arch: Fixed IFC export of compounds and parts
  *  12aedf48af - [JtReader] fixes to make it compilable
  *  1d74892f34 - App: Fix missing ignored variable
  *  2118d544da - Addon Manager: Correct error message
  *  9fe1bdb092 - App: Add Metadata content type test
  *  6160d0fe78 - Draft: Restored cloning of arch objects
  *  553554f936 - Merge pull request #6612 from mlampert/bugfix/bag-of-
    minor-isssues
  *  0643446bb9 - Merge pull request #6592 from
    Russ4262/fix/depth_params_twin_depths
  *  95e1c97bb1 - Arch: Fixed IFC export of rebars
  *  e0e4bf1810 - Retiring qtassistant : Added Werner's fixes
  *  2c5b3547b0 - Removed qhelp files
  *  c3dde65180 - Gui: Disable use of qassistant
  *  9304064981 - [Gui] remove Python.h from PreCompiled.h
  *  f23fa31f42 - [Path] remove Python.h and Xerces
  *  d7aac0ed60 - Mod: [skip ci] add needed headers to fix build failure
  *  b6dabf8247 - Merge pull request #6631 from hhassey/master
  *  0faad0e461 - Merge pull request #6618 from matthijskooijman/arch-
    better-door-reversal
  *  dc1aa369e8 - Merge branch 'master' of github.com:FreeCAD/FreeCAD
  *  3bcab266e9 - Arch Fixes Trapezoidal Wave Width on Arch Panels
  *  5e6699e48d - [TD] remove Python.h and Xerces
  *  3c96daf105 - [Sketch] remove Python.h and Xerces
  *  04ff5ae34e - [JtReader] remove Python.h and Xerces
  *  bedc26804a - [Assembly] remove Python.h and Xerces
  *  19072b0538 - [Mesh] remove Python.h and Xerces
  *  4354e41018 - Mesh: [skip ci] fixes #6598: read unitialized
    variables
  *  d5604e0e89 - [FEM] remove Python.h and Xerces
  *  300fbc22ea - [FEM] Refactor  (#6615)
  *  d6a9a941ac - [Cloud] remove some includes and sorting
  *  98e1a6bae4 - [Cam] remove Python.h and Xerces
  *  1c3ae6cd83 - Merge branch 'master' of github.com:FreeCAD/FreeCAD
  *  bfbda2e58f - [Image] add missing header
  *  cf7fd5d2ac - lgtm: removes unused imports in Python scripts
  *  bec723ba17 - [Points] remove Python.h and Xerces
  *  08d4ac63a3 - [Raytracing] remove Python.h and Xerces
  *  5ca787cb0e - [RE] remove Python.h and Xerces
  *  6b04215be6 - [Surface] remove Python.h and Xerces
  *  ea5b45b92c - [Test] remove Xerces
  *  b480826091 - [Test] remove Python.h
  *  bad4809a1c - [Robot] remove Python.h and Xerces
  *  96ad045b91 - [Drawing] remove Python.h and Xerces
  *  c9d28b542f - [Import] remove unused includes and Xerces
  *  d41f55f382 - [Inspection] remove unused headers and Xerces
  *  dde71a21d5 - [Image] remove unused headers and Xerces
  *  42d48103e8 - Tools: lgtm: removes unused imports in Python scripts
  *  c9dee5e70a - [Start] remove unused headers and Xerces
  *  d52fc71663 - Blanket black formatting for Path python files
  *  efc942a8f6 - Fixed read-only state of quantity spin box when
    expression is 'clear'ed
  *  a23b610f41 - Fixed setting a face's normal as the axis for model
    alignment
  *  ee6d631531 - [Web] remove unused headers and Xerces
  *  66e8a2bef3 - [Spreadsheet] remove Python.h and Xerces
  *  b037d8e240 - [PD] remove unused Xerces
  *  95cffaf502 - Path: Simplify changes per developer conversations
  *  afb3262118 - simpler way to filter roughly equal depth values
  *  186042b2cf - Path: Renumber unit tests per triple-digit schema
  *  ee6d9fb5e0 - Path: Add additional roughly-equal depths unit tests
  *  3e6d542cd7 - Path: Fix roughly equal depth entries
  *  fe213a48f0 - [Part] remove unused Xerces
  *  21404f319b - Path: fix assignment operator of CLine * Assignment
    operator in class CLine should have return type CLine&. Otherwise a
    copy is created at each call.
  *  8b72d595d6 - Mesh: [skip ci] remove superfluous semicolon
  *  ee0b9be87c - [Measure] remove unused file
  *  1db77d367c - AddonManager: remove superfluous 'pass' per LGTM
  *  deea933a23 - [Material] evaluate the number of columns correctly
    when rebuilding the FCMats (#5910)
  *  24176431fb - [Inspection] remove Python.h from headers
  *  ccc5198815 - [Measure] remove unused includes
  *  00ffc38850 - [Measure] remove Python.h from headers
  *  c9a0fae9db - lgtm: [skip ci] FIXME comment Change FIXME or remove
    it
  *  702222b5a2 - App: [skip ci] lgtm: Declaration hides parameter Local
    variable 'obj' hides a parameter of the same name.
  *  32e9984751 - App: [skip ci] lgtm: Large object passed by value This
    parameter of type pair<const basic_string<char, char_traits<char>,
    allocator<char>>, Metadata> is 672 bytes - consider passing a const
    pointer/reference instead.
  *  166e4a3e1e - Merge pull request #6616 from FreeCAD/Path/LGTM-pas
  *  27a2646415 - Base: [skip ci] lgtm: Inconsistent definition of copy
    constructor and assignment ('Rule of Two')
  *  cb81addfa1 - Mesh: [skip ci] lgtm: Multiplication result converted
    to larger type Multiplication result may overflow 'float' before it
    is converted to 'double'.
  *  f06fc0163e - Arch: When inverting hinge position, keep opening
    direction
  *  8f894ebefe - [Part] remove Python.h from headers
  *  d06dc1527c - [PD] remove Python.h from headers
  *  c3aebfeb1e - MeshPart: suppress incorrect warning with clang/MSYS
  *  fdf5df5645 - Fem: [skip ci] change include order to fix compiler
    warning due to a re-defition of a macro in a Python header
  *  d396116d71 - libE57Format: fix unknown-pragma warning with
    clang/MSYS
  *  a93cec09bc - App: [skip ci] fix warning
  *  c8edbe0c30 - Base: [skip ci] cleaning up modules is only needed for
    leak detectors
  *  be56aa082e - Base: [skip ci] fix build failure if PCH is enabled
  *  d355b9d9e2 - [Part] fix TaskFaceColors dialog
  *  8939e3a2eb - Path: remove superfluous 'pass' per LGTM
  *  a999a249e3 - Qt: remove some more leftovers of Qt4
  *  13e09b36f8 - remove QT4 references
  *  06959ededb - Merge pull request #6575 from
    Russ4262/fix/rebuild_empty_job_with_gui
  *  21ac5f9a9c - Addon Manager: Add py-slvs to allowed packages
  *  8ccc661379 - [FEM] adapt a test to previous commit
  *  29f5e78583 - [FEM] proper Elmer input file write solution
  *  90d546d1e7 - Fem: replace raw pointer with WeakPtrT to check if the
    object has been deleted, fix crash in destructor of
    TaskFemConstraintOnBoundary
  *  a60754ea93 - App/Gui: make operator-> operator of WeakPtrT constant
  *  00ea879bfd - [FEM] change example to fit with Elmer's tutorial
  *  e7f1fd5444 - [Part] TaskFaceColors: remove unused includes
  *  c1ba1545a7 - [Base] a compile for for MSVC
  *  b84e41bc89 - App: make sure to create parent directories of a
    document's transient directory
  *  25bae6343b - App: use static functions of FileInfo to convert
    between path and string
  *  a817a68c17 - Base: add method FileInfo::createDirectories() to also
    create parent directories of a given path
  *  2ad512f14b - Sketcher: [skip ci] close directory in unit test
  *  c360c6e5f5 - [FEM] electrostatic dialog revision
  *  aba3d40b2f - [FEM] forgot this test case in previous commit
  *  258bce7261 - [FEM] update test files to previous Elmer fixes
  *  28a4f6aefa - [FEM] fix vacuum permittivity for the Elmer solver
  *  4a7f7a0faa - [FEM] fix the Elmer solver writer
  *  4fa884a2cf - [FEM] [skip CI] improve electrostatic dialog
  *  66a5cd1a49 - [Part] Section cut: add missing color handling for the
    cut faces
  *  94c32d9a46 - Merge pull request #6590 from
    sliptonic/feature/warnlegacy
  *  c9f6aea463 - [TD]fix default scale
  *  b98ada4c07 - [Part] Section Cut: add missing handling of
    valueChanged
  *  88daed86ea - [Gui] remove iisTaskPanel
  *  1fb1524492 - Test: Change Metadata exception tests to use
    assertRaises
  *  e3f6fa6661 - [skip CI] [FEM] cleanup SVG code of new icon
  *  1293eb2116 - [FEM] add icon for the new supported MYSTRAN solver
  *  5f5e5a4b35 - [skip CI] [FEM] save an icon as plain SVG
  *  2cb9ddddae - [FEM] task dialogs: remove unused includes
  *  7d692a82db - [FEM] save new icon as plain SVG
  *  4e7b96d250 - [FEM] add missing preferences settings
  *  9590317cd9 - [FEM] settings dialogs: uniform width
  *  d00e52c81d - [FEM] settings dialogs: remove unused includes
  *  fe5f5bdda5 - [Gui] only include the actually used inventor files
  *  00461a7aff - [Gui] NavigationStyle: only include the actually used
    inventor files
  *  1ddb4d27e7 - [FEM] remove unused headers from WBs main files
  *  568b752363 - [Gui] add a necessary debug header
  *  89e4455057 - Part: [skip ci] print warning only if eof bit is not
    set, i.e. ignore it for empty files
  *  2e084ed18a - [FEM] remove some unused includes for some dialogs
  *  e30bc9976d - [Gui] add 2 includes necessary for debug builds
  *  c164e2210d - Gui: fix hot change of locale for QuantitySpinBox
  *  e3bc06a341 - Gui: add preference to use selected language number
    formatting, fixes #6330
  *  4aec686c46 - Merge branch 'master' of github.com:FreeCAD/FreeCAD
  *  f636ff9df4 - Merge pull request #6544 from Roy-043/Draft-Fix-Angle-
    Lock-for-non-XY-workingplane
  *  84a505287c - Arch: Fixed export of texts and dimensions to IFC
  *  0a844f1ca3 - [Test] Fix tkinter module name for python 3
  *  9160f06e1c - Base: rename BaseExceptionFreeCADError to
    PyExc_FC_GeneralError
  *  d69defaa3c - Py: replace BaseExceptionFreeCADError with more
    suitable exception types
  *  d84fd8a2df - Merge pull request #6594 from
    FlachyJoe/draft_grid_FitAll
  *  11895f8d59 - App: change base types of some exceptions and raise
    XML exceptions in MetadataPy::PyInit
  *  10a13c6dbc - Base: add more custom Python exception types
  *  c0ceecbcf6 - [FEM] Contact and Displacement: remove unused headers
  *  dead2fc8f1 - [FEM] Bearing and FluidBoundary: code improvements
  *  c6ac4affc8 - [FEM] sanitize some dialogs
  *  080e48f67f - [Gui] DlgSettingsUnitsImp: add an include, compile fix
  *  21a31c0984 - [Gui] Splashscreen: remove unused includes
  *  7196e8976c - [Gui] DlgSettings etc.: remove unused includes
  *  5a95b71829 - [Gui] DlgMacro etc.: remove unused includes
  *  eb0e8e215a - [Gui] DlgEditor etc.: remove unused includes
  *  b06389edb2 - Path: Change action to warning with option for action.
  *  70d5a422f7 - Path: Correct comment spelling
  *  e4286139db - Path: Extend Job integrity check to GUI side, issue
    #6207 [Bug]
  *  e6f3f4ba57 - Don't take grid into account when View_FitAll
  *  aa4ba37a6c - [TD]fix update suppression logic
  *  e7df102e22 - macOS: [skip ci] update formatting to use 4 spaces for
    MacAppBundle CMakeLists.txt
  *  0347f6f91b - Gui: fixes #6583: FreeCAD 0.20 crashes when attempting
    to change template in TechDraw For more details see also:
    https://forum.freecadweb.org/viewtopic.php?p=579530#p579530
  *  67bbb3ba79 - Mesh: [skip ci] replace some casts
  *  f6ef0d1095 - [Gui] DlgWorkbenches etc.: remove unused includes and
    sort headers
  *  c7d6a507d3 - [Gui] DlgActions etc.: remove unused includes and sort
    headers
  *  dba4f696b3 - [Gui] a compile fix for precompiled headers
  *  a12361b532 - [Gui] SoFCSelectionContext: add missing header
  *  c4f5628899 - [Gui] So headers: remove unused includes
  *  122e137939 - [FEM] fixes for displacement dialog
  *  200e4be033 - Test: [skip ci] fix installation directory of metadata
    test files
  *  de94520d9b - [Path]  Warn user if enabling legacy tools Warn user
    if opening job that contains legacy tools
  *  b640a1d106 - Merge pull request #6577 from
    Russ4262/fix/millface_removalshapes
  *  a70adce220 - Merge pull request #6576 from
    Russ4262/fix/cancel_new_dressup_cleanup
  *  c4b17c5f2b - Sketcher: Fix edit curve drawing for bounded curves
  *  e6f488393a - [FEM] fix logic in electric potential dialog
  *  14dd46a0fd - [FEM] add tooltips for electrostatic dialog
  *  0f05a7d378 - [FEM] fixes for electrostatic dialog
  *  cb7912db8c - Addon Manager: Fix Window on top of everything
  *  02155296ce - [TD]fix spelling mistake in comment for CI
  *  8f1bd5340b - [TD]fix DetailView alignment
  *  7c6a7aa25b - [TD]fix detail highlight on DrawViewDetail
  *  ac52b39328 - [FEM] fix Results dialog size
  *  075276e215 - [FEM] fix Centrif dialog size
  *  b8426da50c - Gui: replace handling of C array/malloc/free in SoFCDB
    with std::vector
  *  89bf7f3d0b - Sketcher: DrawSketchHandler draw multiple edit curves
  *  75fee12d7b - Merge pull request #6571 from
    Russ4262/fix/tag_dressup_radius_value
  *  5e1fe7b41d - Gui: [skip ci] change include order to avoid warnings
    with MSVC * QtGui/qopenglext.h(11119,1): warning C4005:
    'GL_OFFSET_TEXTURE_2D_MATRIX_NV': macro redefinition *
    QtGui/qopenglext.h(11120,1): warning C4005:
    'GL_OFFSET_TEXTURE_2D_SCALE_NV': macro redefinition *
    QtGui/qopenglext.h(11121,1): warning C4005:
    'GL_OFFSET_TEXTURE_2D_BIAS_NV': macro redefinition
  *  aa53698c55 - [Gui] So headers: remove some unused includes
  *  6efe74a554 - Merged crowdin translations
  *  583206d47c - Updated master ts files
  *  0054cbddaa - Fix coverity issue: * CID 332682: Resource leak * CID
    350607: Resource leak * CID 332677: Resource leak
  *  56eab3f08b - Addon Manager: Correct parent of modal dialogs
  *  4d08cefe0e - [Part] Section Cut: respect App::Part placement
  *  2fc9c93235 - App: Improve Metadata error handling
  *  2ac4e60ab5 - App: Fix Metadata Py constructors
  *  7a2952abf7 - [TD] fix compilation error
  *  244caf39cd - [TD]fix unit display to standards
  *  a22608b7b5 - Base: let interpreter keep track of created modules
  *  2908150282 - Sketcher: Some code comments
  *  7c81877501 - [Gui] UiLoader: fix compiler warning
  *  55f8d68b4e - PD: Fix coverity issue: * CID 350645: Uncaught
    exception
  *  0be04bb5e0 - Points: Fix several coverity issues: * CID 350545:
    Resource leak * CID 350553: Resource leak * CID 350559: Resource
    leak * CID 350593: Resource leak * CID 350604: Resource leak * CID
    350625: Resource leak * CID 350650: Resource leak * CID 129019:
    Division or modulo by float zero (false-positive) * CID 129020:
    Division or modulo by float zero (false-positive) * CID 129021:
    Division or modulo by float zero (false-positive)
  *  9ef2470799 - PD: Fix several coverity issues: * CID 350558:
    Uninitialized pointer field * CID 350554: Uninitialized pointer
    field * CID 350589: Uninitialized pointer field * CID 350608:
    Uninitialized pointer field * CID 350544: Uncaught exception * CID
    350568: Uncaught exception * CID 350603: Uncaught exception * CID
    350562: Unchecked dynamic_cast * CID 350591: Unchecked dynamic_cast
    * CID 350583: Unchecked dynamic_cast * CID 350598: Unchecked
    dynamic_cast
  *  edd346cc3d - Part: Fix several coverity issues: * CID 350581:
    Structurally dead code * CID 350620: Structurally dead code * CID
    350563: Big parameter passed by value * CID 350552: Uncaught
    exception * CID 305193: Uncaught exception * CID 350556:
    Uninitialized scalar field * CID 350579: Uninitialized pointer read
  *  716a27de25 - MeshPart: Fix several coverity issues: * CID 350570:
    Uninitialized scalar variable * CID 350628: Uncaught exception
  *  68171bd20c - TD: Fix several coverity issues: * CID 316569:
    Uninitialized scalar variable * CID 350651: Unchecked dynamic_cast *
    CID 350565: Unchecked dynamic_cast * CID 350595: Unchecked
    dynamic_cast * CID 350638: Unchecked dynamic_cast * CID 350547:
    Division or modulo by float zero
  *  f6f21f4fa6 - Mesh: Fix several coverity issues: * CID 350557: Out-
    of-bounds read (false-positive) * CID 316517: Uninitialized scalar
    variable * CID 316519: Uninitialized scalar variable * CID 316547:
    Uninitialized scalar variable * CID 316556: Uninitialized scalar
    variable * CID 350614: Uncaught exception * CID 350606: Uncaught
    exception * CID 332681: Using invalid iterator
  *  76d1180283 - Fem: Fix several coverity issues: * make
    SelectionChangeModes an enum class * CID 350596: Uninitialized
    scalar field * CID 350572: Uncaught exception * CID 350647: Uncaught
    exception
  *  2dc78804b6 - Core: Fix several coverity issues: * CID 350582: Big
    parameter passed by value * CID 350639: Big parameter passed by
    value * CID 305234: Uncaught exception * CID 316529: Uncaught
    exception * CID 350597: Uncaught exception * CID 350623: Uncaught
    exception * CID 332690: Uncaught exception * CID 332700: Unchecked
    return value * CID 350576: Uninitialized scalar field * CID 350587:
    Uninitialized scalar variable * CID 192606: Uninitialized scalar
    field * CID 332699: Uninitialized pointer field * CID 350561:
    Dereference null return value * CID 350610: Dereference null return
    value * CID 350567: Dereference after null check
  *  08552c6e68 - Apply multi-thread configuration for Calculix also
    when started via task panel
  *  fd11686fe4 - [Gui] QSint: remove unused headers
  *  68b92c504f - Fix several coverity issues: * CID 350617: Dereference
    after null check * CID 350585: Out-of-bounds read * CID 350624:
    Resource leak * CID 332701: Uncaught exception * CID 350642:
    Uninitialized scalar field * CID 350590: Uninitialized scalar field
    * CID 350629: Uninitialized scalar variable * CID 350602:
    Uninitialized scalar variable * CID 350564: Uninitialized scalar
    variable * CID 350548: Uninitialized scalar variable
  *  02bd57ac82 - PD: Fix several coverity issues: * CID 350622:
    Negative array index read * CID 350613: Negative array index read *
    CID 166163: Negative array index read * refactor
    Hole::updateDiameterParam()
  *  8c35a895eb - Sketcher: Redraw constraints on wheel event
  *  85cf3ca514 - Gui: Pass wheel event to viewprovider
  *  33577a087f - Robot: [skip ci] add header with export macros
  *  76029a5b2d - [Sketcher] Fix toggle internal geo on multi-selection
  *  ac4c7bb954 - Path: Fix  declaration [Bug]
  *  1fc468912c - Path: Improve value assignment syntax for radius
  *  b0d19d28d7 - Merge pull request #6566 from
